<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

	class AdminRobotsEditor extends FJF_CMD
	{
		var $sessionModel = null;

		function __construct()
		{
			$this->sessionModel = new SessionModel();
		}

		function execute()
		{
			require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/includes/admin_header_commands.php");

			$header["title"] = "Robots.txt Editor";
			
			$fname = $_SERVER["DOCUMENT_ROOT"] . "/robots.txt";

			$record = @file_get_contents($fname);

			if($_SERVER["REQUEST_METHOD"] == "POST")
			{
				$record = isset($_POST["text"]) ? $_POST["text"] : "";
				if(!@file_put_contents($fname, $record))
				{
					$hasError = true;
					$status = "An error occured while saving file.";
				}else{
					$status = "File was saved successfully.";
				}
			}//POST

			$templateParams = array(
	      "status" => $status,
	      "has_error" => $hasError,
	      "header" => &$header,
	      "record" => $record
      );

			$this->displayTemplate("admin_robots_editor.tpl", $templateParams);

			return true;
		}

	}
?>