<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

	class AdminSiteVars extends FJF_CMD
	{
		var $sessionModel = null;

		function __construct()
		{
			$this->sessionModel = new SessionModel();
		}

		function execute()
		{
			require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/includes/admin_header_commands.php");

			$header["title"] = "Manage Site Vars";

			if($_SERVER["REQUEST_METHOD"] == "POST")
			{
				$siteVars = $this->sessionModel->getRecords("site_vars");
				foreach($siteVars as $siteVar)
				{
					if(isset($_POST[$siteVar->name]))
					{
						if($siteVar->type == "serialize") $value = array_filter(array_map("trim", explode(",", $_POST[$siteVar->name])), "strlen");
						elseif($siteVar->type == "bool") $value = intval($_POST[$siteVar->name]);
						else $value = $_POST[$siteVar->name];
						$this->sessionModel->setSiteVar($siteVar->name, $value);
					}
				}
			}//POST

			$siteVars = $this->sessionModel->getRecords("site_vars");
			
			$templateParams = array(
        "status" => $status,
        "has_error" => $hasError,
        "header" => &$header,
        "has_error" => $hasError,
        "vars" => &$siteVars
      );
			
			return $this->displayTemplate("admin_site_vars.tpl", $templateParams);
		}
	}

?>