<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");
  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/sentiment_model.php");
	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/price_model.php");

  class AjaxGetDashboardData extends FJF_CMD{
		var $sessionModel = null;
    var $sentimentModel = null;

    function __construct(){
			$this->sessionModel = new SessionModel();
      $this->sentimentModel = new SentimentModel();
    }

    function execute(){
			$tickers = isset($_GET["tickers"]) ? trim($_GET["tickers"]) : "";
			$viewMode = isset($_GET['view_mode']) ? $_GET['view_mode'] : null;
			$valueField = ($viewMode == 'MP') ? 'mp_sentiment' : 'sentiment';
			$data["time"] = date("F j, Y g:i A");
      $data["items"] = array();
      if ($tickers){
        $tickersArr = explode(',', $tickers);
        if($this->sentimentModel->refreshStocksData($tickersArr))
        {
          $fields = 'sd.ticker, sd.'.$valueField.' AS sentiment, sd.price, sd.percent_change, sd.buzz, sd.exchange';
          $tickerIds = implode("','", $tickersArr);
          $where = "sd.ticker IN('" . $tickerIds . "')";
          $data["items"] = $this->sentimentModel->getStocksData($where, null, null, null, $fields);
					$data["items"] = PriceModel::formatPrices($data["items"]);
        }
      }
      
			echo json_encode($data);
      return true;
    }
  }

?>