<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");
  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/sentiment_model.php");

  class AjaxGetTopTen extends FJF_CMD
  {
    var $sessionModel = null;
    var $sentimentModel = null;

    function __construct()
    {
      $this->sessionModel = new SessionModel();
      $this->sentimentModel = new SentimentModel();
    }

    function execute()
    {
      $category = isset($_GET["category"]) ? trim($_GET["category"]) : "";
      $slice = isset($_GET["slice"]) ? trim($_GET["slice"]) : "all";
			$mode = isset($_GET["mode"]) ? trim($_GET["mode"]) : null;
			$this->sentimentModel->mode = $mode;
      $topSentiments = array();
      if ($category)
      {
        if($slice == 'top' || $slice == 'all') $topSentiments['top'] = $this->sentimentModel->getTopTen($category, 'TOP');
        if($slice == 'bottom' || $slice == 'all') $topSentiments['bottom'] = $this->sentimentModel->getTopTen($category, 'BOTTOM');
      }
      echo json_encode($topSentiments);
      exit;
    }
  }

?>