<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");
  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/sentiment_model.php");

  class AjaxGetTopTrending extends FJF_CMD
  {
    var $sessionModel = null;
    var $sentimentModel = null;

    function __construct()
    {
      $this->sessionModel = new SessionModel();
      $this->sentimentModel = new SentimentModel();
    }

    function execute()
    {
    	if(isset($_GET['view_mode'])) $this->sentimentModel->mode = $_GET['view_mode'];
      $records = $this->sentimentModel->getTopTrending();
      echo json_encode($records ? $records : array());
      exit;
    }
  }

?>