<?php

  class AjaxSearchStock extends FJF_CMD{

    function execute(){
      $key = isset($_GET["key"]) ? trim($_GET["key"]) : "";
      $limit = isset($_GET["limit"]) ? intval($_GET["limit"]) : 0;
      $type = isset($_GET["type"]) ? intval($_GET["type"]) : 'add';
			
      $maxCount = 30;
			$result = array('match'=>null,'html'=>'');			
			$records = null;
			
      if($key){
        $sql = "SELECT s.TICKER AS ticker, s.COMPANY_NAME AS company_name, EXCHANGE_NAME AS exchange_name";
        $sql .= " FROM SecurityMaster s";
        $sql .= " WHERE s.TICKER LIKE '%SEARCH_KEY%' OR s.COMPANY_NAME LIKE '%SEARCH_KEY%'";
        $sql .= " ORDER BY CASE";
	        $sql .= " WHEN s.TICKER='SEARCH_KEY' THEN 1";
	        $sql .= " WHEN s.TICKER LIKE 'SEARCH_KEY%' THEN 2";
	        $sql .= " WHEN s.TICKER LIKE '%SEARCH_KEY%' THEN 3";
	        $sql .= " WHEN s.TICKER LIKE '%SEARCH_KEY' THEN 4";
	        $sql .= " WHEN s.COMPANY_NAME LIKE 'SEARCH_KEY%' THEN 5";
	        $sql .= " WHEN s.COMPANY_NAME LIKE '%SEARCH_KEY%' THEN 6";
        $sql .= " END";
        if($limit) $sql .= " LIMIT " . $limit;
        FJF_BASE_RICH::db("sentiment");
				$records = FJF_BASE_RICH::selectRecords($sql, array('SEARCH_KEY' => $key));
      }
			
      if($records){
        $count = count($records);
        $result['html'] .= '<div class="search-wrapper">';
        $result['html'] .= '<table cellspacing="0" cellpadding="0">';
        foreach($records as $item){
        	if (strtolower($item->ticker) == strtolower($key)) $result['match'] = $item->ticker;
          $result['html'] .= '<tr data-id="'.$item->ticker.'">';
          $result['html'] .= '<td>'.  $item->ticker . '</td><td>' . $item->company_name . '</td><td>' . $item->exchange_name . '</td>';
          $result['html'] .= '</tr>';
        }
        $result['html'] .='</table>';
        $result['html'] .= '</div>';
        if($limit < $maxCount  && $count >=  $limit ){
          $result['html'] .= '<div class="show-all" onclick="';
          $result['html'] .= ($type == 'show') ? 'topSearch('.$maxCount.');' : 'searchStock('.$maxCount.');';
          $result['html'] .= '">';
          $result['html'] .= 'SHOW ALL RESULTS</div>';
        }
        
			}
      
      echo json_encode($result);
      return true;
    }
  }

?>