<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

  class AjaxTopTen extends FJF_CMD{
  	
    var $sessionModel = null;

    function __construct(){
      $this->sessionModel = new SessionModel();
    }

    function execute(){
			
			$tables = array(
				'SentimentTop' => array("title"=>'TOP TEN TICKERS RANKED BY SENTIMENT'),
	      'SentimentBottom' => array("title"=>'BOTTOM TEN TICKERS RANKED BY SENTIMENT'),
	      'SentimentChangeTop' => array("title"=>'TOP TEN TICKERS RANKED BY RECENT SENTIMENT CHANGE'),
	      'SentimentChangeBottom' => array("title"=>'BOTTOM TEN TICKERS RANKED BY RECENT SENTIMENT CHANGE'),
	      'TweetBuzzTop' => array("title"=>'TOP TEN TICKERS RANKED BY BUZZ')//,
	      //'TweetBuzzBottom' => array("title"=>'BOTTOM TEN TICKERS RANKED BY BUZZ')
			);
      
			include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/topten_model.php");
			
			if(isset($_GET['view_mode'])) ToptenModel::viewMode($_GET['view_mode']);
			foreach(ToptenModel::get(array_keys($tables)) as $i => $records){
				$tables[$i]['records'] = $records;
			}
      
      return $this->displayTemplate("top_ten_tables.tpl", array(
        "tables" => $tables
      ));
    }
  }

?>