<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");
	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/users_sentiment_model.php");
	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/twitter_model.php");

  class AjaxUsersDashboardGraphsBox extends FJF_CMD
  {
    var $sessionModel = null;
		var $usersSentimentModel = null;
		var $twitterModel = null;

    function __construct()
    {
      $this->sessionModel = new SessionModel();
			$this->usersSentimentModel = new UsersSentimentModel();
			$this->twitterModel = new TwitterModel();
    }

    function execute()
    {
      require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/includes/ajax_header_commands.php");
      if (!$this->sessionModel->isLoggedUser()) return null;
      
      $username = (isset($_GET["username"]) && $_GET["username"]) ? trim($_GET["username"]) : '';
      $marketUser = $username ? FJF_BASE_RICH::getRecord("users_market_users", "username='USERNAME_VAL' AND user_id='USER_ID' AND status = 1", array(
				'USERNAME_VAL' => $username,
				'USER_ID' => $this->sessionModel->uid
			)) : null;
			if(!$marketUser) return false;
			
      $header['title'] = 'MP SCORE AND RANK';
      $header['popup']['title'] = '@'.$username;
      $header['popup']['type'] = (isset($_GET["popup_type"]) && $_GET["popup_type"]) ? trim($_GET["popup_type"]) : 'box';
      $header['popup']['url'] = '/ajax/users/dashboard/graphs-box/?username='.$username.'&popup_type=window';
      $header['popup']['params'] = "{width:417,height:348,name:'".$header['title']."'}";
			
			$data = new stdClass;
			$data->intervals = $this->usersSentimentModel->getIntervals();
			$data->name = '';
			$tweeter = $this->twitterModel->getLib();
			$twUsers = $username ? $tweeter->get("users/lookup", array("screen_name" => $username)) : null;
			if(is_array($twUsers) && isset($twUsers[0]) && $twUsers[0]){
				$data->name = isset($twUsers[0]->name) ? $twUsers[0]->name : '';
			}

      $templateParams = array(
        "has_error" => $hasError,
        "status" => $status,
        "header" => &$header,
        "username" => $username,
        "data" => $data
      );
      return $this->displayTemplate("ajax_users_dashboard_graphs_box.tpl", $templateParams);
    }
  }

?>