<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

  class AjaxUsersDashboardTweetsBox extends FJF_CMD
  {
    var $sessionModel = null;

    function __construct()
    {
      $this->sessionModel = new SessionModel();
    }

    function execute()
    {
      require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/includes/ajax_header_commands.php");
      if (!$this->sessionModel->isLoggedUser()) return null;
      
      $username = (isset($_GET["username"]) && $_GET["username"]) ? trim($_GET["username"]) : '';
      $marketUser = $username ? FJF_BASE_RICH::getRecord("users_market_users", "username='USERNAME_VAL' AND user_id='USER_ID' AND status = 1", array(
				'USERNAME_VAL' => $username,
				'USER_ID' => $this->sessionModel->uid
			)) : null;
			if(!$marketUser) return false;
			
      $header['title'] = 'TWEETS';
			$header['popup']['title'] = '@'.$username;
      $header['popup']['type'] = (isset($_GET["popup_type"]) && $_GET["popup_type"]) ? trim($_GET["popup_type"]) : 'box';
      $header['popup']['url'] = '/ajax/users/dashboard/tweets-box/?username='.$username.'&popup_type=window';
      $header['popup']['params'] = "{width:223,height:582,name:'".$header['title']."'}";
			

      $templateParams = array(
        "has_error" => $hasError,
        "status" => $status,
        "header" => &$header,
        "username" => $username
      );
      return $this->displayTemplate("ajax_users_dashboard_tweets_box.tpl", $templateParams);
    }
  }

?>