<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");
	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/user_model.php");

  class Login extends FJF_CMD{
  	
    var $sessionModel = null;
		var $userModel = null;

    function __construct(){
      $this->sessionModel = new SessionModel();
			$this->sessionModel->loginRedirect("/");
			$this->userModel = new UserModel();
    }

    function execute(){
      require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/includes/header_commands.php");
      
      $header["title"] = "Login";
			$userInfo = null;
                  
      if($_SERVER["REQUEST_METHOD"] == "POST"){
        $email = (isset($_POST["email"]) && $_POST["email"] != "") ? trim($_POST["email"]) : "";
        $password = (isset($_POST["password"]) && $_POST["password"] != "") ? trim($_POST["password"]) : "";
        $setCookie = isset($_POST["remember"]) ? intval($_POST["remember"]) : false;

        if($email != "" && $password != ""){
          if($userInfo = $this->sessionModel->checkUserExists($email, $password)){
          	$this->userModel->changePendingStatus($userInfo->id, $userInfo->tier);
            $hasError = !$this->sessionModel->login($userInfo, $setCookie);
            $status = $this->sessionModel->status;
          }else{
            $hasError = true;
            $status = "Invalid Email or Password.";
          }
        }else{
          $hasError = true;
          $status = "Please, enter both Email and Password.";
        }

      } // end POST

      $templateParams = array(
        "has_error" => $hasError,
        "status" => $status,
        "header" => $header,
        "user_info" => $userInfo
      );
      return $this->displayTemplate("login.tpl", $templateParams);
    }
  }

?>