<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

	class Press extends FJF_CMD{
		var $sessionModel = null;

		function __construct(){
			$this->sessionModel = new SessionModel();
		}

		function execute(){
			require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["includes_path"] . "/header_commands.php");
      $type = (isset($_GET['type']) && $_GET['type'] != '') ? intval($_GET['type']) : 0;
      $header['title'] = ($type == 1) ? 'News' : 'Press';
      $fields = 'title, url_title, description, image';
      $where = "status = 1 AND type = 'INFO_TYPE'";
      $where .= " AND create_date < 'NOW_DATE'";
      $where .= " ORDER BY create_date DESC";
      $params['INFO_TYPE'] = $type;
      $params['NOW_DATE'] = date('Y-m-d H:i:s');
      $records = $this->sessionModel->getRecords('press', $where, $params, false, $fields);
			
			$templateParams = array(
        "has_error" => $hasError,
        "status" => $status,
        "header" => $header,
        "records" => $records,
        "type" => $type
      );
			return $this->displayTemplate("press.tpl", $templateParams);
		}
	}
	
?>