<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/resources/excel/excel_reader2.php");
	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/user_model.php");

  class ScriptEmailImport extends FJF_CMD
  {

		var $userModel = null;

		function __construct()
    {
      $this->userModel = new UserModel();
    }

    function execute()
    {
			/* connect to gmail */
			$hostname = '{imap.gmail.com:993/imap/ssl/novalidate-cert/norsh}Inbox';
			$username = 'user-export@marketprophit.com';
			$password = 'Marketp-2014';
			/* dev settings
			$hostname = '{marketprophit.npgdev.com:143}INBOX';
			$username = 'system.marketprophit';
			$password = '8HjziZT4';
			*/

			$filename = "MarketProphitEntitlementReport.xls";
			/* try to connect */
			$inbox = imap_open($hostname,$username,$password) or die('Cannot connect to server: ' . imap_last_error());
			$emails = imap_search($inbox,'ALL');
			if($emails){
				rsort($emails);
				foreach($emails as $email_number){
					$overview = imap_fetch_overview($inbox,$email_number,0);
					if(intval($overview[0]->seen) == 0){
						//$message = imap_fetchbody($inbox,$email_number,2);
						//$header = imap_headerinfo($inbox, $email_number);
						$structure = imap_fetchstructure($inbox,$email_number);
						$attachments = array();
						if(isset($structure->parts) && count($structure->parts)){
					  	for($i = 0; $i < count($structure->parts); $i++){
					    	$attachments[$i] = array(
					        'is_attachment' => false,
					        'filename' => '',
					        'name' => '',
					        'attachment' => ''
								);
					     	if($structure->parts[$i]->ifdparameters){
					      	foreach($structure->parts[$i]->dparameters as $object){
					        	if(strtolower($object->attribute) == 'filename' && $filename == $object->value){
					          	$attachments[$i]['is_attachment'] = true;
					          	$attachments[$i]['filename'] = $object->value;
					         	}
					       	}
					     	}
								if($structure->parts[$i]->ifparameters){
					      	foreach($structure->parts[$i]->parameters as $object){
					        	if(strtolower($object->attribute) == 'name' && $filename == $object->value){
					          	$attachments[$i]['is_attachment'] = true;
					          	$attachments[$i]['name'] = $object->value;
					        	}
					      	}
					     	}
					     	if($attachments[$i]['is_attachment']){
					      	$attachments[$i]['attachment'] = imap_fetchbody($inbox, $email_number, $i+1);
					      	if($structure->parts[$i]->encoding == 3){ // 3 = BASE64
					      		$attachments[$i]['attachment'] = base64_decode($attachments[$i]['attachment']);
					      	}elseif($structure->parts[$i]->encoding == 4){ // 4 = QUOTED-PRINTABLE
					        	$attachments[$i]['attachment'] = quoted_printable_decode($attachments[$i]['attachment']);
					      	}
									break;
					   		}else{
					   			unset($attachments[$i]);
					   		}
					 		}
					 	}
						if($attachments){
							foreach($attachments as $at){
					      if($at["is_attachment"] == 1){
					      	$file = $GLOBALS["WEB_APPLICATION_CONFIG"]["app_data_path"] . "/" . $at['filename'];
									if(file_put_contents($file, $at['attachment'])){
										$excel = new Spreadsheet_Excel_Reader($file);
										$colCount = $excel->colcount();
										$rowCount = $excel->rowcount();
										$data = array();
										$colNames = array(
											"16" => "username",
											"15" => "email",
											"4" => "first_name",
											"5" => "last_name",
											"7" => "address",
											"8" => "address2",
											"10" => "city",
											"11" => "state",
											"13" => "zip",
											"14" => "phone",
											"24" => "tier"
										);
										$tierLevels = array(
											"30" => 1,
											"50" => 2,
											"150" => 3
										);
										if($colCount && $rowCount){
											for($row = 2; $row <= $rowCount; $row++){
												foreach($colNames as $col => $name){
													$value = $excel->val($row, $col);
													if($value){
														if($name == "tier"){
															$data[$row][$name] = array_key_exists($value, $tierLevels) ? $tierLevels[$value] : 0;
														}else{
															$data[$row][$name] = $value;
														}
													}
												}
											}
										}
										if($data){
											$GLOBALS["WEB_APPLICATION_CONFIG"]["FJF_BASE_key"] = 'email';
											$users = FJF_BASE_RICH::getRecords('users', null, null, false, 'id, email');
											if(!$users) $users = array();
											foreach($data as $item){
												if(array_key_exists($item['email'], $users)){
													$item["id"] = $users[$item['email']]->id;
													FJF_BASE_RICH::saveRecord('users', $item);
												}else{
													$this->userModel->addApprovedUser($item);
												}
											}
										}
									}
									break(2);
					      }
						  }
						}
					}
				}
			}
			/* close the connection */
			imap_close($inbox);
			exit('Done');
    }
  }

?>