<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/resources/excel/excel_reader2.php");
	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/sentiment_model.php");

  class ScriptStockDashboardImport extends FJF_CMD{
  	
		var $sentimentModel = null;
		
		function __construct(){
      $this->sentimentModel = new SentimentModel();
    }

    function execute(){
			$email = "marketprophittest1@gmail.com";
			$file = "PadOct2014.xls";
			$file = $GLOBALS["WEB_APPLICATION_CONFIG"]["app_data_path"] . "/" . $file ;
			$user = FJF_BASE_RICH::getRecordBy("users", $email, "email");
			if($user && file_exists($file)){
				$excel = new Spreadsheet_Excel_Reader($file);
				$colCount = $excel->colcount();
				$rowCount = $excel->rowcount();
				$data = array();
				$colNames = array(
					"1" => "ticker",
				);
				if($colCount && $rowCount){
					for($row = 1; $row <= $rowCount; $row++){
						foreach($colNames as $col => $name){
							if($value = $excel->val($row, $col)){
								$data[$row][$name] = $value;
							}
						}
					}
				}
				if($data){
					foreach($data as $item){
						if($item["ticker"] && !$this->sentimentModel->checkStock($user->id, $item["ticker"])){
							$this->sentimentModel->addStock(array(
								"ticker" => $item["ticker"],
								"user_id" => $user->id
							));
						}
					}
				}
			}
			exit('Done');
    }
  }

?>