<?php

	class AdminUsersModel extends FJF_BASE_RICH{

		function getUsers($where = "", $orderBy = "", $limit = ""){
			FJF_BASE::log("", __METHOD__);
			
			$sql = "";
			if($where) $sql .= $where;
			else $sql .= "1";
			if($orderBy) $sql .= " ORDER BY " . $orderBy;
			else $sql .= " ORDER BY u.username";
			if($limit) $sql .= " LIMIT " . $limit;

			return $this->getRecords("users u", $sql);
		}//getUsers
		

		function getUsersCount($where = ""){
			FJF_BASE::log("", __METHOD__);
			return $this->countFrom("users u", $where);
		}//getAllUsers


		function getUserInfo($id = 0){
			FJF_BASE::log("Params:[id=$id]", __METHOD__);
			return $this->getRecordBy("users", $id);
		}//getUserInfo
		
		
		function updateRecord($data){
			FJF_BASE::log("", __METHOD__);
			return $this->saveRecord("users", $data);
		}//updateRecord


		function deleteUsers($usersToDeleteArr = array()){
			FJF_BASE::log("", __METHOD__);
			$result = null;

			if(is_array($usersToDeleteArr) && !empty($usersToDeleteArr)){
				$result = $this->deleteRecords("users", "id IN (" . implode(",", array_map("intval", $usersToDeleteArr)) . ")");
			}

			return $result;
		}//deleteAdminUsers

	}

?>