<?php

class DashboardModel{
	
	static function getPopupStockTitle($ticker){
  	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/xignite_model.php");
		include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/price_model.php");
	
		$title = '';
		FJF_BASE_RICH::db("sentiment");
		if($stock = FJF_BASE_RICH::getRecords(
				"PricingMaster"
			, "TICKER='TICKER_VAL' LIMIT 1"
			, array('TICKER_VAL' => $ticker)
			, true
			, "TICKER, COMPANY_NAME, EXCHANGE_NAME, PRICING_TICKER, API_NAME"
		)){
			$title .= $stock->TICKER . ' - ' . $stock->COMPANY_NAME . '<br/>';
      $title .= $stock->EXCHANGE_NAME . '<br/>';
			if($data = XigniteModel::getQuote($stock->PRICING_TICKER, $stock->API_NAME)){
				$title .= PriceModel::formatPrice($data->Last, $stock->EXCHANGE_NAME);
				$title .= ' ';
        $title .= '<span class="'.(($data->PercentChange < 0) ? 'red' : 'green').'">';
				if($data->PercentChange < 0) $title .= '&#8595; ';
				elseif($data->PercentChange > 0) $title .= '&#8593; ';
				$title .= sprintf("%.2f", $data->Change);
				$title .= ' (' . sprintf("%.2f", $data->PercentChange) . '%)';
        $title .= "</span>";
        $title .= ' ';
        $title .= $data->Time;
			}else{
				$title .="&nbsp;";
			}
		}
		FJF_BASE_RICH::db();
		
		return $title;
	}
	
}

?>