<?php

	namespace UnitedPrototype\GoogleAnalytics;

	include_once($_SERVER["DOCUMENT_ROOT"] . "/fitch/resources/php-ga/src/autoload.php");

	// Initilize GA Tracker
	$tracker = new Tracker('UA-41480246-1', 'marketprophit.com');

	// Assemble Visitor information
	$visitor = new Visitor();
	$visitor->setIpAddress($_SERVER['REMOTE_ADDR']);
	$visitor->setUserAgent($_SERVER['HTTP_USER_AGENT']);
	$visitor->setScreenResolution('1024x768');

	// Assemble Session information
	$session = new Session();

	// Assemble Page information
	$page = new Page($_SERVER["REQUEST_URI"]);
	$page->setTitle('MarketProphit Analytics API');

	// Track page view
	$tracker->trackPageview($page, $session, $visitor);

?>