{strip}
{include file="site_top_admin.tpl"}

{if !$parameters.is_admin}
	{* LOGIN_BOX *}

		<table class="border_collapse_wide">
			<tr>
				<td align="center">

					{if $parameters.status != ""}
						<div class="box_{if $parameters.has_error}error{else}success{/if}">
							{$parameters.status}
						</div>
						<br />
					{/if}

					<div class="box_login">
						<div class="box_title">Login</div>
						<div class="box_content">

							<form id="form_login" name="form_login" action="/admin" method="post">
								<input type="hidden" name="cmd" value="{$parameters.cmd}" />

								<table class="table_fields" width="280">
									<tr>
										<td width="80" class="field_label_2">
											Email:
										</td>
										<td class="field_content">
											<input type="text" class="input_text" id="email" name="email" value="" size="15" maxlength="255" style="width: 170px;" />
										</td>
									</tr>
									<tr>
										<td width="80" class="field_label_2">
											Password:
										</td>
										<td class="field_content">
											<input type="password" class="input_text" id="password" name="password" value="" size="15" maxlength="30" style="width: 170px;" />
										</td>
									</tr>
									<tr>
										<td colspan="2">
											<div class="line"><img src="/img/clear.gif" width="1" height="1" alt="" title="" /></div>
										</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
										<td class="field_content">
											<input type="submit" class="input_submit" id="submit_login" name="submit_login" value="Login" style="width: 70px;" />
										</td>
									</tr>
								</table>

							</form>

						</div>
					</div>

				</td>
			</tr>
		</table>

	{* /LOGIN_BOX *}
{else}
	{* ADMIN_HOME *}

	<table class="border_collapse_wide" cellspacing="0" cellpadding="0">
		<tr>
			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">Users</div>
				<div class="box_content">
					{is_admin tool=1}
						<div class="list">
							&raquo;&nbsp;<a href="/admin/users/members/" onfocus="this.blur();">Manage Users</a>&nbsp;
						</div>
						<div class="list">
							&raquo;&nbsp;<a href="/admin/users/administrators/" onfocus="this.blur();">List Admin Users</a>&nbsp;
						</div>
					{/is_admin}
				</div>
			</td>

			<td width="10">&nbsp;</td>

			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">Site Settings</div>
				<div class="box_content">
					{is_admin tool=2}
					<div class="list">
						&raquo;&nbsp;<a href="/admin/site_vars/" onfocus="this.blur();">Manage Site Vars</a>&nbsp;
					</div>
					{/is_admin}
				</div>
			</td>

			<td width="10">&nbsp;</td>

			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">SEO Tools</div>
				<div class="box_content">
					{is_admin tool=3}
					<div class="list">
						&raquo;&nbsp;<a href="/admin/global_seo_controller/" onfocus="this.blur();">Global SEO Controller</a>&nbsp;
					</div>
					<div class="list">
						&raquo;&nbsp;<a href="/admin/seo_redirect_tool/" onfocus="this.blur();">SEO Redirect Tool</a>&nbsp;
					</div>
					<div class="list">
						&raquo;&nbsp;<a href="/admin/robots_editor/" onfocus="this.blur();">Robots.txt Editor</a>&nbsp;
					</div>
					{/is_admin}
				</div>
			</td>
		</tr>

		<tr><td colspan="5">&nbsp;</td></tr>

		<tr>
			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">CMS Content</div>
				<div class="box_content">
					{is_admin tool=4}
						<div class="list">
							&raquo;&nbsp;<a href="/admin/cms_content/" onfocus="this.blur();">Manage CMS Content</a>&nbsp;
						</div>
						<div class="list">
							&raquo;&nbsp;<a href="/admin/cms_content_categories/" onfocus="this.blur();">Manage CMS Content Categories</a>&nbsp;
						</div>
					{/is_admin}
					{is_admin tool=5}
						<div class="list">
							&raquo;&nbsp;<a href="/admin/menus/" onfocus="this.blur();">Content Organizer Controller</a>&nbsp;
						</div>
					{/is_admin}
				</div>
			</td>

			<td width="10">&nbsp;</td>

			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">Press</div>
				<div class="box_content">
				  {is_admin tool=6}
            <div class="list">
              &raquo;&nbsp;<a href="/admin/press/" onfocus="this.blur();">Manage Press</a>&nbsp;
            </div>
          {/is_admin}
				</div>
			</td>

			<td width="10">&nbsp;</td>

			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">Blog</div>
				<div class="box_content">
					{is_admin tool=7}
						<div class="list">
							&raquo;&nbsp;<a href="/admin/blogs/" onfocus="this.blur();">Manage Blogs</a>&nbsp;
						</div>
						<div class="list">
							&raquo;&nbsp;<a href="/admin/blogs/categories/" onfocus="this.blur();">Manage Blogs Categories</a>&nbsp;
						</div>
						<div class="list">
							&raquo;&nbsp;<a href="/admin/blogs/entries/" onfocus="this.blur();">Manage Blogs Entries</a>&nbsp;
						</div>
						<div class="list">
							&raquo;&nbsp;<a href="/admin/blogs/entries_categories/" onfocus="this.blur();">Manage Blogs Entries Categories</a>&nbsp;
						</div>
					{/is_admin}
				</div>
			</td>
		</tr>

		<tr><td colspan="5">&nbsp;</td></tr>
		
		<tr>
			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">Reports</div>
				<div class="box_content">
					{is_admin tool=8}
						<div class="list">
							&raquo;&nbsp;<a href="/admin/reports/user/" onfocus="this.blur();">User Report</a>&nbsp;
						</div>
						<div class="list">
							&raquo;&nbsp;<a href="/admin/reports/revenue/" onfocus="this.blur();">Revenue Report</a>&nbsp;
						</div>
					{/is_admin}
				</div>
			</td>

			<td width="10">&nbsp;</td>

			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">Promotion Codes</div>
				<div class="box_content">
					{is_admin tool=9}
						<div class="list">
							&raquo;&nbsp;<a href="/admin/promotion_codes/" onfocus="this.blur();">Manage Promotion Codes</a>&nbsp;
						</div>
					{/is_admin}
				</div>
			</td>

			<td width="10">&nbsp;</td>

			<td width="270" align="left" valign="top" class="box">
				<div class="box_title">Helpdesk Requests</div>
				<div class="box_content">
					{is_admin tool=10}
						<div class="list">
							&raquo;&nbsp;<a href="/admin/helpdesk_requests/add/" onfocus="this.blur();">Create Help Ticket</a>&nbsp;
						</div>
					{/is_admin}
				</div>
			</td>
		</tr>

		<tr><td colspan="5">&nbsp;</td></tr>

	</table>

	{* /ADMIN_HOME *}
{/if}

{include file="site_bottom_admin.tpl"}
{/strip}