{strip}
{include file="site_top_admin.tpl"}

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.status}
					<div class="box_{if $parameters.has_error}error{else}success{/if}">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title">{$parameters.header.title}</div>
					<div class="box_content">

						{is_admin tool="all"}
							<div class="box_links">
								<div style="float:left;">
									<a href="/admin/cms_content/add/" onfocus="this.blur();">Add New Page</a>
								</div>
								<div style="float:right; margin-left: 10px;">
									<form id="keyword_form" name="keyword_form" method="post" action="">
										<input type="hidden" name="cmd" value="{$parameters.cmd}" />
										<input type="text" class="input_text" id="keyword" name="keyword" value="{if $parameters.sql_param.keyword != ""}{$parameters.sql_param.keyword|stripslashes}{/if}" />&nbsp;<input type="submit" class="input_submit" id="search_button" name="search_button" value="Search" />
									</form>
								</div>
								<div style="float:right;">
									Filter: <select onchange="filterBy(this);">
										<option value="none"></option>
										<option value="approval_queue" {if $parameters.sql_param.filter eq "approval_queue"}selected="selected"{/if}>Approval Queue</option>
										<option value="publish_expiration_queue" {if $parameters.sql_param.filter eq "publish_expiration_queue"}selected="selected"{/if}>Publish/Expiration Queue</option>
									</select>
								</div>
								<div class="clear"></div>
							</div>
						{/is_admin}

						{if $parameters.pages}
							<div id="next_prev_pages">
								{foreach from=$parameters.pages item=item}
									<a href="{$item.url}" style="{if $item.active}color:black;{/if}">{$item.page}</a>&nbsp;
								{/foreach}
							</div>
						{/if}

							<script>
								var url = '{$smarty.server.REQUEST_URI}';
								var sort_name = '{$parameters.sql_param.sort_name}';
								var sort_order = '{$parameters.sql_param.sort_order}';
								var filter = '{$parameters.sql_param.filter}';

								{literal}
								function sortBy(n){
									o = n == sort_name&&sort_order=='asc'?'desc':'asc';
									if(url.indexOf('?') < 0) url += '?';
									if(url.indexOf('&sort_name='+sort_name) < 0) url += '&sort_name='+n;
									else url = url.replace('&sort_name='+sort_name, '&sort_name='+n);
									if(url.indexOf('&sort_order='+sort_order) < 0) url += '&sort_order='+o;
									else url = url.replace('&sort_order='+sort_order, '&sort_order='+o);
									document.location.assign(url);
								}//sortBy

								function filterBy(n){
									n = n.options[n.selectedIndex].value;
									if(url.indexOf('?') < 0) url += '?';
									if(url.indexOf('&filter='+filter) < 0) url += '&filter='+n;
									else url = url.replace('&filter='+filter, '&filter='+n);
									document.location.assign(url);
								}//filterBy

								function ckackApprovs(a){
									$('input[name=\'approval_ids\[\]\']').each(function(i,e){
										e.checked = a;
									});
								}//ckackApprovs

								function ApprovSelectedItems(){
									var v = [];
									$('input[name=\'approval_ids\[\]\']').each(function(i,e){
										if(e.checked) v.push(e.value);
									});
									$('input[name=\'id_to_approve\']').val(v.join(','));
									$('#form_records').get(0).submit();
								}//ApprovSelectedItems
								{/literal}

							</script>

						{if $parameters.records}

							<form id="form_records" name="form_records" method="post" action="">
								<input type="hidden" name="cmd" value="{$parameters.cmd}" />
								<input type="hidden" name="id_to_delete" value="" />
								<input type="hidden" name="id_to_approve" value="" />
							</form>

							<table class="table_records" style="width:1000px;">
								<tr>
									<th width="2%" onclick="sortBy('id');" class="sort {if $parameters.sql_param.sort_name eq 'id'}{$parameters.sql_param.sort_order}{/if}" width="5%">
										#
									</th>
									<th onclick="sortBy('title');" class="sort {if $parameters.sql_param.sort_name eq 'title'}{$parameters.sql_param.sort_order}{/if}">
										Title
									</th>
									{*<th onclick="sortBy('url_title');" class="sort {if $parameters.sql_param.sort_name eq 'url_title'}{$parameters.sql_param.sort_order}{/if}" width="5%">
										URL Title
									</th>*}
									<th onclick="sortBy('user');" class="sort {if $parameters.sql_param.sort_name eq 'user'}{$parameters.sql_param.sort_order}{/if}">
										Last Edit By
									</th>
									<th onclick="sortBy('date_edited');" class="sort {if $parameters.sql_param.sort_name eq 'date_edited'}{$parameters.sql_param.sort_order}{/if}">
										Last Edit Date
									</th>
									<th onclick="sortBy('status');" class="sort {if $parameters.sql_param.sort_name eq 'status'}{$parameters.sql_param.sort_order}{/if}">
										Status
									</th>
									<th onclick="sortBy('date_publish');" class="sort {if $parameters.sql_param.sort_name eq 'date_publish'}{$parameters.sql_param.sort_order}{/if}">
										Publish Date
									</th>
									<th onclick="sortBy('date_expiration');" class="sort {if $parameters.sql_param.sort_name eq 'date_expiration'}{$parameters.sql_param.sort_order}{/if}">
										Exp. Date
									</th>
									{is_admin tool="all"}
										<th onclick="sortBy('approval_queue');" class="sort {if $parameters.sql_param.sort_name eq 'approval_queue'}{$parameters.sql_param.sort_order}{/if}">
											Approval Queue
										</th>
									{/is_admin}
									<th width="20%">
										Action
									</th>
								</tr>
								{foreach name=records from=$parameters.records item=item}
									<tr id="row_{$smarty.foreach.records.iteration}" class="{if $smarty.foreach.records.iteration % 2}odd{else}even{/if}">
										<td width="5%">
											<b>{$item->id}</b>
										</td>
										<td>
											<nobr><b {if $item->is_locked}class="red"{/if} title="{$item->title}">{$item->title|stripslashes|truncate:25:"...":true}</b></nobr>
										</td>
										{*<td>
											{$item->url_title}
										</td>*}
										<td>
											{$item->user_name}
										</td>
										<td>
											{$item->revision_datetime|date_format:"%b %e, %Y <br /> %l:%M%p"}
										</td>
										<td>
											<span class="{if $item->status}green">On{else}red">Off{/if}</span>
										</td>
										<td>
											{if $item->date_publish}{$item->date_publish|date_format:"%b %e, %Y <br /> %l:%M%p"}{else}Not Used{/if}
										</td>
										<td>
											{if $item->date_expiration}{$item->date_expiration|date_format:"%b %e, %Y <br /> %l:%M%p"}{else}Not Used{/if}
										</td>
										{is_admin tool="all"}
											<td>
												{if $item->approval_queue}*
													<input type="checkbox" name="approval_ids[]" value="{$item->current_id}" />
												{/if}
											</td>
										{/is_admin}
										<td>
											{if $item->is_locked}
												LOCKED by {$item->editor}
											{else}
												<input type="button" class="input_button" value="Buckets" onclick="document.location='/admin/cms_content/buckets/{$item->id}/';" />
												&nbsp;
												<input type="button" class="input_button" value="Edit" onclick="document.location='/admin/cms_content/edit/{$item->id}/';" />
												&nbsp;
												<input type="button" class="input_button" value="Delete" onclick="return deleteRecord({$item->id}, 'record');" />
											{/if}
										</td>
									</tr>
								{/foreach}
							</table>

							{is_admin tool="all"}
								<div style="text-align:right;padding:5px;">
									<a href="javascript:void(0);" onclick="ckackApprovs(true);">Check All</a>&nbsp;
									<a href="javascript:void(0);" onclick="ckackApprovs(false);">Uncheck All</a>&nbsp;
									<input onclick="ApprovSelectedItems();" type="button" class="input_button" value="Approve Selected Items" />
								</div>
							{/is_admin}
						{else}
							<br />
							<div class="box_message">
								There are no records to display.
							</div>
							<br />
							<br />
						{/if}

					</div><!-- /box_content -->
				</div><!-- /box -->

				<br />
				<div style="text-align: left;">
					<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Administration" onclick="window.location='/admin/'" />
				</div>
				<br />
				<br />

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}