{strip}
{include file="site_top_admin.tpl"}

	<link rel="stylesheet" type="text/css" href="{$WEB_APP_CONFIGURATION.STYLES_DOMAIN}/styles/tablesorter.css" />
	<script language="javascript" type="text/javascript" src="{$WEB_APP_CONFIGURATION.JS_DOMAIN}/js/jquery.tablesorter.js"></script>
	<script language="javascript" type="text/javascript">
	{literal}
		//tablesorter
		$(document).ready(function()
			{
				$("#table_sorting").tablesorter();
			}
		);
	{/literal}
	</script>

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.status}
					<div class="box_{if $parameters.has_error}error{else}success{/if}">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title">{$parameters.header.title}</div>
					<div class="box_content">

						<div class="box_links">
							<a href="/admin/cms_content/buckets/{$parameters.page_id}/add/" onfocus="this.blur();">Add New Bucket</a>
						</div>

						{if $parameters.records}

							<form id="form_records" name="form_records" method="post" action="">
								<input type="hidden" name="cmd" value="{$parameters.cmd}" />
								<input type="hidden" name="id_to_delete" value="" />
							</form>

							<table id="table_sorting" class="tablesorter">
								<thead>
									<tr>
										<th width="5%">
											#
										</th>
										<th>
											Title
										</th>
										<th>
											Description
										</th>
										<th width="1">
											Action
										</th>
									</tr>
								</thead>
								<tbody>
								{foreach name=records from=$parameters.records item=item}
									<tr id="row_{$smarty.foreach.records.iteration}" class="DADP_E {if $smarty.foreach.records.iteration % 2}odd{else}even{/if}">
										<td>
											<b class="DADP_N">{$item->position}</b>
										</td>
										<td>
											<b><a href="{$item->link}">{$item->title|stripslashes}</a></b>
										</td>
										<td>
											{$item->description|stripslashes|strip_tags|truncate:70}
										</td>
										<td style="white-space: nowrap;">
											<input type="button" class="input_button" value="Modify" onclick="document.location='/admin/cms_content/buckets/{$parameters.page_id}/edit/{$item->id}';" />
											&nbsp;
											<input type="button" class="input_button" value="Delete" onclick="return deleteRecord({$item->id});" />
										</td>
									</tr>
								{/foreach}
								</tbody>
							</table>
							<script type="text/javascript" src="/js/DADP.js"></script>
							<script type="text/javascript">DADP.init();</script>
						{else}
							<br />
							<div class="box_message">
								There are no records to display.
							</div>
							<br />
							<br />
						{/if}

					</div><!-- /box_content -->
				</div><!-- /box -->

				<br />
				<div style="text-align: left;">
					<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Administration" onclick="window.location='/admin/cms_content/'" />
				</div>
				<br />
				<br />

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}