{strip}
{include file="site_top_admin.tpl"}

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.status}
					<div class="box_{if $parameters.has_error}error{else}success{/if}">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title">{$parameters.header.title|stripslashes}</div>
					<div class="box_content">

						{if $parameters.records}

							<form id="form_records" name="form_records" method="post" action="">
								<input type="hidden" name="cmd" value="{$parameters.cmd}" />
								<input type="hidden" name="id_to_delete" value="" />
							</form>

							<table class="table_records">
								<tr>
									<th width="5%">
										#
									</th>
									<th>
										Title
									</th>
									<th>
                    Type
                  </th>
                  <th style="text-align: center;">
                  	Status
                  </th>
                  <th width="5%" style="text-align: center;">
                   	Action
                   </th>
								</tr>
								{foreach name=records from=$parameters.records item=item}
									<tr id="row_{$smarty.foreach.records.iteration}" class="DADP_E {if $smarty.foreach.records.iteration % 2}odd{else}even{/if}">
										<td width="5%">
											<b class="DADP_N">{$item->position}</b>
										</td>
										<td>
											{$item->title|stripslashes}
										</td>
										<td>
											{if $item->type}News{else}Press{/if}
										</td>
										<td style="text-align: center;">
                      <span class="{if $item->status}green">On{else}red">Off{/if}</span>
                    </td>
										<td style="text-align: center;">
                      <a href="/admin/press/edit/{$item->id}/?type=featured">
                        <img src="/img/admin/actions/edit.png" width="16" height="16" alt="Edit" title="Edit" class="pngfix" />
                      </a>
                    </td>
									</tr>
								{/foreach}
							</table>
							<script type="text/javascript" src="/js/DADP.js"></script>
							<script type="text/javascript">DADP.init();</script>
						{else}
							<br />
							<div class="box_message">
								There are no records to display.
							</div>
							<br />
							<br />
						{/if}
					</div><!-- /box_content -->
				</div><!-- /box -->

				<br />
				<div style="text-align: left;">
					<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Manage Press" onclick="window.location='/admin/press/'" />
				</div>
				<br />
				<br />

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}