{strip}
{include file="site_top_admin.tpl"}

	<link rel="stylesheet" type="text/css" href="/styles/tablesorter.css" />
	<script language="javascript" type="text/javascript" src="/js/jquery.tablesorter.js"></script>
	<script language="javascript" type="text/javascript">
	{literal}
		$(function(){
			$("#table_sorting").tablesorter({headers: {
				8: { sorter: false },
				9: { sorter: false },
			}});
		});
	{/literal}
	</script>

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.has_error}
					<div class="box_error">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title_count">{$parameters.header.title}</div>
					<div class="box_count">
						Total: {$parameters.records_count} records
					</div>
					<div class="clear"></div>
					<div class="box_content">

						<div class="box_search_pagination">
							<div class="search">

								<form id="form_search" name="form_search" method="post" action="">
									<input type="hidden" name="cmd" value="{$parameters.cmd}" />

									<table class="border_collapse">
										<tr>
											<td>
												<input type="text" class="input_text" id="keyword" name="keyword" value="{$parameters.keyword}" style="width: 160px;" />
											</td>
											<td style="padding: 0 5px 0 5px;">
												<input type="submit" class="input_submit" id="button_search" name="button_search" value="Search" style="width: 60px;" />
											</td>
											<td>
												<input type="button" class="input_submit" id="button_search" name="button_search" value="List All" style="width: 60px;" onclick="window.location = '/admin/users/{$smarty.get.mode}/';" />
											</td>
										</tr>
									</table>
								</form>

							</div>
							<div class="pagination">
								{if $parameters.pages}
									{foreach from=$parameters.pages item=item}
										<a href="{$item.url}" {if $item.active}class="active"{/if}>
											{$item.page}
										</a>
									{/foreach}
								{/if}
							</div>
							<div class="clear"></div>
						</div>

						<div class="box_links">
							<a href="/admin/users/{$smarty.get.mode}/add/" onfocus="this.blur();">Add New User</a>
						</div>

						{if $parameters.records}

							<form id="form_pagination" name="form_pagination" method="post" action="">
								<input type="hidden" name="cmd" value="{$parameters.cmd}" />
								<input type="hidden" name="keyword" value="{$parameters.keyword}" />
								<input type="hidden" name="page" value="{$parameters.page}" />
							</form>

							<form id="form_delete_users" name="form_delete_users" method="post">

								<table id="table_sorting" class="tablesorter">
									<thead>
										<tr>
											<th>
												ID
											</th>
											<th>
												Username
											</th>
											<th>
												Email
											</th>
											<th>
												Name
											</th>
											{*
											<th>
												User Type
											</th>
											*}
											<th>
												Admin
											</th>
											<th>
												Active
											</th>
											<th>
												Banned
											</th>
											<th>
                        Approved
                      </th>
											<th>
												Action
											</th>
											<th>
												&nbsp;
											</th>
										</tr>
									</thead>
									<tbody>
									{foreach name=users from=$parameters.records item=item}
										<tr id="row_{$smarty.foreach.users.iteration}" class="{if $smarty.foreach.users.iteration % 2}odd{else}even{/if}">
											<td>
												{$item->id}
											</td>
											<td>
												<b>{$item->username}</b>
											</td>
											<td>
												{$item->email}
											</td>
											<td>
												{$item->first_name} {$item->last_name}
											</td>
											{*
											<td>
												{if $item->user_type > 0}
													{if $item->user_type == 1}
														User
													{/if}
												{else}
													Admin
												{/if}
											</td>
											*}
											<td>
												<span class="green">
													{if $item->is_admin > 0}
														<b class="green">Yes</b>{if $item->is_admin eq 2} (<b class="red" title="Super Admin">S</b>){/if}
													{else}
														<b class="red">No</b>
													{/if}
												</span>
											</td>
											<td>
												{if $item->active}
													<b class="green">Y</b>
												{else}
													<b class="red">N</b>
												{/if}
											</td>
											<td>
												{if $item->banned}
													<b class="green">Y</b>
												{else}
													<b class="red">N</b>
												{/if}
											</td>
											<td>
                        {if $item->approved == ''}
                          <b class="green">Y</b>
                        {else}
                          <b class="red">N</b>
                        {/if}
                      </td>
											<td class="box_links">
												<a href="/admin/users/{$smarty.get.mode}/edit/{$item->id}" onfocus="this.blur();">Modify</a>
												{if $item->is_admin eq 1}
												&nbsp;|&nbsp;
												<a href="/admin/users/administrators/edit/{$item->id}/permissions/" onfocus="this.blur();">Permissions</a>
												{/if}
											</td>
											<td>
												<input type="checkbox" id="delete_users_{$item->id}" name="delete_users[]" onfocus="this.blur();" onclick="changeRowColor({$smarty.foreach.users.iteration},this);" value="{$item->id}" />
											</td>
										</tr>
									{/foreach}
									</tbody>
								</table>

								<div class="records_delete_button">
									<input type="submit" class="input_submit" id="button_delete" name="button_delete" value="Delete Selected Users" />
								</div>
							</form>

						{else}
							<br />
							{if $parameters.keyword != ""}
								<div class="box_message">
									No users found on your search.
									<br />
									<a href="/admin/users/{$smarty.get.mode}/">Click here</a> to list all users.
								</div>
							{else}
								<div class="box_error">
									There are no users in the system!
								</div>
							{/if}
							<br />
							<br />
						{/if}

					</div><!-- /box_content -->
				</div><!-- /box -->

				<br />
				<div style="text-align: left;">
					<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Administration" onclick="window.location='/admin/'" />
				</div>
				<br />
				<br />

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}