{strip}
{include file="site_top_admin.tpl"}
	<script language="javascript" type="text/javascript">
	{literal}
		$(function(){
			$('[name=tier]').change(function(){
				if($(this).val() == 0){
					$('[name=payment_type]').closest('tr').hide();
				}else{
					$('[name=payment_type]').closest('tr').show();
				}
			});
			$('[name=is_admin]').change(function(){
				if($(this).val() != 0){
					$('[name=tier]').closest('tr').hide();
					$('[name=payment_type]').closest('tr').hide();
					$('[name=user_type]').val(0);
				}else{
					$('[name=tier]').closest('tr').show();
					$('[name=tier]').change();
					$('[name=user_type]').val(1);
				}
			});
			$('[name=tier]').change();
			$('[name=is_admin]').change();
		});
	{/literal}
	</script>

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.has_error}
					<div class="box_error">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
          <div class="box_title">{$parameters.header.title}</div>
					<div class="box_content">

						<form id="form_user_edit" name="form_user_edit" action="" method="post">
							<input type="hidden" name="cmd" value="{$parameters.cmd}" />


							<table class="table_fields" align="center" width="810">
								<tr>
									<td width="250" class="field_label">
										Username:<span class="red">*</span>
									</td>
									<td class="field_content" style="padding-top: 6px; padding-bottom: 6px;">
										{if $parameters.action == "add_user"}
											<input type="text" class="input_text" id="username" name="username" value="{$parameters.user_info->username|escape}" maxlength="255" style="width: 300px;" />
										{else}
											<b>{$parameters.user_info->username|escape}</b>
										{/if}
									</td>
								</tr>
								<tr>
									<td width="250" class="field_label">
										Email:<span class="red">*</span>
									</td>
									<td class="field_content" style="padding-top: 6px; padding-bottom: 6px;">
										{if $parameters.action == "add_user"}
											<input type="text" class="input_text" id="email" name="email" value="{$parameters.user_info->email|escape}" maxlength="255" style="width: 300px;" />
										{else}
											<b>{$parameters.user_info->email|escape}</b>
										{/if}
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Password:<span class="red">*</span>
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="password" name="password" value="{$parameters.user_info->password|escape}" maxlength="255" style="width: 300px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										First Name:<span class="red">*</span>
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="first_name" name="first_name" value="{$parameters.user_info->first_name|escape}" maxlength="255" style="width: 300px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Last Name:<span class="red">*</span>
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="last_name" name="last_name" value="{$parameters.user_info->last_name|escape}" maxlength="255" style="width: 300px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Gender:
									</td>
									<td class="field_content">
										<select id="gender" name="gender">
											<option value="0" {if $parameters.user_info->gender == 0}selected="selected"{/if}>Male</option>
											<option value="1" {if $parameters.user_info->gender == 1}selected="selected"{/if}>Female</option>
										</select>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Date of Birth:
										<br />
										<span class="small">[YYYY-MM-DD]</span>
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="dob" name="dob" value="{$parameters.user_info->dob|escape}" maxlength="255" style="width: 300px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Address:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="address" name="address" value="{$parameters.user_info->address|escape}" maxlength="255" style="width: 300px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Address 2:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="address2" name="address2" value="{$parameters.user_info->address2|escape}" maxlength="255" style="width: 300px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										City:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="city" name="city" value="{$parameters.user_info->city|escape}" maxlength="255" style="width: 300px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										State:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="state" name="state" value="{$parameters.user_info->state|escape}" maxlength="255" style="width: 100px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Zip
									</td>
									<td class="field_content">
										<input type="text" class="input_text" id="zip" name="zip" value="{$parameters.user_info->zip|escape}" maxlength="20" style="width: 100px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Active:
									</td>
									<td class="field_content">
										<select name="active">
											<option value="0">No</option>
											<option value="1" {if $parameters.user_info->active}selected="selected"{/if}>Yes</option>
										</select>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Banned:
									</td>
									<td class="field_content">
										<select name="banned">
											<option value="0">No</option>
											<option value="1" {if $parameters.user_info->banned}selected="selected"{/if}>Yes</option>
										</select>
									</td>
								</tr>
								{if $parameters.user_info->is_admin <= $smarty.session.user->is_admin}
									<tr>
										<td class="field_label">
											Admin Permission:
										</td>
										<td class="field_content">
											<select id="is_admin" name="is_admin">
												<option value="0">No</option>
												<option value="1" {if $parameters.user_info->is_admin == 1}selected="selected"{/if}>Admin</option>
												<option value="2" {if $parameters.user_info->is_admin == 2}selected="selected"{/if}>Super Admin</option>
											</select>
										</td>
									</tr>
								{/if}
								<tr>
									<td class="field_label">
										User Type:
									</td>
									<td class="field_content">
										<select name="user_type">
											<option value="0">Admin</option>
											<option value="1" {if $parameters.user_info->user_type == 1}selected="selected"{/if}>User</option>
										</select>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Tier Level:
									</td>
									<td class="field_content">
										<select name="tier">
											<option value="0">Tier 0</option>
											{if $parameters.tier_levels}
												{foreach from=$parameters.tier_levels key=key item=item}
													<option value="{$key|escape}" {if $parameters.user_info->tier == $key}selected="selected"{/if}>{$item.name|escape}</option>
												{/foreach}
											{/if}
										</select>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Pricing Plan:
									</td>
									<td class="field_content">
										<select name="payment_type">
											<option value=""></option>
											{if $parameters.payment_types}
												{foreach from=$parameters.payment_types key=key item=item}
													<option value="{$key|escape}" {if $parameters.user_info->order->payment_type == $key}selected="selected"{/if}>{$item|escape}</option>
												{/foreach}
											{/if}
										</select>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										<label for="is_subscribed">Receive Email:</label>
									</td>
									<td class="field_content">
										<input type="checkbox" id="is_subscribed" name="is_subscribed" value="yes" {if $parameters.user_info->is_subscribed == 1}checked="checked"{/if} />
									</td>
								</tr>
								<tr>
                  <td class="field_label">
                    <label for="is_subscribed">Approved:</label>
                  </td>
                  <td class="field_content">
                    <input type="checkbox" id="approved" name="approved" value="yes" {if $parameters.user_info->approved === ''}checked="checked" disabled="disabled"{/if} />
                  </td>
                </tr>
								<tr>
									<td colspan="2">
										<div class="line"><img src="/img/clear.gif" width="1" height="1" alt="" title="" /></div>
									</td>
								</tr>
								<tr>
									<td class="field_label_2">&nbsp;</td>
									<td class="field_content">
										<input type="submit" class="input_submit" id="button_modify" name="button_modify" value="{if $parameters.action == "modify_user"}Update User{else}Add User{/if}" />
										&nbsp;&nbsp;
										<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="Cancel" onclick="window.location = '/admin/users/{$smarty.get.mode}/';" />
									</td>
								</tr>
							</table>
						</form>

					</div>
				</div>

				<br /><br />

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}