{strip}
{include file="site_top_alert_popup.tpl"}
<script>
	$(function(){ldelim}
		makeRedCheckbox('#alert-power-{$parameters.filter.type}');
		alertFilterChange('.alert-dashboard-box.create[data-type="{$parameters.filter.type}"] .alerts-filter.filter-popup .bg:not(.filter-selector) select');
		initSearchDashboard('.alert-dashboard-box.create[data-type="{$parameters.filter.type}"]');
	{rdelim});
</script>
<div class="alert-dashboard-box-header">
	<div class="alert-dashboard-box-title">
		{if $parameters.header.popup.type == 'box'}
			<i class="alert-dashboard-drag" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});"></i>
		{/if}
		{$parameters.header.title|escape|upper}
	</div>
</div>

<div class="alert-dashboard-box-content">
	
	<form action="#" class="edit-alert with-ticker" id="add-alert-form">
		{if $parameters.data.type}
			<input type="hidden" name="type" value="{$parameters.data.type|escape}"/>
		{/if}
		{if $parameters.data.subtype}
  		<input type="hidden" name="subtype" value="{$parameters.data.subtype|escape}"/>
  	{/if}
  	<input type="hidden" name="prediction_id" value=""/>
		<fieldset>
			<div class="titles top">
				<span>YOU CAN CHOOSE TO SET ALERT BASED ON 1 OR 2 CRITERIA</span>
			</div>
			{if $parameters.filter.type != 'stocks'}
				<div class="alerts-filter{if $parameters.data.tickers || $parameters.data.sectors} filter-popup{/if}">
					<div>
						<h4>USER FILTER CRITERIA</h4>
						<table class="filter-wrap" cellpadding="0" cellspacing="0">
							<tr>
								{if $parameters.filter.type == 'users'}
	    						<th width="165"><h4>USER</h4></th>
	    					{/if}
								{if $parameters.data.timeframes}
		    					<th width="120"><h4>TIMEFRAME</h4></th>
		    				{/if}
		    				{if $parameters.data.topUserReturns}
		    					<th width="200"><h4>TOP USERS</h4></th>
		    				{/if}
		    				{if $parameters.data.topMpReturns}
		    					<th width="200"><h4>TOP USERS</h4></th>
		    				{/if}
		    				{if $parameters.data.subtype == 'tickers'}
		    					<th width="130"><h4>TICKER</h4></th>
		    				{/if}
		    				{if $parameters.data.sectors}
	    						<th width="170"><h4>SECTORS</h4></th>
	    					{/if}
							</tr>
							<tr>
								{if $parameters.filter.type == 'users'}
	    						<td>
			    					<div class="bg" data-search="user">
				    					<input name="username" value="" type="text" class="text"/>
			    					</div>
			    				</td>
	    					{/if}
								{if $parameters.data.timeframes}
			    				<td>
			  						<div class="bg">
				    					<select class="custom" name="filter_timeframe">
				    						{foreach from=$parameters.data.timeframes item=item key=key}
				                	<option value="{$key}">{$item.value|escape|upper}</option>
				              	{/foreach}
				    					</select>
			    					</div>
			    				</td>
		    				{/if}
		    				{if $parameters.data.topUserReturns}
			    				<td>
			    					<div class="bg">
				    					<select class="custom" name="filter_top_returns">
				    						{foreach from=$parameters.data.topUserReturns item=item key=key}
				                	<option value="{$key}">{$item|escape|upper}</option>
				              	{/foreach}
				    					</select>
			    					</div>
			    				</td>
		    				{/if}
		    				{if $parameters.data.topMpReturns}
			    				<td>
			    					<div class="bg">
				    					<select class="custom" name="filter_top_returns">
				    						{foreach from=$parameters.data.topMpReturns item=item key=key}
				                	<option value="{$key}">{$item|escape|upper}</option>
				              	{/foreach}
				    					</select>
			    					</div>
			    				</td>
		    				{/if}
		    				{if $parameters.data.subtype == 'tickers'}
			    				{if $parameters.filter.type == 'users'}
				    				<td>
				    					<div class="bg filter-selector">
					    					<select class="custom" name="ticker">
					    						{foreach from=$parameters.data.tickers item=item key=key}
					                	<option value="{$item->ticker|escape}"{if $parameters.record->ticker == $item->ticker} selected="selected"{/if}>
					                		{if $item->name}
					                			{$item->name|escape|upper}
					                		{else}
					                			{$item->ticker|escape|upper}
					                		{/if}
					                	</option>
					              	{/foreach}
					    					</select>
				    					</div>
				    				</td>
				    			{else}
				    				<td>
				    					<div class="bg" data-search="stock">
					    					<input name="ticker" value="" type="text" class="text"/>
				    					</div>
				    				</td>
			    				{/if}
		    				{/if}
		    				{if $parameters.data.sectors}
			    				<td>
			    					<div class="bg filter-selector">
				    					<select class="custom" name="sector">
				    						{foreach from=$parameters.data.sectors item=item key=key}
				                	<option value="{$item->sector|escape}" {if $parameters.record->sector == $item->sector} selected="selected"{/if}>
				                		{$item->sector|escape|upper}
				                	</option>
				              	{/foreach}
				    					</select>
			    					</div>
			    				</td>
		    				{/if}
							</tr>
						</table>
						{if $parameters.data.subtype}
							<div class="alerts-filter-tickers-box {$parameters.data.subtype|escape}"></div>
						{/if}
					</div>
				</div>
			{/if}
			<div class="titles">
				<span class="type">TYPE</span><span class="op">OP</span><span class="value">VALUE</span>
			</div>
			<div class="wrap">
				<div class="row">
					
					{if $parameters.filter.type == 'stocks'}
						<div class="bg ticker" data-search="stock">
							<label>TICKER</label>
							<input class="text" name="stock_id" value="" type="text">
						</div>
					{/if}
					
					<div class="bg">
						<div class="box">
							{if $parameters.data.types}
								<select class="custom" name="type_id_1">
                  {foreach from=$parameters.data.types item=item}
                    <option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
							{else}
								<div class="sbHolder">
									<span class="sbSelector">SENTIMENT</span>
									<input type="hidden" name="type_id_1" value="1"/>
								</div>
							{/if}
						</div>
						<div class="box second">
							{if $parameters.data.operators}
                <select class="custom" name="operation_id_1">
                  {foreach from=$parameters.data.operators item=item}
                    <option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
						</div>
						<input class="text" name="value_1" value="" type="text">
					</div>
				</div>
				<div class="row alt">
					<div class="bg">
						<div class="box">
							<select class="custom" name="operation">
								<option value="2">&nbsp;</option>
								{if $parameters.filter.type == 'stocks'}
									<option value="1">AND</option>
								{/if}
								<option value="0">OR</option>
							</select>
						</div>
					</div>
				</div>
				<div class="row second" style="display: none;">
					
					<div class="bg">
						<div class="box">
							{if $parameters.data.types}
								<select class="custom" name="type_id_2">
                  {foreach from=$parameters.data.types item=item}
                    <option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
							{else}
								<div class="sbHolder">
									<span class="sbSelector">SENTIMENT</span>
									<input type="hidden" name="type_id_2" value="1"/>
								</div>
							{/if}
						</div>
						<div class="box second">
							{if $parameters.data.operators}
                <select class="custom" name="operation_id_2">
                  {foreach from=$parameters.data.operators item=item}
                    <option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
						</div>
						<input class="text" name="value_2" value="" type="text">
					</div>
				</div>
			</div><div class="comb small"></div>
			<div class="bg right">
				<span class="timeframe">ALERT TIMEFRAME</span>
				<div class="box">
					{if $parameters.data.alertsTimeframes}
            <select class="custom" name="timeframe_id">
              {foreach from=$parameters.data.alertsTimeframes item=item}
              	{if $item->show}
                	<option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                {/if}
              {/foreach}
            </select>
          {/if}
				</div>
			</div>
			<div class="c"></div>
			{if $parameters.filter.type != 'stocks'}
				<div class="alerts-power">
	      	<span onclick="usersAlertPowerChange(this);">
		      	<input type="checkbox" id="alert-power-{$parameters.filter.type}" name="power" class="dismiss power-check" value="1" />
		      	<label for="alert-power-{$parameters.filter.type}">POWER ALERT</label>
	      	</span>
	      </div>
			{/if}
			<input class="submit" onclick="openPredictionAlertDashboardWindow('{$parameters.filter.type}', this.form);return false;" value="CREATE ALERT" type="button">
		</fieldset>
	</form>
	
	
</div><!-- div class="alert-dashboard-box-content" -->

{include file="site_bottom_alert_popup.tpl"}
{/strip}