{strip}
{include file="site_top_alert_popup.tpl"}
	
	{if $parameters.action != 'update'}
		<script  type="text/javascript">
			$(function(){ldelim}
				initFilter('.alert-dashboard-box.list[data-type="{$parameters.filter.type}"]');
				initSortTable('.alert-dashboard-box.list[data-type="{$parameters.filter.type}"]');
			{rdelim});
		</script>
		<div class="alert-dashboard-box-header">
			<div class="alert-dashboard-box-title">
				{if $parameters.header.popup.type == 'box'}
					<i class="alert-dashboard-drag" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});"></i>
				{/if}
				{$parameters.header.title|escape|upper}
			</div>
			
			<ul class="alert-dashboard-box-filter">
				<li data-alert-filter-active=""{if $parameters.filter.status === ''} class="active"{/if}>
					All
				</li>
				<li data-alert-filter-active="3"{if $parameters.filter.status === '3'} class="active"{/if}>
					Expired
				</li>
				<li data-alert-filter-active="2"{if $parameters.filter.status === '2'} class="active"{/if}>
					Triggered
				</li>
				<li data-alert-filter-active="1"{if $parameters.filter.status === '1'} class="active"{/if}>
					Active
				</li>
				<li data-alert-filter-active="0"{if $parameters.filter.status === '0'} class="active"{/if}>
					Frozen
				</li>
			</ul>
		</div>
	{/if}
	<div class="alert-dashboard-box-content">
		<div class="alert-dashboard-table {$parameters.filter.view_type}">
			
			{if $parameters.records}
				<div class="alert-dashboard-tscroll">
					<div class="alert-dashboard-tbody-wrap">
						<div>
							<table class="alert-dashboard-tbody">
								<thead>
									<tr>
										<th class="col col0 sortable">
											{if $parameters.filter.view_type == 'top_sectors'}
												Sector
											{elseif $parameters.filter.view_type == 'users'}
												User
											{else}
												Ticker
											{/if}
										</th>
										{if $parameters.filter.view_type != 'stocks'}
											<th class="col col1 sortable asc">
												{if $parameters.filter.view_type == 'users'}
													Ticker
												{else}
													Users
												{/if}
											</th>
											<th class="col col2 sortable">
												Filter Timeframe
											</th>
										{/if}
										<th class="col col3">
											Type
										</th>
										<th class="col col4">
											OP
										</th>
										<th class="col col5">
											Value
										</th>
										<th class="col col6 sortable">
											Expires
										</th>
										{if $parameters.filter.view_type != 'stocks'}
											<th class="col col7">
												Power Alert
											</th>
										{/if}
										<th class="col col8">
											Edit
										</th>
										<th class="col col9">
											Del
										</th>
									</tr>
								</thead>
								<tbody>
									{foreach name=records from=$parameters.records item=item key=key}
										<tr class="{if $smarty.foreach.records.iteration % 2 == 0}even{else}odd{/if}{if $item->status == 2} triggered{elseif $item->status == 0} pending{elseif $item->triggered_usernames} partially{elseif $item->status == 3} expired{/if}">
											<td class="col col0"{if $item->operation != 2} rowspan="2"{/if}>
												{if $parameters.filter.view_type == 'top_sectors'}
													{$item->sector|escape|upper}
												{elseif $parameters.filter.view_type == 'users'}
													<div class="username-wrap">
														<a href="https://twitter.com/{$item->usernames|escape}/" target="_blank" title="@{$item->usernames|escape}">
															<img width="27" src="{$item->author_logo}" alt="@{$item->usernames|escape}" title="@{$item->usernames|escape}" />
															&nbsp;@{$item->usernames|escape}
														</a>
													</div>
												{elseif $parameters.filter.view_type == 'stocks'}
													<a href="/stock/{$item->stock_id|escape|upper}/">{$item->stock_id|escape|upper}</a>
												{else}
													<a href="/stock/{$item->ticker|escape|upper}/">{$item->ticker|escape|upper}</a>
												{/if}
											</td>
											{if $parameters.filter.view_type != 'stocks'}
												<td class="col col1"{if $item->operation != 2} rowspan="2"{/if}>
													{if $parameters.filter.view_type == 'users'}
														{$item->ticker|upper}
													{else}
														{$item->filter_top_returns|escape|upper}
													{/if}
												</td>
												<td class="col col2"{if $item->operation != 2} rowspan="2"{/if}>
													{$item->filter_timeframe|escape|upper}
												</td>
											{/if}
											<td class="col col3">
												{$item->type_1|escape|upper}
											</td>
											<td class="col col4">
												{$item->operation_1|escape|upper}
											</td>
											<td class="col col5">
												{$item->value_1|number_format:3:".":","}
		                		{if $item->type_id_1 == 6}%{/if}
											</td>
											<td class="col col6"{if $item->operation != 2} rowspan="2"{/if} rel="{$item->end_date}">
												{if $item->end_date != '0000-00-00 00:00:00'}
	                  			{$item->end_date|date_format:"%m/%d/%y %l:%M%p"}
			                  {else}
			                		GTC
			                 	{/if}
											</td>
											{if $parameters.filter.view_type != 'stocks'}
												<td class="col col7"{if $item->operation != 2} rowspan="2"{/if}>
													<div class="power-alert{if $item->power} on{/if}"></div>
												</td>
											{/if}
											<td class="col col8 action action-edit"{if $item->operation != 2} rowspan="2"{/if} onclick="openEditAlertDashboardWindow('{$parameters.filter.type}', '{$item->id}');">
											</td>
											<td class="col col9 action action-delete"{if $item->operation != 2} rowspan="2"{/if} onclick="openDeleteAlertDashboardWindow('{$parameters.filter.type}', '{$item->id}');">
											</td>
										</tr>
										{if $item->operation != 2}
											<tr class="expand-child second {if $smarty.foreach.records.iteration % 2 == 0}even{else}odd{/if}{if $item->status == 2} triggered{elseif $item->status == 0} pending{elseif $item->triggered_usernames} partially{elseif $item->status == 3} expired{/if}">
												<td class="col col3">
													{$item->type_2|escape|upper}
												</td>
												<td class="col col4">
													<div class="or"><span>{if $item->operation == 1}AND{else}OR{/if}</span></div>
													{$item->operation_2|escape|upper}
												</td>
												<td class="col col5">
													{$item->value_2|number_format:3:".":","}
			                		{if $item->type_id_2 == 6}%{/if}
												</td>
											</tr>
										{/if}
										{*
										<tr class="alert-dashboard-tspace">
											<td colspan="10"></td>
										</tr>
										*}
									{/foreach}
								</tbody>
							</table>
						</div>
					</div>
				</div>
			{else}
				<p class="box-message">There are no records.</p>
			{/if}
		</div><!-- div class="alert-dashboard-table" -->
		
	</div><!-- div class="alert-dashboard-box-content" -->
{include file="site_bottom_alert_popup.tpl"}
{/strip}