{strip}
<div class="new-alert">
  <h3>EDIT STOCK ALERT</h3>
  {if $parameters.record}  
    <form action="#" class="edit-alert" id="edit-alert-form">
      <div class="titles top">
        <span>You can choose to set alert based on 1 or 2 criteria.</span>
      </div>
      <input type="hidden" name="alert_id" value="{$parameters.record->id}" />
      <fieldset>
        <div class="titles">
          <span class="type">TYPE</span>
          <span class="op">OP</span>
          <span class="value">VALUE</span>
        </div>
        <div class="wrap">
          <div class="row">
            <div class="bg">
              <div class="box">
                {if $parameters.data->types}
                  <select class="custom" name="type_id_1">
                    {foreach from=$parameters.data->types item=item}
                      <option value="{$item->id}" {if $parameters.record->type_id_1 == $item->id}selected="selected"{/if} >{$item->title|stripslashes|upper}</option>
                    {/foreach}
                  </select>
                {/if}
              </div>
              <div class="box second">
                {if $parameters.data->operators}
                  <select class="custom" name="operation_id_1">
                    {foreach from=$parameters.data->operators item=item}
                      <option value="{$item->id}" {if $parameters.record->operation_id_1 == $item->id}selected="selected"{/if} >{$item->title|stripslashes|upper}</option>
                    {/foreach}
                  </select>
                {/if}
              </div>
              <input type="text" class="text" name="value_1" value="{$parameters.record->value_1|number_format:3:".":""}" />
              {if $parameters.record->type_id_1 == 6}<span class="percentage">%</span>{/if}
            </div>
          </div>
          <div class="row alt">
            <div class="bg">
              <div class="box">
                <select class="custom" name="operation">
                  <option value="1" {if $parameters.record->operation === '1'}selected="selected"{/if}>AND</option>
                  <option value="0" {if $parameters.record->operation === '0'}selected="selected"{/if}>OR</option>
                  <option value="2" {if $parameters.record->operation === '2'}selected="selected"{/if}>&nbsp;</option>
                </select>
              </div>
            </div>
          </div>
          <div class="row second" {if $parameters.record->operation == 2}style="display:none;"{/if}>
            <div class="bg">
              <div class="box">
                {if $parameters.data->types}
                  <select class="custom" name="type_id_2">
                    {foreach from=$parameters.data->types item=item}
                      <option value="{$item->id}" {if $parameters.record->type_id_2 == $item->id}selected="selected"{/if} >{$item->title|stripslashes|upper}</option>
                    {/foreach}
                  </select>
                {/if}
              </div>
              <div class="box second">
                {if $parameters.data->operators}
                  <select class="custom" name="operation_id_2">
                    {foreach from=$parameters.data->operators item=item}
                      <option value="{$item->id}" {if $parameters.record->operation_id_2 == $item->id}selected="selected"{/if} >{$item->title|stripslashes|upper}</option>
                    {/foreach}
                  </select>
                {/if}
              </div>
              <input type="text" class="text" name="value_2" value="{$parameters.record->value_2|number_format:3:".":""}" />
              {if $parameters.record->type_id_2 == 6}<span class="percentage">%</span>{/if}
            </div>
          </div>
        </div>
        <div class="comb{if $parameters.record->operation == 2} small{/if}"></div>
        <div class="bg right">
          <span class="timeframe">ALERT TIMEFRAME</span>
          <div class="box">
            {if $parameters.data->timeframes}
              <select class="custom" name="timeframe_id">
                {foreach from=$parameters.data->timeframes item=item}
                	{if $item->show}
                  	<option value="{$item->id}" {if $parameters.record->timeframe_id == $item->id}selected="selected"{/if} >{$item->title|stripslashes|upper}</option>
                  {/if}
                {/foreach}
              </select>
            {/if}
          </div>
        </div>
      </fieldset>
      {if $parameters.record->history}
        <div class="alert-history">
          <h3>STOCK ALERT HISTORY</h3>
          <div class="c h10"></div>
          <table class="thead" cellpadding="0" cellspacing="0" style="border-collapse:collapse;">
            <thead>
              <tr>
                <th class="action">ACTION</th>
                <th class="date">DATE</th>
                <th class="alert">ALERT</th>
                <th class="frame">ALERT TIMEFRAME</th>
                <th class="expires">EXPIRES</th>
              </tr>
            </thead>
          </table>
          <div class="scrolling">
            <table class="list" cellpadding="0" cellspacing="0" style="border-collapse:collapse;">
              <tbody>
                {foreach from=$parameters.record->history item=item}
                  <tr>
                    <td class="action">
                      {if $item->status == 0}
                        CREATED
                      {elseif $item->status == 1}
                        MODIFIED
                      {elseif $item->status == 2}
                        TRIGGERED
                      {elseif $item->status == 3}
                        EXPIRED
                      {/if}
                    </td>
                    <td class="date">
                    	{$item->date|date_format:"%m/%d/%Y"}<br/>
                    	{$item->date|date_format:"%I:%M %p"}
                    </td>
                    <td class="alert" widht="1">
                      {if array_key_exists($item->type_id_1,$parameters.data->types)}
                        {assign var=type_1 value=$item->type_id_1} 
                        {$parameters.data->types.$type_1->title|stripslashes|upper}&nbsp;
                      {/if}
                      {if array_key_exists($item->operation_id_1,$parameters.data->operators)}
                        {assign var=operation_1 value=$item->operation_id_1} 
                        {$parameters.data->operators.$operation_1->title|stripslashes}&nbsp;
                      {/if}
                      {$item->value_1|number_format:3:".":","}
                      {if isset($type_1) && $type_1 == 6}%{/if}&nbsp;
                      {if $item->operation != 2}
                        {if $item->operation == 1}AND{elseif $item->operation == 0}OR{/if}&nbsp;
                        
                        {if array_key_exists($item->type_id_2,$parameters.data->types)}
                          {assign var=type_2 value=$item->type_id_2} 
                          {$parameters.data->types.$type_2->title|stripslashes|upper}&nbsp;
                        {/if}
                        {if array_key_exists($item->operation_id_2,$parameters.data->operators)}
                          {assign var=operation_2 value=$item->operation_id_2} 
                          {$parameters.data->operators.$operation_2->title|stripslashes}&nbsp;
                        {/if}
                        {$item->value_2|number_format:3:".":","}
                        {if isset($type_2) && $type_2 == 6}%{/if}&nbsp;
                      {/if}
                    </td>
                    <td class="frame">
                      {if array_key_exists($item->timeframe_id,$parameters.data->timeframes)}
                        {assign var=timeframe value=$item->timeframe_id} 
                        {$parameters.data->timeframes.$timeframe->title|stripslashes|upper}
                      {/if}
                    </td>
                    <td class="expires">
                    	{if $item->end_date != '0000-00-00 00:00:00'}
	                    	{$item->end_date|date_format:"%m/%d/%Y"}<br/>
	                    	{$item->end_date|date_format:"%I:%M %p"}
	                    {else}
	                    	GTC
                    	{/if}
                    </td>
                  </tr>
                {/foreach}
              </tbody>
            </table>
          </div>
        </div>
      {/if}
      <div class="button-wrapper">
      	<input type="submit" class="submit" onclick="editAlert('{$parameters.record->stock_id}');return false;" value="SAVE CHANGES" />&nbsp;&nbsp;
        <input type="button" class="submit" onclick="hidePopup();" value="CANCEL" />
      </div>
    </form>
  {else}
   <p class="center">There are no records.</p>
  {/if}
</div>
{/strip}