{strip}
{include file="site_top_popup.tpl"}
<div class="edit-alerts-box small">
  <div class="heading">
    {if $parameters.header.popup.url && $parameters.header.popup.type == "box"}
      <a href="javascript:void(0);" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});" class="pop-up">pop-up</a>
    {/if}
    <h3>CREATE NEW STOCK ALERT</h3>
  </div>
  <form action="#" class="edit-alert" id="add-alert-form">
    <div class="titles top">
      <span>You can choose to set alert based on 1 or 2 criteria.</span>
    </div>
    <input type="hidden" name="stock_id" value="{$parameters.stock_id}"/>
    <input type="hidden" name="prediction_id" value=""/>
    <fieldset>
      <div class="titles">
        <span class="type">TYPE</span>
        <span class="op">OP</span>
        <span class="value">VALUE</span>
      </div>
      <div class="wrap">
        <div class="row">
          <div class="bg">
            <div class="box">
              {if $parameters.data->types}
                <select class="custom" name="type_id_1">
                  {foreach from=$parameters.data->types item=item}
                    <option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
            </div>
            <div class="box second">
              {if $parameters.data->operators}
                <select class="custom" name="operation_id_1">
                  {foreach from=$parameters.data->operators item=item}
                    <option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
            </div>
            <input type="text" class="text" name="value_1" value="" />
          </div>
        </div>
        <div class="row alt">
          <div class="bg">
            <div class="box">
              <select class="custom" name="operation">
                <option value="2">&nbsp;</option>
                <option value="1">AND</option>
                <option value="0">OR</option>
              </select>
            </div>
          </div>
        </div>
        <div class="row second" style="display: none;">
          <div class="bg">
            <div class="box">
              {if $parameters.data->types}
                <select class="custom" name="type_id_2">
                  {foreach from=$parameters.data->types item=item}
                    <option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
            </div>
            <div class="box second">
              {if $parameters.data->operators}
                <select class="custom" name="operation_id_2">
                  {foreach from=$parameters.data->operators item=item}
                    <option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
            </div>
            <input type="text" class="text" name="value_2" value="" />
          </div>
        </div>
      </div>
      <div class="comb small"></div>
      <div class="bg right">
        <span class="timeframe">ALERT TIMEFRAME</span>
        <div class="box">
          {if $parameters.data->timeframes}
            <select class="custom" name="timeframe_id">
              {foreach from=$parameters.data->timeframes item=item}
              	{if $item->show}
                	<option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                {/if}
              {/foreach}
            </select>
          {/if}
        </div>
      </div>
    </fieldset>
    <input type="submit" class="submit" onclick="openPredictionAlertWindow('{$parameters.stock_id}'); return false;" value="CREATE ALERT" />
  </form>
</div>
{include file="site_bottom_popup.tpl"}
{/strip}