{strip}
{include file="site_top_popup.tpl"}
<script>
	$(function(){ldelim}
		makeRedCheckbox('#alert-power-{$parameters.ticker|escape}-{$parameters.type|escape}');
	{rdelim});
</script>
<div class="edit-alerts-box">
  <div class="heading">
    {if $parameters.header.popup.url && $parameters.header.popup.type == "box"}
      <a href="javascript:void(0);" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});" class="pop-up">pop-up</a>
    {/if}
    <h3>{$parameters.header.title|escape}</h3>
  </div>
	<form action="#" class="edit-alert" id="add-alert-form">
		<input type="hidden" name="type" value="{$parameters.type|escape}"/>
  	<input type="hidden" name="subtype" value="{$parameters.subtype|escape}"/>
  	<input type="hidden" name="ticker" value="{$parameters.ticker|escape}"/>
    <fieldset>
    	<div class="titles top">
	      <span>YOU CAN CHOOSE TO SET ALERT BASED ON 1 OR 2 CRITERIA</span>
	    </div>
    	<div class="alerts-filter">
    		<div>
	    		<h4>USER FILTER CRITERIA</h4>
	    		<table cellpadding="0" cellspacing="0" class="filter-wrap">
	    			<thead>
	    				{if $parameters.data->timeframes}
	    					<th width="120"><h4>TIMEFRAME</h4></th>
	    				{/if}
	    				{if $parameters.data->topUserReturns}
	    					<th width="200"><h4>TOP USERS</h4></th>
	    				{/if}
	    				{if $parameters.data->topMpReturns}
	    					<th width="200"><h4>TOP USERS</h4></th>
	    				{/if}
	    			</thead>
	    			<tbody>
	    				{if $parameters.data->timeframes}
		    				<td>
		  						<div class="bg">
			    					<select class="custom" name="filter_timeframe">
			    						{foreach from=$parameters.data->timeframes item=item key=key}
			                	<option value="{$key}">{$item.value|escape|upper}</option>
			              	{/foreach}
			    					</select>
		    					</div>
		    				</td>
	    				{/if}
	    				{if $parameters.data->topUserReturns}
		    				<td>
		    					<div class="bg">
			    					<select class="custom" name="filter_top_returns">
			    						{foreach from=$parameters.data->topUserReturns item=item key=key}
			                	<option value="{$key}">{$item|escape|upper}</option>
			              	{/foreach}
			    					</select>
		    					</div>
		    				</td>
	    				{/if}
	    				{if $parameters.data->topMpReturns}
		    				<td>
		    					<div class="bg">
			    					<select class="custom" name="filter_top_returns">
			    						{foreach from=$parameters.data->topMpReturns item=item key=key}
			                	<option value="{$key}">{$item|escape|upper}</option>
			              	{/foreach}
			    					</select>
		    					</div>
		    				</td>
	    				{/if}
	    			</tbody>
	    		</table>
    		</div>
    	</div>
    	<div class="titles">
        <span class="type">TYPE</span>
        <span class="op">OP</span>
        <span class="value">VALUE</span>
      </div>
      <div class="wrap">
        <div class="row">
          <div class="bg">
            <div class="box">
              <div class="sbHolder">
              	<span class="sbSelector">
              		SENTIMENT
              		<input type="hidden" name="type_id_1" value="1"/>
              	</span>
              </div>
            </div>
            <div class="box second">
              {if $parameters.data->operators}
                <select class="custom" name="operation_id_1">
                  {foreach from=$parameters.data->operators item=item}
                    <option value="{$item->id}" {if $parameters.record->operation_id_1 == $item->id}selected="selected"{/if}>{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
            </div>
            <input type="text" class="text" name="value_1" value="" />
          </div>
        </div>
        <div class="row alt">
          <div class="bg">
            <div class="box">
              <select class="custom" name="operation">
                <option value="2" {if $parameters.record->operation === 2}selected="selected"{/if}>&nbsp;</option>
                <option value="0" {if $parameters.record->operation === 0}selected="selected"{/if}>OR</option>
              </select>
            </div>
          </div>
        </div>
        <div class="row second" style="display: {if $parameters.record->operation === 0}block{else}none{/if};">
          <div class="bg">
            <div class="box">
            	<div class="sbHolder">
              	<span class="sbSelector">
              		SENTIMENT
              		<input type="hidden" name="type_id_2" value="1"/>
              	</span>
              </div>
            </div>
            <div class="box second">
              {if $parameters.data->operators}
                <select class="custom" name="operation_id_2">
                  {foreach from=$parameters.data->operators item=item}
                    <option value="{$item->id}" {if $parameters.record->operation_id_2 == $item->id}selected="selected"{/if}>{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
            </div>
            <input type="text" class="text" name="value_2" value="" />
          </div>
        </div>
      </div>
      <div class="comb small"></div>
      <div class="bg right">
        <span class="timeframe">ALERT TIMEFRAME</span>
        <div class="box">
          {if $parameters.data->alertsTimeframes}
            <select class="custom" name="timeframe_id">
              {foreach from=$parameters.data->alertsTimeframes item=item}
              	{if $item->show}
                	<option value="{$item->id}">{$item->title|stripslashes|upper}</option>
                {/if}
              {/foreach}
            </select>
          {/if}
        </div>
      </div>
      <div class="c"></div>
      <div class="alerts-power">
      	<span onclick="usersAlertPowerChange(this);">
	      	<input type="checkbox" id="alert-power-{$parameters.ticker|escape}-{$parameters.type|escape}" name="power" class="dismiss power-check" value="1" />
	      	<label for="alert-power-{$parameters.ticker|escape}-{$parameters.type|escape}">POWER ALERT</label>
      	</span>
      </div>
      <input type="submit" class="submit" onclick="openPredictionUsersAlertWindow(this.form);return false;" value="CREATE ALERT" />
    </fieldset>
	</form>
</div>
{include file="site_bottom_popup.tpl"} 
{/strip}