{strip}
{if $parameters.data->action == 'update' && $parameters.records}
	{foreach name=records from=$parameters.records item=item}
		<tr>
			<td class="blue col-0">
				<a href="/stock/{$item->ticker|escape|upper}/" title="">{$item->ticker|escape|upper}</a>
			</td>
			<td class="col-1">{$item->sector|escape|upper}</td>
			<td class="col-2 {if $item->pnl > 0} green{elseif $item->pnl < 0} red{/if}">{$item->pnl|convert_to_percent|number_format:2}%</td>
			<td class="col-3">{$item->timeframe|escape|upper}</td>
			<td class="col-4">{if $item->return_rank}{$item->return_rank|number_format}{else}<span class="empty">N/A</span>{/if}</td>
			<td class="col-5">{if $item->mpr}{$item->mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
		</tr>
	{/foreach}
{else}
	{include file="site_top_users_popup.tpl"}
	<script language="javascript" type="text/javascript">
	  {literal}
			$(function(){
				var table = $("table.sorting");
				var header;
			 	initSortTable();
				$('.dashboard-user-stats #stats-timeframe-{/literal}{$parameters.username|escape}{literal}').change(function(){
					var params = {timeframe: $(this).attr('value'), username:{/literal}'{$parameters.username|escape}'{literal}, action:'update'};
					var wrap = $(this).closest('.dashboard-user-stats');
					$.get('/ajax/users/dashboard/stats-box/',params,function(data){
				  	if(data){
				  		wrap.find('table tbody').html(data);
				  		wrap.find('table.sorting').trigger("update")
				  	}else{
				  		wrap.find('table').hide();
				  		wrap.find('table tbody').html('');
				  	}
				  	$('th', header).removeClass('headerSortDown headerSortUp');
				  	wrap.find('.scrolling').each(function(){
				  		var jsp = $(this).data('jsp');
					    if(jsp) jsp.reinitialise();
					    else $(this).jScrollPane();	
			  		});
				  });
				});
				function initSortTable(){
		  		var thTable = $('th', table);
		  		var wrap = table.closest('.scrolling');
		  		if(wrap.prev().hasClass('sorting')){
						wrap.prev().remove();
					}
		  		table.tablesorter({
				 		textExtraction: dataExtraction,
				 		headers:{3:{sorter:false}}
				 	});
					header = table.clone();
					var thHeader = $('th', header);
					thHeader.each(function(){
						var item = $(thTable.get(thHeader.index($(this))));
						$(this).css('width', item.width());
					});
					$('tbody', header).remove();
					wrap.before(header);
					thHeader.click(function(){
						var index = thHeader.index($(this));
						var item = $(thTable.get(index));
						if(item.hasClass('header')){
							item.click();
							thHeader.removeClass('headerSortDown headerSortUp');
							var className = item.attr('class');
							if(item.hasClass('headerSortDown')){
								className = className.replace("Down", "Up");
							}else if(item.hasClass('headerSortUp')){
								className = className.replace("Up", "Down");
							}else{
								className = 'headerSortDown';
							}
							$(this).addClass(className);
						}
					});
					$('thead', table).hide();
		  	}
			});
		{/literal}
	</script>
	<div class="dtbl-content-item item-3">
		{if $parameters.header.popup.type != 'window'}
		  {if $parameters.header.popup.url}
		    <div class="dtbl-content-item-drag" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});"></div>
		  {/if}
		{/if}
		<div class="dtbl-content-item-title">{$parameters.header.title|escape}</div>
		<div class="dtbl-content-item-data">
			<div class="dashboard-user-stats">
				<div class="filter">
					{if $parameters.data->filter_timeframes}
		    		<select name="timeframe" class="top-buttons-select" id="stats-timeframe-{$parameters.username|escape}">
			    		{foreach from=$parameters.data->filter_timeframes item=item key=key}
			    			<option value="{$key}"{if !$key} disabled="disabled"{/if}{if $parameters.data->filter->timeframe == $key} selected="selected"{/if}>{$item|escape|upper}</option>
			    		{/foreach}
			    	</select>
		    	{/if}
				</div>
				<div class="h10"></div>
				<div class="items">
					<div class="scrolling">
						{if $parameters.records}
							<table class="sorting content" cellspacing="0" cellspacing="0">
								<thead>
									<tr>
										<th><div>TICKER MENTIONED<br/><span></span></div></th>
		    						<th><div>SECTOR<br/><span></span></div></th>
		    						<th><div>RETURN %<br/><span></span></div></th>
		    						<th>FILTER TIMEFRAME</th>
		    						<th><div>TICKER SPECIFIC RETURN RANK<br/><span></span></div></th>
		    						<th><div>TICKER SPECIFIC MPR<br/><span></span></div></th>
									</tr>
								</thead>
								<tbody>
									{foreach name=records from=$parameters.records item=item}
										<tr>
											<td class="blue col-0">
												<a href="/stock/{$item->ticker|escape|upper}/" title="">{$item->ticker|escape|upper}</a>
											</td>
			    						<td class="col-1">{$item->sector|escape|upper}</td>
			    						<td class="col-2{if $item->pnl > 0} green{elseif $item->pnl < 0} red{/if}">{$item->pnl|convert_to_percent|number_format:2}%</td>
			    						<td class="col-3">{$item->timeframe|escape|upper}</td>
			    						<td class="col-4">{if $item->return_rank}{$item->return_rank|number_format}{else}<span class="empty">N/A</span>{/if}</td>
			    						<td class="col-5">{if $item->mpr}{$item->mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
										</tr>
									{/foreach}
								</tbody>
							</table>
						{else}
							<p class="stock-box-message">There are no records found.</p>
			      {/if}
					</div>
				</div>
			</div>
		</div>
	</div>
	{include file="site_bottom_users_popup.tpl"} 
{/if}
{/strip}
