{strip}
{include file="site_top.tpl"}

	<div class="section">
		<div id="twocolumns" class="blog-page">
			{include file="site_warning.tpl"}
			<div id="blog-page">
				<div class="blog-top">
				  <a href="/blog/" title="BLOG">
  					<img src="/img/main/logo.png" alt="Blog" title="Blog" />
  					<div class="page-title">BLOG</div>
					</a>
					<div class="page-desc">{$parameters.header.site_vars.blog_top_text|stripslashes}</div>
				</div>
				<table cellpadding="0" cellspacing="0">
					<tr>
						<td valign="top" class="blog-left">
							{if $parameters.records}
								{foreach from=$parameters.records item=item}
									<div class="blog-item">
										<div class="blog-item-title">
											<a href="/blog/{$item->url_title}/" title="{$item->title|stripslashes}">
												{$item->title|stripslashes}
											</a>
										</div>
										<span class="blog-item-date">{$item->datetime|date_format} by {$item->username|stripslashes}</span>
										{if !$smarty.session.user->twitter_id || !$smarty.session.user->facebook_id || !$smarty.session.user->linkedin_id}
										  <span class="blog-item-social">
											  {if !$smarty.session.user->twitter_id}
											  	<a href="{if $parameters.header.site_vars.twitter_url}{$parameters.header.site_vars.twitter_url}{else}javascript:void(0);{/if}" target="_blank" class="socials18 twitter">Twitter</a>
											  {/if}
											  {if !$smarty.session.user->facebook_id}
											  	<a href="{if $parameters.header.site_vars.fb_url}{$parameters.header.site_vars.fb_url}{else}javascript:void(0);{/if}" target="_blank" class="socials18 facebook">Facebook</a>
											  {/if}
											  {if !$smarty.session.user->linkedin_id}
											  	<a href="{if $parameters.header.site_vars.linked_url}{$parameters.header.site_vars.linked_url}{else}javascript:void(0);{/if}" target="_blank" class="socials18 linkedin">LinkedIn</a>
											  {/if}
											</span>
										{/if}
										<div class="c h5"></div>
										<div class="blog-item-like-box">
											<div style="float: left">
												<span class='st_email_hcount' displayText='Email'></span>
												<span class='st_twitter_hcount' st_via='MarketProphit' displayText='Tweet'></span>
												<span class='st_fbrec_hcount' st_via='MarketProphit' displayText='Facebook Recommend'></span>
												<span class='st_linkedin_hcount' st_via='MarketProphit' displayText='LinkedIn'></span>
												<span class='st_googleplus_hcount' displayText='Google +'></span>
											</div>
											<a href="javascript:window.print();" class="print"></a>
											<div class="c"></div>
										</div>
										<div class="h25"></div>
										{******
										{if $parameters.entries_categories}
											<div class="blog-item-words">
												{assign var=categories_ids value=","|@explode:$item->categories_ids}
												{foreach name=entries_categories from=$parameters.entries_categories item=category}
													<a href="/blog/?tag_title={$category->url_title|stripslashes}" {if in_array($category->id, $categories_ids)}class="active"{/if}>
                            {$category->title|stripslashes}
                          </a>
													{if !$smarty.foreach.entries_categories.last},&nbsp;{/if}
												{/foreach}
											</div>
										{/if}
										******}
										<div class="blog-item-desc">
											{$item->summary|stripslashes|truncate:500:""}(...)
										</div>
										<a href="/blog/{$item->url_title}/" class="blog-item-read_more">READ MORE</a>
										<div class="c"></div>
									</div>
								{/foreach}
						  {else}
  						<!--  <div class="message">
                  <p>There are no records.</p>
                </div>-->
							{/if}
						</td>
						<td valign="top" class="blog-right">
							{include file="blog_right.tpl"}
							{include file="about_right.tpl"}
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
		
{include file="site_bottom.tpl"}
{/strip}