{strip}
{include file="site_top.tpl"}

<script type="text/javascript" src="/js/stylized_select.js"></script>
{literal}
<script type="text/javascript">
  $(function(){
    $('.select').click(function(){
      var options = $('.options', this);
      options.css({height: 'auto', overflowY: 'auto'});
      var jsp = options.data('jsp');
      if(jsp) jsp.reinitialise();
      else options.jScrollPane({contentWidth: '0px'});
      options.addClass('scrolling');
    });
  });
</script>
{/literal}

<div class="login-page">
  <div class="login">
    <h3>FEEDBACK</h3>
    <form action="" method="post" id="feedback-form">
      <fieldset>
        
        {if $parameters.success}
        	<div class="formThank">{$parameters.status|upper|nl2br}</div>
        {else}
          <div class="formTitle">MARKET PROPHIT</div>
          <div class="formSubTitle">Contact us and tell us what you think and how we can improve!</div>
          <div class="c h20"></div>
        
        	{if $parameters.status && !is_array($parameters.status)}
	          <div class="{if $parameters.has_error}red{else}green{/if} status">{$parameters.status|nl2br}</div>
	        {/if}
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('first_name',$parameters.status)}
            <div class="red status">{$parameters.status.first_name|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="first name" name="first_name" id="first_name" value="{$parameters.record->first_name|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('last_name',$parameters.status)}
            <div class="red status">{$parameters.status.last_name|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="last name" name="last_name" id="last_name" value="{$parameters.record->last_name|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('email',$parameters.status)}
            <div class="red status">{$parameters.status.email|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="email" name="email" id="email" value="{$parameters.record->email|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('phone',$parameters.status)}
            <div class="red status">{$parameters.status.phone|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="phone number" name="phone" id="phone" value="{$parameters.record->phone|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('topic',$parameters.status)}
            <div class="red status">{$parameters.status.topic|nl2br}</div>
          {/if}
          {if $parameters.topics}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<select name="topic" style="width:398px;" onchange="$('#topic_other_wrapper')[$(this).val()=='4'?'show':'hide']();">
          		{foreach from=$parameters.topics item=item key=key}
            		<option value="{$key}" {if $parameters.record->topic == $key}selected="seelected"{/if}>{$item|stripslashes}</option>
          		{/foreach}
          	</select>
          </div>
          {/if}
          <div id="topic_other_wrapper" {if $parameters.record->topic != 4 }style="display:none;"{/if}>
	          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('topic_other',$parameters.status)}
	            <div class="red status">{$parameters.status.topic_other|nl2br}</div>
	          {/if}
	          <div class="textWrapper">
	          	<div class="required">*</div>
	          	<input type="text" class="text" placeholder="other topic of feedback" name="topic_other" id="topic_other" value="{$parameters.record->topic_other|stripslashes}" />
	          </div>
	        </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('message',$parameters.status)}
            <div class="red status">{$parameters.status.message|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<textarea class="text" placeholder="message" name="message" id="message" rows="4">{$parameters.record->message|stripslashes}</textarea>
          </div>
          
          <input type="submit" class="submit" value="Submit" />
        {/if}
      </fieldset>
    </form>
  </div>
</div>

{include file="site_bottom.tpl"}
{/strip}