{strip}
{include file="site_top.tpl"}

<div class="login-page">
  <div class="login">
    <h3>ABOUT</h3>
    <form action="" method="post" id="testimonial-form">
      <fieldset>
        
        {if $parameters.success}
        	<div class="formThank">{$parameters.status|upper|nl2br}</div>
        {else}
          <div class="formTitle">TESTIMONIALS</div>
          <div class="formSubTitle">Submit your testimonial</div>
          <div class="c h20"></div>
        
        	{if $parameters.status && !is_array($parameters.status)}
	          <div class="{if $parameters.has_error}red{else}green{/if} status">{$parameters.status|nl2br}</div>
	        {/if}
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('first_name',$parameters.status)}
            <div class="red status">{$parameters.status.first_name|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="first name" name="first_name" id="first_name" value="{$parameters.record->first_name|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('last_name',$parameters.status)}
            <div class="red status">{$parameters.status.last_name|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="last name" name="last_name" id="last_name" value="{$parameters.record->last_name|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('company',$parameters.status)}
            <div class="red status">{$parameters.status.company|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="company" name="company" id="company" value="{$parameters.record->company|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('title',$parameters.status)}
            <div class="red status">{$parameters.status.title|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="title" name="title" id="title" value="{$parameters.record->title|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('email',$parameters.status)}
            <div class="red status">{$parameters.status.email|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<input type="text" class="text" placeholder="email" name="email" id="email" value="{$parameters.record->email|stripslashes}" />
          </div>
          
          {if $parameters.has_error && is_array($parameters.status) && array_key_exists('message',$parameters.status)}
            <div class="red status">{$parameters.status.message|nl2br}</div>
          {/if}
          <div class="textWrapper">
          	<div class="required">*</div>
          	<textarea class="text" placeholder="message" name="message" id="message" rows="4">{$parameters.record->message|stripslashes}</textarea>
          </div>
          
          <input type="submit" class="submit" value="Submit" />
        {/if}
      </fieldset>
    </form>
  </div>
</div>

{include file="site_bottom.tpl"}
{/strip}