{strip}
{include file="site_top.tpl"}

<script src="/js/cmd_heatmaps.js?v=20130530" type="text/javascript"></script>
<script src="/js/stylized_select.js" type="text/javascript"></script>
{literal}
<script type="text/javascript">
$(function(){
  $('.select').click(function(){
    var options = $('.options', this);
    options.css({height: 'auto', overflowY: 'auto'});
    var jsp = options.data('jsp');
    if(jsp) jsp.reinitialise();
    else options.jScrollPane({contentWidth: '0px'});
    options.addClass('scrolling');
  });
});
</script>
{/literal}

<div class="section">
  <h3 class="main-heading alt">{$parameters.header.title|upper}</h3>
  <div id="fullwidth">
    {include file="site_warning.tpl"}
    <ul id="top-right-options">
    	{foreach from=$parameters.modes key=key item=item}
	    	<li>
	    		<a href="/heat-maps/{$item}/?exchange={$parameters.exchange|escape}" style="width:{if !$key}107{else}79{/if}px;"{if $parameters.mode eq $item} class="active"{/if}>
	    			<i class="icon{$key}"></i>{$item|upper}
	    		</a>
	    	</li>
	    {/foreach}
    </ul>
    
    <div id="dashboard-nowtime">Last Updated: {$parameters.time|date_format:"%B %e, %Y %I:%M %p"}</div>
    <div class="dashboard-view-mode">
    	Currently Displaying: {if $smarty.cookies.view_mode eq "MP"}Market Prophits{else}Crowd{/if}
    </div>
    
    <div class="c"></div>
    
    <div id="top-buttons">
    	
    	<hr />
    	
    	<div>
	    	<select class="top-buttons-select" onchange="window.location.assign('/heat-maps/{$parameters.mode|escape}/?exchange='+$(this).val());">
	    		{foreach from=$parameters.exchanges item=item}
	    			<option{if $parameters.exchange eq $item} selected="selected"{/if}>
	    				{$item|escape}
	    			</option>
	    		{/foreach}
	    	</select>
{*****	    	
	    	<div id="heatmapExchangeSearchWrapper">
	    		<input id="heatmapExchangeSearch" type="text" class="top-buttons-search" />
	    		<div id="heatmapExchangeSearchList"></div>
	    	</div>
*****}
		  </div>
    	
    </div>
    
    <div class="c"></div>
    
    {if $parameters.tree}
    
			<script src="/fitch/resources/Jit/jit.js" type="text/javascript"></script>
			<script type="text/javascript">
				$(function(){ldelim}
					heatmap({$parameters.tree});
				{rdelim});
			</script>
			
			<div id="heatmap" data-view-mode="{$smarty.cookies.view_mode|escape}" data-mode="{$parameters.mode|escape}" data-exchange="{$parameters.exchange|escape}"></div>
	    <div id="heatmap-legend">
	    	{if $smarty.get.mode eq "buzz"}
	    		<div class="label">Size:</div>
	    		<div class="value">
			    	Buzz
			    </div>
		    {/if}
	  		<div class="label">Sentiment</div>
	    	{foreach from=$parameters.legend key=value item=color}
	    		<div class="box" style="background:{$color};">{$value}</div>
	    	{/foreach}
	    </div>
	    
		{else}
  		<div class="message" style="margin: 60px 20px;">
  			<p >There are currently no tickers with sentiment available.</p>
  	  </div>
		{/if}
    
  </div>
</div>

{include file="site_bottom.tpl"}
{/strip}