{strip}
{include file="site_top.tpl"}
{assign var=version value="20141216"}
{include file="site_charts_src.tpl"}
<script type="text/javascript" src="/js/jquery.tagcanvas.min.js"></script>

<script type="text/javascript" src="/js/dashboard.js?v={$version}"></script>
<script type="text/javascript" src="/js/cmd_stock.js?v={$version}"></script>
<script type="text/javascript" src="/js/stylized_select.js"></script>
<script type="text/javascript" src="/js/users.js?v={$version}"></script>

<div class="section">
	<h3 class="main-heading alt">{$parameters.stock->TICKER} - {$parameters.stock->COMPANY_NAME}</h3>
	<div id="twocolumns" class="twocolumns-dashboard">
		{include file="site_warning.tpl"}
		<div class="stock-heading">
			<h2 class="blue">{$parameters.stock->EXCHANGE_NAME}</h2>
			<h2 id="stock-price" data-ticker="{$parameters.stock->TICKER|escape}" data-decimals="{$parameters.stock->decimals}"></h2>
			<p>Note: Click and drag in the plot area to zoom in.</p>
			<p>
			  {if $parameters.stock->PROXY_TICKER_FLAG}
			  	{if $parameters.stock->TICKER ne $parameters.stock->PRICING_TICKER}
         		{$parameters.stock->PRICING_TICKER} is being used as a proxy for the price for {$parameters.stock->TICKER}.
        	{else}
         		There currently is no proxy for the price for {$parameters.stock->TICKER}.
        	{/if}
			  {else}
			  	{if !$parameters.stock->API_NAME}
			  		There currently is no proxy price available for {$parameters.stock->TICKER}.
			  	{/if}
			  {/if}
			</p>
			<div class="bottom">
				<p>
					<span><a href="javascript:void(0);" onclick="openCreateAlertWindow('{$parameters.stock->TICKER|escape}');">CREATE STOCK ALERT</a></span>
					<span><a href="javascript:void(0);" onclick="addToDashboard('{$parameters.stock->TICKER|escape}');">ADD TO STOCK DASHBOARD</a></span>
					<span><a href="javascript:void(0);" onclick="makePrediction('{$parameters.stock->TICKER|escape}');">MAKE A PREDICTION</a></span>
				</p>
			</div>
		</div>
		<div class="stockdetails">
			<div class="col-left">
				<div class="box">
					<div class="tweets">
						<h3>TWEETS<span class="fr">MPS</span></h3>
						<div tweets-ticker="{$parameters.stock->TICKER|escape}" tweets-limit="15">
							<ul class="list"></ul>
						</div>
					</div>
				</div>
				<div class="box">
					<a href="http://finance.yahoo.com/q/h?s={$parameters.stock->TICKER|escape}+Headlines" target="_blank" class="new-art">NEWS ARTICLES</a>
				</div>
				<div class="box">
					<h3>COMPANY FUNDAMENTALS</h3>
					<div class="fundamentals">
						<table cellpadding="0" cellspacing="0" id="stock-fundamentals" width="100%">
						</table>
					</div>
				</div>
				<div class="box">
					<h3>WORD CLOUD</h3>
					<div style="height:181px;" id="dashboard_stock_details_wordcloud" class="cloud" data-ticker="{$parameters.stock->TICKER|escape}"></div>
				</div>
			</div>
			<div class="col-right">
				<h3><span>SENTIMENT</span></h3>
				<div class="holder" id="chartSet" data-ticker="{$parameters.stock->TICKER|escape}">
					<div class="bucket">
						<a href="javascript:void(0);" class="control"><img src="/img/main/arrow-stock.png" width="16" height="9" alt="Display Charts" title="Display Charts" /></a>
						<div class="wrap">
							<div class="chart-holder">
							  <div class="cut">
							  	<a href="javascript:void(0);" class="cut-close">CLOSE</a>
								  <a href="javascript:void(0);" class="cut-title">SENTIMENT</a>
								  <div class="c"></div>
								</div>
								<div>
									<div class="chart has-options" id="chartSet1Top"></div>
									<div class="options">
										<a href="javascript:void(0);" total="5">
											5 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="15">
											15 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="60" class="active">
											1 hour
										</a>
									</div>
								</div>
							</div>
							<div class="sep">&nbsp;</div>
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">PRICE</a>
                  <div class="c"></div>
                </div>
								<div>
									<div class="chart has-options" id="chartSet1Bottom"></div>
									<div class="options">
										<a href="javascript:void(0);" total="5">
											5 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="15">
											15 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="60" class="active">
											1 hour
										</a>
									</div>
								</div>
							</div>
							<ul class="social" data-chart-set="1">
							{*
								<li><a href="#" class="email">email</a></li>
								<li><a href="#" class="twitter">tweet</a></li>
								<li><a href="#" class="facebook">facebook</a></li>
								<li><a href="#" class="linkedin">linkedin</a></li>
								<li><a href="#" class="google">google</a></li>
							*}
								<li><a href="javascript:void(0);" class="print">print</a></li>
								<li><a href="javascript:void(0);" class="export">export</a></li>
							</ul>
						</div>
					</div>
					<div class="bucket">
						<a href="javascript:void(0);" class="control"><img src="/img/main/arrow-stock.png" width="16" height="9" alt="Display Charts" title="Display Charts" /></a>
						<div class="wrap">
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">SENTIMENT</a>
                  <div class="c"></div>
                </div>
								<div class="chart has-options" id="chartSet2Top"></div>
								{if $parameters.data->intervals}
									<div class="options">
										{foreach name=intervals from=$parameters.data->intervals item=item}
											<a href="javascript:void(0);"{if $smarty.foreach.intervals.first} class="active"{/if} data-interval="{$item.interval|escape}">{$item.value|escape}</a>
											{if !$smarty.foreach.intervals.last}&nbsp;&nbsp;{/if}
										{/foreach}
									</div>
								{/if}
							</div>
							<div class="sep">&nbsp;</div>
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">PRICE</a>
                  <div class="c"></div>
                </div>
								<div class="chart has-options" id="chartSet2Bottom"></div>
								{if $parameters.data->intervals}
									<div class="options">
										{foreach name=intervals from=$parameters.data->intervals item=item}
											<a href="javascript:void(0);"{if $smarty.foreach.intervals.first} class="active"{/if} data-interval="{$item.interval|escape}">{$item.value|escape}</a>
											{if !$smarty.foreach.intervals.last}&nbsp;&nbsp;{/if}
										{/foreach}
									</div>
								{/if}
							</div>
							<ul class="social" data-chart-set="2">
								<li><a href="javascript:void(0);" class="print">print</a></li>
								<li><a href="javascript:void(0);" class="export">export</a></li>
							</ul>
						</div>
					</div>
				</div>
				<h3><span>SENTIMENT Z-SCORE</span></h3>
				<div class="holder">
					<div class="bucket">
						<a href="javascript:void(0);" class="control"><img src="/img/main/arrow-stock.png" width="16" height="9" alt="Display Charts" title="Display Charts" /></a>
						<div class="wrap">
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">SENTIMENT Z-SCORE</a>
                  <div class="c"></div>
                </div>
								<div>
									<div class="chart has-options" id="chartSet3Top"></div>
									<div class="options">
										<a href="javascript:void(0);" total="5">
											5 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="15">
											15 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="60" class="active">
											1 hour
										</a>
									</div>
								</div>
							</div>
							<div class="sep">&nbsp;</div>
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">PRICE</a>
                  <div class="c"></div>
                </div>
								<div>
									<div class="chart has-options" id="chartSet3Bottom"></div>
									<div class="options">
										<a href="javascript:void(0);" total="5">
											5 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="15">
											15 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="60" class="active">
											1 hour
										</a>
									</div>
								</div>
							</div>
							<ul class="social" data-chart-set="3">
								<li><a href="javascript:void(0);" class="print">print</a></li>
								<li><a href="javascript:void(0);" class="export">export</a></li>
							</ul>
						</div>
					</div>
					<div class="bucket">
						<a href="javascript:void(0);" class="control"><img src="/img/main/arrow-stock.png" width="16" height="9" alt="Display Charts" title="Display Charts" /></a>
						<div class="wrap">
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">SENTIMENT Z-SCORE</a>
                  <div class="c"></div>
                </div>
								<div class="chart has-options" id="chartSet4Top"></div>
								{if $parameters.data->intervals}
									<div class="options">
										{foreach name=intervals from=$parameters.data->intervals item=item}
											<a href="javascript:void(0);"{if $smarty.foreach.intervals.first} class="active"{/if} data-interval="{$item.interval|escape}">{$item.value|escape}</a>
											{if !$smarty.foreach.intervals.last}&nbsp;&nbsp;{/if}
										{/foreach}
									</div>
								{/if}
							</div>
							<div class="sep">&nbsp;</div>
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">PRICE</a>
                  <div class="c"></div>
                </div>
								<div class="chart has-options" id="chartSet4Bottom"></div>
								{if $parameters.data->intervals}
									<div class="options">
										{foreach name=intervals from=$parameters.data->intervals item=item}
											<a href="javascript:void(0);"{if $smarty.foreach.intervals.first} class="active"{/if} data-interval="{$item.interval|escape}">{$item.value|escape}</a>
											{if !$smarty.foreach.intervals.last}&nbsp;&nbsp;{/if}
										{/foreach}
									</div>
								{/if}
							</div>
							<ul class="social" data-chart-set="4">
								<li><a href="javascript:void(0);" class="print">print</a></li>
								<li><a href="javascript:void(0);" class="export">export</a></li>
							</ul>
						</div>
					</div>
				</div>
				<h3><span>BUZZ</span></h3>
				<div class="holder">
					<div class="bucket">
						<a href="javascript:void(0);" class="control"><img src="/img/main/arrow-stock.png" width="16" height="9" alt="Display Charts" title="Display Charts" /></a>
						<div class="wrap">
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">BUZZ</a>
                  <div class="c"></div>
                </div>
								<div>
									<div class="chart has-options" id="chartSet5Top"></div>
									<div class="options">
										<a href="javascript:void(0);" total="5">
											5 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="15">
											15 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="60" class="active">
											1 hour
										</a>
									</div>
								</div>
							</div>
							<div class="sep">&nbsp;</div>
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">PRICE</a>
                  <div class="c"></div>
                </div>
								<div>
									<div class="chart has-options" id="chartSet5Bottom"></div>
									<div class="options">
										<a href="javascript:void(0);" total="5">
											5 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="15">
											15 min
										</a>
										&nbsp;&nbsp;
										<a href="javascript:void(0);" total="60" class="active">
											1 hour
										</a>
									</div>
								</div>
							</div>
							<ul class="social" data-chart-set="5">
								<li><a href="javascript:void(0);" class="print">print</a></li>
								<li><a href="javascript:void(0);" class="export">export</a></li>
							</ul>
						</div>
					</div>
					<div class="bucket">
						<a href="javascript:void(0);" class="control"><img src="/img/main/arrow-stock.png" width="16" height="9" alt="Display Charts" title="Display Charts" /></a>
						<div class="wrap">
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">BUZZ</a>
                  <div class="c"></div>
                </div>
								<div class="chart has-options" id="chartSet6Top"></div>
								{if $parameters.data->intervals}
									<div class="options">
										{foreach name=intervals from=$parameters.data->intervals item=item}
											<a href="javascript:void(0);"{if $smarty.foreach.intervals.first} class="active"{/if} data-interval="{$item.interval|escape}">{$item.value|escape}</a>
											{if !$smarty.foreach.intervals.last}&nbsp;&nbsp;{/if}
										{/foreach}
									</div>
								{/if}
							</div>
							<div class="sep">&nbsp;</div>
							<div class="chart-holder">
								<div class="cut">
									<a href="javascript:void(0);" class="cut-close">CLOSE</a>
                  <a href="javascript:void(0);" class="cut-title">PRICE</a>
                  <div class="c"></div>
                </div>
								<div class="chart has-options" id="chartSet6Bottom"></div>
								{if $parameters.data->intervals}
									<div class="options">
										{foreach name=intervals from=$parameters.data->intervals item=item}
											<a href="javascript:void(0);"{if $smarty.foreach.intervals.first} class="active"{/if} data-interval="{$item.interval|escape}">{$item.value|escape}</a>
											{if !$smarty.foreach.intervals.last}&nbsp;&nbsp;{/if}
										{/foreach}
									</div>
								{/if}
							</div>
							<ul class="social" data-chart-set="6">
								<li><a href="javascript:void(0);" class="print">print</a></li>
								<li><a href="javascript:void(0);" class="export">export</a></li>
							</ul>
						</div>
					</div>
				</div>
				<div class="user-top-table">
					<form action="" method="POST">
						<input type="hidden" name="filter_type" value="users"/>
						<div class="top-buttons">
							<div>
					    	<h3><span>TOP 3 USERS BY RETURNS</span></h3>
					    	<div class="top-buttons-right">
					    		<div class="top-button-link"><a href="javascript:void(0);" onclick="openCreateUsersAlertWindow({ldelim}type:'top-user', subtype:'tickers', ticker:'{$parameters.stock->TICKER}'{rdelim});">CREATE TOP USERS ALERT</a></div>
						    	{if $parameters.data->filter_timeframes}
						    		<select name="timeframes[users]" class="top-buttons-select" onchange="ajaxFilterReloadInfo(this, '#userTableReturns');">
							    		{foreach from=$parameters.data->filter_timeframes item=item key=key}
							    			<option value="{$key}" {if !$key} disabled="disabled"{/if} {if $parameters.data->filter->timeframes.users == $key}selected="selected"{/if}>{$item|escape|upper}</option>
							    		{/foreach}
							    	</select>
						    	{/if}
							  </div>
							  <div class="c"></div>
						  </div>
				    </div>
				    <div class="c"></div>
					</form>
			    <div id="userTableReturns" class="holder">
				    {include file="stock_users_tables.tpl" type='users'}
		      </div>
		       <form action="" method="POST">
		       	<input type="hidden" name="filter_type" value="site"/>
			       <div class="top-buttons">
							<div>
					    	<h3><span>TOP 3 MARKET PROPHITS</span></h3>
					    	<div class="top-buttons-right">
					    		<div class="top-button-link"><a href="javascript:void(0);" onclick="openCreateUsersAlertWindow({ldelim}type:'top-mp', subtype:'tickers', ticker:'{$parameters.stock->TICKER}'{rdelim});">CREATE TOP USERS ALERT</a></div>
						    	{if $parameters.data->filter_timeframes}
						    		<select name="timeframes[site]" class="top-buttons-select" onchange="ajaxFilterReloadInfo(this, '#userTableMp');">
							    		{foreach from=$parameters.data->filter_timeframes item=item key=key}
							    			<option value="{$key}" {if !$key} disabled="disabled"{/if} {if $parameters.data->filter->timeframes.site == $key}selected="selected"{/if}>{$item|escape|upper}</option>
							    		{/foreach}
							    	</select>
						    	{/if}
							  </div>
							  <div class="c"></div>
						  </div>
				    </div>
				    <div class="c"></div>
			    </form>
			    <div id="userTableMp" class="holder">
				    {include file="stock_users_tables.tpl" type='site'}
	      	</div>
				</div>
			</div>
		</div>
	</div>
</div>

{include file="site_bottom.tpl"}
{/strip}