{strip}
{include file="site_top.tpl"}
	<script language="javascript" type="text/javascript" src="/js/users.js?v=20141217"></script>
	<script language="javascript" type="text/javascript" src="/js/jquery.tablesorter.js"></script>
	<script language="javascript" type="text/javascript">
	{literal}
		$(function(){
			$("table.sorting").tablesorter({
				textExtraction: dataExtraction,
				headers:{5:{sorter: false}, 6:{sorter:false}}
			});
  	});
  {/literal}
	</script>
  <div class="section">
    <h3 class="main-heading alt">{$parameters.header.title|upper}</h3>
    <div id="twocolumns" class="twocolumns-dashboard">
    	<div class="user-top-table">
    		{include file="site_warning.tpl"}
    		<div class="user-top-line"></div>
      	{if $parameters.records}
          <table cellpadding="0" cellspacing="0" class="sorting">
            <thead>
              <tr>
                <th>
                  MPR<br /><span></span>
                </th>
                <th>
                  USERNAME<br /><span></span>
                </th>
                <th class="stocks">
                  TICKERS RECENTLY MENTIONED<br /><span></span>
                </th>
                <th>
                  MPS<br /><span></span>
                </th>
                <th>
                  PREVIOUS<br />MPR<br /><span></span>
                </th>
                <th class="action">
                  USER PROFILE
                </th>
                <th class="action">
                  ADD TO USER<br />DASHBOARD
                </th>
              </tr>
            </thead>
            <tbody>
            	{foreach name=records from=$parameters.records item=item}
                <tr>
									<td {if $smarty.foreach.records.first}class="top-left"{elseif $smarty.foreach.records.last}class="bottom-left"{/if}>
										{$smarty.foreach.records.iteration}
									</td>
									<td class="left">
										<a href="https://twitter.com/{$item->username|escape}/" target="_blank" title="@{$item->username|escape}" class="username">
											<img src="{if $item->author_logo}{$item->author_logo}{else}/img/main/bg_username_link.png{/if}" title="@{$item->username|escape}" alt="@{$item->username|escape}"/>
											@{$item->username|escape}
										</a>
									</td>
									<td class="stocks">{$item->tickers}</td>
									<td>{if $item->mps}{$item->mps|number_format:3}{else}<span class="empty">N/A</span>{/if}</td>
									<td>{if $item->prev_mpr}{$item->prev_mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
									<td><a href="/users/details/{$item->username|escape}/" title="USER PAGE" class="button-link">USER PAGE</a></td>
									<td {if $smarty.foreach.records.first}class="top-right"{elseif $smarty.foreach.records.last}class="bottom-right"{/if}>
										<a href="javascript:void(0);" onclick="addMarketUser('{$item->username|escape}');" title="ADD USER" class="button-link add">ADD USER</a>
									</td>
                </tr>
              {/foreach}
            </tbody>  
          </table>
       	{else}
       		<p>There are no records found.</p>
        {/if}
      </div>
    </div>
  </div>
{include file="site_bottom.tpl"}
{/strip}