{strip}
{include file="site_top.tpl"}
	<script src="/js/stylized_select.js" type="text/javascript"></script>
	<script language="javascript" type="text/javascript" src="/js/users.js?v=20141217"></script>
	<script language="javascript" type="text/javascript" src="/js/jquery.tablesorter.js"></script>
	<script language="javascript" type="text/javascript" src="/js/users_top_ten_returns.js?v=20140115"></script>

  <div class="section">
    <h3 class="main-heading alt">{$parameters.header.title|upper}</h3>
    <div id="twocolumns" class="twocolumns-dashboard">
    	<div class="user-top-table returns">
    		{include file="site_warning.tpl"}
    		
    			{foreach name=data_tickers from=$parameters.records.tickers item=data key=subtype}
    				{if !$smarty.foreach.data_tickers.first}
    					<div class="h10"></div>
    				{/if}
	    			{if $data}
	    				{assign var=filters value=$parameters.data->filter->tickers}
	    				<form action="" method="POST">
	    					<input type="hidden" name="filter_type" value="tickers"/>
	    					<input type="hidden" name="filter_subtype" value="{$subtype}"/>
		    				<div class="top-buttons">
			      			<div>
							    	<h3>
							    		{if $subtype == 'users_returns'}
							    			TOP 10 TICKERS RANKED BY RETURNS BY USER
							    		{elseif $subtype == 'site_returns'}
							    			TOP 10 TICKERS RANKED BY MARKET PROPHIT RANK
							    		{/if}
							    	</h3>
							    	<div class="top-buttons-right">
							    		{if $subtype == 'users_returns'}
							    			{assign var=topRank value=$parameters.data->topUserReturns}
							    			{assign var=type value='top-user'}
							    		{elseif $subtype == 'site_returns'}
							    			{assign var=topRank value=$parameters.data->topMpReturns}
							    			{assign var=type value='top-mp'}
							    		{/if}
							    		<div class="top-button-link"><a href="javascript:void(0);" onclick="openCreateUsersAlertWindow({ldelim}type:'{$type}', subtype:'tickers'{rdelim});">CREATE TOP USERS ALERT</a></div>
							    		{if $topRank}
									    	<select class="top-buttons-select" name="tickers[{$subtype}][rank]" onchange="userTopFilterReloadInfo(this, '{$subtype}Tickers');" >
									    		{foreach from=$topRank item=item key=key}
									    			<option value="{$key}" {if $filters.$subtype.rank == $key}selected="selected"{/if}>{$item|escape|upper}</option>
									    		{/foreach}
									    	</select>
								    	{/if}
							    		{if $parameters.data->timeframes}
								    		<select class="top-buttons-select" name="tickers[{$subtype}][timeframe]" onchange="userTopFilterReloadInfo(this, '{$subtype}Tickers');">
									    		{foreach from=$parameters.data->timeframes item=item key=key}
									    			<option value="{$key}"{if !$key} disabled="disabled"{/if} {if $filters.$subtype.timeframe == $key}selected="selected"{/if}>{$item|escape|upper}</option>
									    		{/foreach}
									    	</select>
								    	{/if}
									  </div>
									  <div class="c"></div>
								  </div>
						    </div>
					    </form>
	    			{/if}
	    			<div id="{$subtype}TickersUserTable">
	    				{include file="users_top_ten_returns_tables.tpl" data=$data type='tickers' subtype=$subtype}
	    			</div>			
    			{/foreach}

	        <div class="h10"></div>
	        
	        {foreach name=data_sectors from=$parameters.records.sectors item=data key=subtype}
    				{if !$smarty.foreach.data_sectors.first}
    					<div class="h10"></div>
    				{/if}
	    			{if $data}
	    				{assign var=filters value=$parameters.data->filter->sectors}
	    				<form action="" method="POST">
	    					<input type="hidden" name="filter_type" value="sectors"/>
	    					<input type="hidden" name="filter_subtype" value="{$subtype}"/>
		    				<div class="top-buttons">
			      			<div>
							    	<h3>
							    		{if $subtype == 'users_returns'}
							    			TOP 10 SECTORS RANKED BY RETURNS BY USER
							    		{elseif $subtype == 'site_returns'}
							    			TOP 10 SECTORS RANKED BY MARKET PROPHIT RANK
							    		{/if}
							    	</h3>
							    	<div class="top-buttons-right">
							    		{if $subtype == 'users_returns'}
							    			{assign var=topRank value=$parameters.data->topUserReturns}
							    			{assign var=type value='top-user'}
							    		{elseif $subtype == 'site_returns'}
							    			{assign var=topRank value=$parameters.data->topMpReturns}
							    			{assign var=type value='top-mp'}
							    		{/if}
							    		<div class="top-button-link"><a href="javascript:void(0);" onclick="openCreateUsersAlertWindow({ldelim}type:'{$type}', subtype:'sectors'{rdelim});">CREATE TOP USERS ALERT</a></div>
							    		{if $topRank}
									    	<select class="top-buttons-select" name="sectors[{$subtype}][rank]" onchange="userTopFilterReloadInfo(this, '{$subtype}Sectors');">
									    		{foreach from=$topRank item=item key=key}
									    			<option value="{$key}" {if $filters.$subtype.rank == $key}selected="selected"{/if}>{$item|escape|upper}</option>
									    		{/foreach}
									    	</select>
								    	{/if}
							    		{if $parameters.data->timeframes}
								    		<select class="top-buttons-select" name="sectors[{$subtype}][timeframe]" onchange="userTopFilterReloadInfo(this, '{$subtype}Sectors');">
									    		{foreach from=$parameters.data->timeframes item=item key=key}
									    			<option value="{$key}"{if !$key} disabled="disabled"{/if} {if $filters.$subtype.timeframe == $key}selected="selected"{/if}>{$item|escape|upper}</option>
									    		{/foreach}
									    	</select>
								    	{/if}
									  </div>
									  <div class="c"></div>
								  </div>
							  </div>
					    </form>
						{/if}
						<div id="{$subtype}SectorsUserTable">
		        	{include file="users_top_ten_returns_tables.tpl" data=$data type='sectors' subtype=$subtype}
		        </div>
	        {/foreach}
      </div>
    </div>
  </div>
{include file="site_bottom.tpl"}
{/strip}