// DADP - drag and drop position
var DADP = {
	obj: null,	from: 0,	to: 0,	onlyMove: false,

	start:function(){
		DADP.obj = this;
		DADP.from = $(DADP.obj).css('opacity', 0.5).data('position');
		return false;
	},

	check:function(){
		if(DADP.obj && DADP.obj != this){
		  if(this.tagName == 'DIV') $(DADP.obj).parent().append(DADP.obj);
			else $(this).before(DADP.obj);
			DADP.refreshN();
		}
		return true;
	},

	refreshN:function(){
		var divArr = document.getElementsByTagName("*"), p;
		$('.DADP_E').each(function(i,e){e=$(e);
		  p = i+1;
		  e.removeClass('odd even').addClass(p % 2 ? 'odd' : 'even').data('position', p);
		  $('.DADP_N', e).text(p);
		});
		return false;
	},

	init:function(onlyMove){
		DADP.onlyMove = onlyMove;
		var p;
		$('.DADP_E').each(function(i,e){
		  e.onmousedown = DADP.start;
		  e.onmouseover = DADP.check;
		  e = $(e);
      p = e.parent();
      e.data('position', i+1);
		});
		if(p) p.parent().after($("<div>&nbsp;</div>").mouseover(DADP.check));
		$(document).mouseup(DADP.clear);
	},

	clear:function(){
		if(DADP.obj){
			DADP.to = $(DADP.obj).data('position');
			if(!DADP.onlyMove && DADP.from > 0 && DADP.to > 0 && DADP.from != DADP.to) $.post(''+document.location, 'move[from]='+DADP.from+'&move[to]='+DADP.to);
			$(DADP.obj).css('opacity', 1);
			DADP.obj = null; DADP.from = 0; DADP.to = 0;
		}
		return false;
	}
}