
	function include(filename)
	{
		var scripts = document.getElementsByTagName("script");
		for(var i in scripts) if(scripts[i].src == filename) return false;
		
    var html_doc = document.getElementsByTagName('head').item(0);
    var js = document.createElement('script');
    js.setAttribute('language', 'javascript');
    js.setAttribute('type', 'text/javascript');
    js.setAttribute('src', filename);
    html_doc.appendChild(js);
    return false;
	}//include


	function changeRowColor(rowID,checkboxElm){
		rowElm = "row_" + rowID;
		if(!document.getElementById(rowElm)) return false;
		rowElm = document.getElementById(rowElm);
		rowElm.className = checkboxElm.checked ? "selected" : ((parseInt(rowID) % 2) == 0 ? "even" : "odd");
		return true;
	}//changeRowColor

	function searchDeleteForm()
	{
		function isD(o){var r = /^delete_.*/;return o.tagName == "INPUT" && o.type && o.type == "checkbox" && o.name && o.name.match(r);}
		for(var i = 0; i < document.forms.length; i++) for(var j = 0; j < document.forms[i].elements.length; j++) if(isD(document.forms[i].elements[j]))
		{
			document.forms[i].onsubmit = function(){
				var c = false;
				for(var i = 0; i < this.elements.length; i++) if(isD(this.elements[i]) && this.elements[i].checked){c = true; break;}
				if(c) return confirm("Are You sure You want to delete selected items?")
				alert("There are no items to delete. Please check.");
				return false;
			};
			break;
		}
		return false;
	}//searchDeleteForm
	
	
	function deleteRecord(recordID, recordName){
		if(recordID > 0 && (frm = document.getElementById('form_records'))){
			if(!recordName) recordName = "record";
			if(confirm("Are you sure you want to delete this " + recordName + "?")){
				frm.elements.id_to_delete.value = recordID;
				frm.submit();
			}
		}
		return false;
	}//deleteRecord
	

	function DateTimePicker(i){
		$(document).ready(function(){
			$(i).datetimepicker({
				changeMonth: true, changeYear: true,
				ampm: true, timeFormat: 'hh:mm TT'
			});
		});
	}//DateTimePicker
	
	function characterCounter(f, c, m){
		f = $('#'+f);
		c = $('#'+c);
		var count = function(){
			var l = f.val().length;
			c.text(m ? m - l : l);
		};
		f.change(count).focus(count).blur(count).keydown(count).keyup(count);
		count();
	}//characterCounter
	
// Open AdminPopup
function openAdminPopup()
{
	$(window).bind("resize", getAdminPopupPosition);
	$("#admin_popup_wrapper").fadeIn(300);
	getAdminPopupPosition();
}

function getAdminPopupPosition()
{
	var adminPopup = $("#admin_popup_change_password");
	adminPopup.css({
		top: parseInt(($(window).height()-adminPopup.height())/2),
		left: parseInt(($(window).width()-adminPopup.width())/2)
	});
	console.log($(window).height(), adminPopup.height());
}

function hideAdminPopup()
{
	$(window).unbind("resize", getAdminPopupPosition);
	$("#admin_popup_wrapper").fadeOut(300);
}

$(function(){
	$('#admin_popup_background').click(hideAdminPopup);
});
// Open AdminPopup

function ajaxAdminChangePasswordFormSubmit(frm){
	var frm = $(frm);
	
	$.post("/ajax/admin_change_password/", frm.serialize(), function(data){
		if(data == 'SUCCESS'){
			if($('#admin_change_password_form .box_error').length) $('#admin_change_password_form .box_error').parent().remove();
			$('#admin_change_password_form').html('<br/><div class="box_success">Password was changed successfully.</div><br/><input type="button" class="input_button" value="Close" onclick="hideAdminPopup();" />');
		}
		else{
			if($('#admin_change_password_form .box_error').length) $('#admin_popup_change_password .box_error').html(data);
			else $('#admin_change_password_form').prepend('<div><div class="box_error">'+data+'</div><br/></div>');
		}
	});

	return false;
}//ajaxAdminChangePasswordFormSubmit

function customSorting(table){
	table = $(table);
	var th = $(table).find('th[data-sort]');
	th.addClass('header');
	setActive();
	th.click(function(){
		var sortName = $(this).attr('data-sort');
		if(typeof sortName != "undefined"){
			var sortOrder = !$(this).hasClass('headerSortDown') ? 'asc' : 'desc';
			th.removeClass('headerSortDown headerSortUp');
			if(sortOrder == 'asc'){
				$(this).addClass('headerSortDown');
			}else{
				$(this).addClass('headerSortUp');
			}
			sortBy(sortName, sortOrder);
		}
	});
	function setActive(){
		var params = getURLParameters();
		var headerClass = "";
		var sortName = ""
		$.each(params, function(i, item){
			if(item.name == 'sort_name'){
				sortName = item.value;
			}else if(item.name == 'sort_order'){
				headerClass = (item.value == 'asc') ? 'headerSortDown' : 'headerSortUp';
			}
		});
		if(headerClass && sortName){
			th.filter('[data-sort="'+sortName+'"]').addClass(headerClass);
		}
	}
	function sortBy(name, order){
		var url = document.location,
				params = getURLParameters(),
		    addName = true,
		    addOrder = true;
		$.each(params, function(i, item){
			if(item.name == 'page'){
				delete params[i];
			}else if(item.name == 'sort_name'){
				item.value = name;
				addName = false;
			}else if(item.name == 'sort_order'){
				item.value = order;
				addOrder = false;
			}
		});
		if(addName) params.push({name: 'sort_name', value: name});
		if(addOrder) params.push({name: 'sort_order', value: order});
		url.assign(url.protocol+'//'+url.hostname+url.pathname+'?'+$.param(params));
	}
}

function getURLParameters(url){
	url = url || document.URL;
  var result = new Array;
  var searchIndex = url.indexOf("?");
  if (searchIndex == -1 ) return result;
  var sPageURL = url.substring(searchIndex +1);
  var sURLVariables = sPageURL.split('&');
  for(var i = 0; i < sURLVariables.length; i++){       
    var sParameterName = sURLVariables[i].split('=');      
    result.push({name: decodeURIComponent(sParameterName[0]), value: decodeURIComponent(sParameterName[1])})
  }
  return result;
}