$(document).ready(function() {
  $('#slider li').first().show(function() {
    $(this).find('img').animate({
      opacity: 1,
      left: '0',
      }, 1000, function() {
      // Animation complete.
    });
    $(this).find('.text').delay(800).animate({
      top: '0',
      opacity: 1,
      }, 1000, function() {
      // Animation complete.
    }); 
  });
 
  $('#slider').anythingSlider({
      expand: true,
      autoPlay: true,
      autoPlayLocked: true,
      pauseOnHover: false,
      resumeDelay: 0, 
      delay: 5000,      // How long between slideshow transitions in AutoPlay mode (in milliseconds) 
      animationTime: 1000,       // How long the slideshow transition takes (in milliseconds) 
      playRtl: false,
      buildArrows: true,      // If true, builds the forwards and backwards buttons 
      buildNavigation: false,      // If true, builds a list of anchor links to link to each panel 
      buildStartStop: true,
    })
    .anythingSliderFx({
    // '.selector' : [ 'caption', 'distance/size', 'time', 'easing' ]
    // 'distance/size', 'time' and 'easing' are optional parameters
    '.caption-top'    : [ 'caption-Top', '50px' ],
    '.caption-right'  : [ 'caption-Right', '130px', '1000', 'easeOutBounce' ],
    '.caption-bottom' : [ 'caption-Bottom', '50px' ],
    '.caption-left'   : [ 'caption-Left', '130px', '1000', 'easeOutBounce' ]
  });
});