<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");
  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/pages_model.php");
  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/content_organizer_model.php");

	class About extends FJF_CMD{
		var $sessionModel = null;
    var $pagesModel = null;
    var $contentOrganizerModel = null;

		function __construct(){
			$this->sessionModel = new SessionModel();
      $this->pagesModel = new PagesModel();
      $this->contentOrganizerModel = new ContentOrganizerModel();
      
		}

		function execute(){
			require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["includes_path"] . "/header_commands.php");
      $urlTitle = isset($_GET["url_title"]) ? trim($_GET["url_title"]) : null;
      $header['title'] = 'About';
      $error404 = true;
      if ($urlTitle == null && isset($header["menus"][2]))
      {
        $urlTitle = (isset($header["menus"][2][0]['url_title']) && $header["menus"][2][0]['url_title']) ? $header["menus"][2][0]['url_title'] : null;
      }
      $page = $urlTitle ? $this->pagesModel->recordBy(array($urlTitle, 'page'), "pr.url_title,p.type") : null;
      if ($page)
      {
        $header["title"] = $page->meta_title ? $page->meta_title : $page->title;
        $header["meta_keywords"] = $page->meta_keywords;
        $header["meta_description"] = $page->meta_description;
        $r = isset($header["menus"][2]) ? $this->contentOrganizerModel->urlTittle2URL($page->url_title, $header["menus"][2]) : "";
        if($r)
        { 
          $error404 = false;
        }
      }
			      
      if(!$error404)
      {
        $templateParams = array(
          "has_error" => $hasError,
          "status" => $status,
          "header" => $header,
          "page" => $page,
          "url_title" => $urlTitle
        );
        return $this->displayTemplate("about.tpl", $templateParams);
      }
      else
      {
        if($records = $this->sessionModel->getRecords("seo_redirect"))
        {
          foreach($records as $item)
          {
            $url = parse_url($_SERVER["REQUEST_URI"]);
            $url = trim($url["path"], "/");
            if($url == $item->old_url) FJF_BASE::redirect((($item->new_url != "") ? "/" . $item->new_url : "") . "/");
          }
        }

        header('HTTP/1.1 404 Not Found');
        
        $record = $this->pagesModel->recordBy(array("page-not-found", 'page'), "pr.url_title,p.type");

        $templateParams = array(
                              "record" => $record,
                              "header" => $header
                             );

        $this->displayTemplate("404error.tpl", $templateParams);

      }
      return true;
      
		}
	}
	
?>