<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

	class Admin extends FJF_CMD
	{
		var $sessionModel = null;

		function __construct()
		{
			$this->sessionModel = new SessionModel();
		}

		function execute()
		{
			require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/includes/admin_header_commands.php");

			if($_SERVER["REQUEST_METHOD"] == "POST")
			{
				$email = (isset($_POST["email"]) && $_POST["email"] != "") ? trim($_POST["email"]) : "";
				$password = (isset($_POST["password"]) && $_POST["password"] != "") ? trim($_POST["password"]) : "";

				if($email != "" && $password != "")
				{
					if($userInfo = $this->sessionModel->checkUserExists($email, $password))
					{
						$this->sessionModel->setUserSession($userInfo, true);
						//test($_SESSION);
					}
					else
					{
						$hasError = true;
						$status = "Error: Invalid Email or Password.";
					}
				}
				else
				{
					$hasError = true;
					$status = "Error: Please, enter both Email and Password.";
				}

			} // end POST

			if(isset($_GET["action"]) && $_GET["action"] == "logout") $this->sessionModel->logout("/admin/");

			$header["title"] = "Administration";

			$templateParams = array(
			                        "header" => &$header,
			                        "is_admin" => $isAdmin,
			                        "has_error" => $hasError,
			                        "status" => $status
			                       );

			$this->displayTemplate("admin.tpl", $templateParams);

			return true;
		}
	}
?>