<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

  class AjaxDashboardGraphsInfo extends FJF_CMD{
		var $sessionModel = null;

    function __construct(){
      $this->sessionModel = new SessionModel();
    }

    function execute(){
			require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/includes/ajax_header_commands.php");
			if(!$this->sessionModel->isLoggedUser()) return false;
      
      $stockID = isset($_GET["stock_id"]) && $_GET["stock_id"] ? trim($_GET["stock_id"]) : "";
			$stock = $stockID ? FJF_BASE_RICH::getRecord("users_stocks", "ticker='ID_VAL' AND user_id='USER_ID' AND status = 1", array(
				'ID_VAL' => $stockID,
				'USER_ID' => $this->sessionModel->uid
			)) : $stockID;
			if(!$stock) return false;
			
      $header['title'] = 'GRAPHS';
      $header['popup']['type'] = isset($_GET["popup_type"]) && $_GET["popup_type"] ? trim($_GET["popup_type"]) : 'box';
      $header['popup']['url'] = '/ajax/dashboard/graphs-box/?stock_id='.$stockID.'&popup_type=window';
      $header['popup']['params'] = "{width:852,height:621}";
			
			if(isset($_GET['popup_type']) && $_GET['popup_type'] == 'window'){
	      include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/dashboard_model.php");
				$header['popup']['title'] = DashboardModel::getPopupStockTitle($stock->ticker);
			}

      $templateParams = array(
        "has_error" => $hasError,
        "status" => $status,
        "header" => $header,
        "stock_id" => $stockID
      );
      return $this->displayTemplate("ajax_dashboard_graphs_info.tpl", $templateParams);
    }
  }

?>