<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/xignite_model.php");
	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/memcache_model.php");

  class AjaxGetRealquote extends FJF_CMD{
  	
		var $memcacheModel = null;
		
		function __construct(){
			$this->memcacheModel = new MemcacheModel();
		}
		
    function execute(){
			$ticker = isset($_GET["ticker"]) ? trim($_GET["ticker"]) : "";
			$memcacheKey = $this->memcacheModel->createKey(array('get_realquote', $ticker));
			$data = $this->memcacheModel->get($memcacheKey);
			if($data === false){
				FJF_BASE_RICH::db("sentiment");
				$stock = $ticker ? FJF_BASE_RICH::getRecords(
						"PricingMaster"
					, "TICKER='TICKER_VAL' LIMIT 1"
					, array('TICKER_VAL' => $ticker)
					, "PRICING_TICKER, API_NAME"
				) : null;
				
				$data = $stock ? XigniteModel::getQuote($stock->PRICING_TICKER, $stock->API_NAME) : null;
				$this->memcacheModel->set($memcacheKey, $data);
			}
			echo json_encode($data);
      return true;
    }
  }

?>