<?php
	
	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/twitter_model.php");

  class AjaxSearchUser extends FJF_CMD{
  	
		var $twitterModel = null;
		
		function __construct(){
			$this->twitterModel = new TwitterModel();
		}

    function execute(){
      $key = isset($_GET["key"]) ? strtolower(trim($_GET["key"])) : "";
      $limit = isset($_GET["limit"]) ? intval($_GET["limit"]) : 0;
			$type = isset($_GET["type"]) ? intval($_GET["type"]) : 'add';
			
      $maxCount = 500;
			$result = array('match'=>null,'html'=>'');			
			$records = null;
			$search = false;
			if(substr($key, 0, 1) == '@'){
      	$key = substr($key, 1, strlen($key));
				$search = true;
      }
      if($search && $key){
				$sql = "SELECT USERNAME AS username, LOWER(USERNAME) AS user_key";
        $sql .= " FROM UserSearchData";
        $sql .= " WHERE LOWER(USERNAME) LIKE '%SEARCH_KEY%'";
        $sql .= " ORDER BY CASE";
	        $sql .= " WHEN user_key = 'SEARCH_KEY' THEN 1";
	        $sql .= " WHEN user_key LIKE 'SEARCH_KEY%' THEN 2";
	        $sql .= " WHEN user_key LIKE '%SEARCH_KEY%' THEN 3";
	        $sql .= " WHEN user_key LIKE '%SEARCH_KEY' THEN 4";
        $sql .= " END";
        if($limit) $sql .= " LIMIT " . $limit;
				$GLOBALS["WEB_APPLICATION_CONFIG"]["FJF_BASE_key"] = "user_key";
        FJF_BASE_RICH::db("sentiment");
				$records = FJF_BASE_RICH::selectRecords($sql, array('SEARCH_KEY' => $key));
				if($records){
					$usernames = array_keys($records);
					$sql = "SELECT LOWER(tus.USERNAME) AS username, tus.SCORE AS score, tus.RANK AS rank";
	        $sql .= " FROM TrackingData_UserScores tus";
	        $sql .= " WHERE tus.USERNAME IN ('".implode("','",$usernames)."')";
					$sql .= " AND tus.TS = (SELECT TS FROM TrackingData_UserScores ORDER BY TS DESC LIMIT 1)";
					$GLOBALS["WEB_APPLICATION_CONFIG"]["FJF_BASE_key"] = "username";
					$scores = FJF_BASE_RICH::selectRecords($sql);
					if(!$scores) $scores = array();
					foreach($usernames as $name){
						$score = 'N/A';
						$rank = 'N/A';
						if(array_key_exists($name, $scores)){
							$score = $scores[$name]->score;
							$rank = $scores[$name]->rank;
						}
						$records[$name]->score = $score;
						$records[$name]->rank = $rank;
					}
				}
      }
			
      if($records){
      	$records = $this->twitterModel->getUsersInfo($records);
        $count = count($records);
        $result['html'] .= '<div class="search-wrapper">';
        $result['html'] .= '<table cellspacing="0" cellpadding="0">';
        $result['html'] .= '<thead>';
				$result['html'] .= '<tr>';
				$result['html'] .= '<th align="left">USERNAME</th>';
				$result['html'] .= '<th>MPS</th>';
				$result['html'] .= '<th>MPR</th>';
				$result['html'] .= '</tr>';
				$result['html'] .= '</thead>';
        $result['html'] .= '<tbody>';
        foreach($records as $item){
        	if($item->user_key == $key) $result['match'] = $item->username;
          $result['html'] .= '<tr data-id="'.$item->username.'">';
					$result['html'] .= '<td><div class="tweet-img">';
					$result['html'] .= '<img src="'.( isset($item->author_logo) && $item->author_logo ? $item->author_logo :"/img/main/bg_username_link.png").'" title="@'.  $item->username . '" alt="@'.  $item->username . '"/>';
          $result['html'] .= '</div>@'.  $item->username . '</td>';
					$result['html'] .= '<td>'.  (is_numeric($item->score) ? number_format($item->score, 3) : $item->score) . '</td>';
					$result['html'] .= '<td>'.  (is_numeric($item->rank) ? number_format($item->rank) : $item->rank) . '</td>';
          $result['html'] .= '</tr>';
        }
        $result['html'] .= '</tbody>';
        $result['html'] .='</table>';
        $result['html'] .= '</div>';
        if($limit < $maxCount  && $count >=  $limit ){
          $result['html'] .= '<div class="show-all" onclick="';
          $result['html'] .= ($type == 'show') ? 'topSearch('.$maxCount.');' : 'searchMarketUser('.$maxCount.');';
          $result['html'] .= '">';
          $result['html'] .= 'SHOW ALL RESULTS</div>';
        }
        
			}
      
      echo json_encode($result);
      return true;
    }
  }

?>