<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/xignite_model.php");

	class ApiGetQuotes extends FJF_CMD{

		function execute(){
			$path = $GLOBALS["WEB_APPLICATION_CONFIG"]["templates_path"] . "/site_top_quotes.tpl";
			$action = isset($_REQUEST['action']) ? trim($_REQUEST['action']) : '';
			
			if($action == 'get_html'){
				echo json_encode(array('html' => file_get_contents($path)));
				return true;
			}
			
			$GLOBALS["WEB_APPLICATION_CONFIG"]["FJF_BASE_key"] = "TICKER";
			FJF_BASE_RICH::db('sentiment');
			$stocks = FJF_BASE_RICH::getRecords(
					"PricingMaster"
				, "TICKER IN ('SPY', 'DIA', 'QQQ')"
				, null
				, null
				, "TICKER, PRICING_TICKER, API_NAME"
			);
			
			$prices = XigniteModel::getQuotes($stocks);
			
			foreach($stocks as $ticker => $stock){
			  $percentChange = 0;
        if ($prices)
        {
  			  foreach ($prices as $price)
          {
            if ($stock->PRICING_TICKER == $price->Symbol)
            {
              $percentChange = $price->PercentChange;
              break;
            }
          }
        }
				$li = '<li>';
				$li .= '<a href="/stock/' . urlencode(urlencode($ticker)) . '/">';
				$li .= $ticker;
				$li .= '</a>';
				$li .= ' ';
				$li .= '<span class="' . ($percentChange < 0 ? "down" : "up") . '">';
				$li .= ($percentChange ? $percentChange : 0) . '%</span>';
				$li .= '</li>';
				$stocks[$ticker] = $li;
			}
			
			file_put_contents(
				$path,
				'<ul class="common">' . implode("", $stocks) . '</ul>'
			);
			
			return true;
		}
	}
	
?>