<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/xignite_model.php");

	class ApiGetSymbols extends FJF_CMD{
		
		function execute(){
			$data = XigniteModel::get("xBATSRealTime.ListTradedSymbols.json", array(
				"NumOfDays" => 30,
				"StartSymbol" => "A",
				"EndSymbol" => "Z"
			));
			
			if($data){
				$sqlInsert = array();
				foreach($data->Symbols as $symbol)
				{
					$fields["code"] = htmlentities(trim($symbol->Symbol), ENT_QUOTES);
					$fields["name"] = htmlentities(trim($symbol->Name), ENT_QUOTES);
					
					$sqlInsert[] = "INSERT INTO symbols (code, name) VALUES ('" . $fields["code"] . "', '" . $fields["name"] . "')";
					
					unset($fields);
				}			

				if (count($sqlInsert) > 0)
				{
					if (FJF_BASE::db_open())
					{
						FJF_BASE::db_execute("TRUNCATE TABLE symbols");

						foreach ($sqlInsert as $key => $sql)
						{
							FJF_BASE::db_execute($sql);
							unset($sqlInsert[$key]);
						}
						
						FJF_BASE::db_close();
					}
				}
				
				unset($data);
			}
			
			echo "Done.";
			return true;
		}

	}

?>