<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/xignite_model.php");

	class ApiGetTicks extends FJF_CMD{
		
		function execute(){
			
			$GLOBALS["WEB_APPLICATION_CONFIG"]["FJF_BASE_key"] = "TICKER";
			FJF_BASE_RICH::db('sentiment');
			$stocks = FJF_BASE_RICH::getRecords(
					"PricingMaster"
				, "TICKER IN ('SPY', 'QQQ', 'DIA')"
				, null
				, null
				, "TICKER, PRICING_TICKER, API_NAME"
			);
			
			foreach($stocks as $stock){
				if($ticks = XigniteModel::getTicks($stock->PRICING_TICKER, $stock->API_NAME, strtotime("today 9:30"), strtotime("today 16:00"))){
					
					$realData = "";
					foreach($ticks as $date => $price){
						$realData .= date("Y-m-d H:i:s", strtotime($date)) . "," . $price . "\n";
					}
					
					if($realData){
						$tsvFileName = $GLOBALS["WEB_APPLICATION_CONFIG"]["app_data_path"] . "/ticks_" . $stock->TICKER . ".tsv";
						file_put_contents($tsvFileName, $realData);
					}
					
					unset($ticks);
					unset($realData);
				}
			}
			
			echo "Done.";
			return true;
		}
		
	}
	
?>