<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");
  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/blog_model.php");

	class BlogDetails extends FJF_CMD
	{
		var $sessionModel = null;
		var $blogModel = null;

		function __construct()
		{
			$this->sessionModel = new SessionModel();
      $this->blogModel = new BlogModel();
		}

		function execute()
		{
			require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["includes_path"] . "/header_commands.php");
			
			$urlTitle = (isset($_GET["url_title"]) && $_GET["url_title"] != "") ? trim($_GET["url_title"]) : "";
      
      $where = " b.id = 1 AND be.url_title = 'URL_TITLE'";
      $record = $urlTitle ? $this->blogModel->getBlogEntriesRecord($where, array("URL_TITLE"=>$urlTitle)) : null;

			if(!$record) FJF_BASE::redirect("/blog/");
			
			$entriesCategories = $this->blogModel->getBlogEntriesCategories('b.id = 1');
      $blogsCategories = $this->blogModel->getBlogsCategories('b.id = 1');
      $blogsArchiveDate = $this->blogModel->getArchiveDate();

			$header["title"] = stripslashes($record->title);
			$header["html_meta"]["title"] = ($record->meta_title) ? $record->meta_title : $record->title ;
      $header["html_meta"]["description"] = $record->meta_description;
      $header["html_meta"]["keywords"] = $record->meta_keywords;
      $header["html_meta"]["extra_header_tags"] = $record->extra_header_tag;
			
			$templateParams = array(
        "has_error" => $hasError,
        "status" => $status,
        "header" => &$header,
        "record" => &$record,
	      "entries_categories" => $entriesCategories,
	      "blogs_categories" => $blogsCategories,
        "blogs_archive_date" => $blogsArchiveDate
      );
			return $this->displayTemplate("blog_details.tpl", $templateParams);
		}
	}

?>