<?php

	include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

	class ExportingLog extends FJF_CMD{
		var $sessionModel = null;

		function __construct(){
			$this->sessionModel = new SessionModel();
		}

		function execute(){
			exit;//dismiss log
      $record = null;
			$time = time();
      if($_SERVER["REQUEST_METHOD"] == "POST"){
      	$record['IP'] = (isset($_SERVER['REMOTE_ADDR'])) ? $_SERVER['REMOTE_ADDR'] : '';
				$record['user_id'] = isset($_SESSION["user"]) ? $_SESSION["user"]->id : '';
				$record['user'] = isset($_SESSION["user"]) ? $_SESSION["user"]->first_name.' '.$_SESSION["user"]->last_name : '';
				$record['size'] = (int) $_SERVER['CONTENT_LENGTH'];
        $fields = array('filename','scale','svg', 'type','width');	
        foreach($fields as $item)
				{
        	$record[$item] = (isset($_POST[$item])) ? trim($_POST[$item]) : "";
				}
				$dir = $GLOBALS["WEB_APPLICATION_CONFIG"]["app_data_path"].'/exporting_log';
				if (isset($record['svg'])){
					$record['svg_file'] = 'svg_'.date("Y_m_d").'_'.microtime(true).'.svg';
					$dirSvg = $dir.'/svg';
					if(file_exists($dirSvg) && is_writable($dirSvg)){
						$file = $dirSvg.'/'.$record['svg_file'];
						$log = stripcslashes($record['svg']);
						if($fp = fopen($file, "a+")){
							$res = fwrite($fp, $log);
							fclose($fp);
						}
					}
					unset($record['svg']);
				}
        
				if(file_exists($dir) && is_writable($dir)){
					$file = $dir.'/log_'.date("Y_m_d").'.txt';
					$log = date("Y-m-d H:i:s")."\n";
					foreach($record as $key=>$item)
					{
						$log .= ucfirst($key).': '.$item."\n";
					}
					$log .= "__________________________\n";
					if($fp = fopen($file, "a+")){
						$res = fwrite($fp, $log);
						fclose($fp);
					}
				}
      }
			return true;
		}
	}
	
?>