<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

  class Logout extends FJF_CMD{
    var $sessionModel = null;

    function __construct(){
      $this->sessionModel = new SessionModel();
    }

    function execute(){
    	
			if(strpos("," . implode(",", array_keys($_SESSION)), ",fb_") !== false){
				include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/facebook_model.php");
				$facebookModel = new FacebookModel;
				$connection = $facebookModel->getLib();
  			$logoutUrl = $connection->getUser() ? $connection->getLogoutUrl() : null;
  			$connection->destroySession();
	  		if($logoutUrl) FJF_BASE::redirect($logoutUrl);
			}
			
			if(isset($_SESSION["linkedin_oauth_access"])){
				include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/linkedin_model.php");
				$linkedinModel = new LinkedinModel;
				$connection = $linkedinModel->getLib();
		    $connection->setTokenAccess($_SESSION["linkedin_oauth_access"]);
				$connection->revoke();
				unset($_SESSION["linkedin_oauth_access"]);
			}
			
			if(isset($_SESSION["twitter_oauth_access"])){
				unset($_SESSION["twitter_oauth_access"]);
			}
			
      $this->sessionModel->logout();
    }
  }

?>