<?php

	class TestDbConnection extends FJF_CMD
	{
		function execute()
		{
			$status = "";
			$hasError = false;
			$fields = null;
			
			if ($_SERVER["REQUEST_METHOD"] == "POST")
			{
				$fields["db_host"] = (isset($_POST["db_host"])) ? trim($_POST["db_host"]) : "";
				$fields["db_user"] = (isset($_POST["db_user"])) ? trim($_POST["db_user"]) : "";
				$fields["db_pass"] = (isset($_POST["db_pass"])) ? trim($_POST["db_pass"]) : "";
				$fields["db_name"] = (isset($_POST["db_name"])) ? trim($_POST["db_name"]) : "";
				
				$connection = @mysql_connect($fields["db_host"], $fields["db_user"], $fields["db_pass"]);
				if ($connection)
				{
					$status = "Connected successfully.";
				}
				else
				{
					$lastError = error_get_last();
					$status = "Error. ";
					$status .= (is_array($lastError) && isset($lastError["message"])) ? $lastError["message"] : "";
					$hasError = true;
				}
			}

			$templateParams = array(
			                        "status" => $status,
			                        "has_error" => $hasError,
			                        "fields" => $fields
			                        );

			$this->displayTemplate("test_db_connection.tpl", $templateParams);
			return true;
		}
	}
?>