<?php

  include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/session_model.php");

  class Verify extends FJF_CMD
  {
    var $sessionModel = null;

    function __construct()
    {
      $this->sessionModel = new SessionModel();
    }

    function execute()
    {
      require_once($GLOBALS["WEB_APPLICATION_CONFIG"]["app_web_path"] . "/includes/header_commands.php");
      $this->sessionModel->loginRedirect("/");
      $header["title"] = "Verify Login";
      $userInfo = null;
      $approved = (isset($_GET["approved"]) && $_GET["approved"] != "") ? trim($_GET["approved"]) : "";
			$header["embed_code"]["head"] = '<script>window._tfa = window._tfa || [];_tfa.push({notify:"action", name:"successful_conversion"});</script>';
			$header["embed_code"]["head"] .= '<script src="//cdn.taboola.com/libtrc/marketprophit-sc/tfa.js"></script>';
      if ($approved)
      {
        $userInfo = $this->sessionModel->getRecordBy("users", $approved, "approved");
        if (!$userInfo)
        {
          $hasError = true;
          $status = "Verification Code is invalid.<br />";
        }elseif($_SERVER["REQUEST_METHOD"] == "POST")
        {
          $verify = isset($_POST["verify"]) ? intval($_POST["verify"]) : 0;
          if ($verify == 1)
          {
            $userInfo->approved = '';
            if($this->sessionModel->saveRecord('users', get_object_vars($userInfo)))
            {
              //$hasError = !$this->sessionModel->login($userInfo, true, true);
              //$status = $this->sessionModel->status;
							if(!$hasError) FJF_BASE::redirect("/login/");
            }else{
              $hasError = true;
              $status .= "An error occurred, please try again.\n";
            }
          }
        }
      }else{
        $hasError = true;
        $status = "Verification Code is missing.<br />";
      }

      $templateParams = array(
        "has_error" => $hasError,
        "status" => $status,
        "header" => &$header
      );
      return $this->displayTemplate("verify.tpl", $templateParams);
    }
  }

?>