<?php

	FJF_BASE::log("action", __METHOD__);

	$header = array();
	$hasError = false;
	$status = "";
	if(isset($_SESSION["status"]) && $_SESSION["status"]){
		$status = $_SESSION["status"];
		unset($_SESSION["status"]);
	}
	$HTML_META = array();

	$header["html_meta"] = &$HTML_META;
	$header["utc_offset"] = date("Z") / 3600;

	$isLoggedIn = $this->sessionModel->isLoggedUser();
	$header["is_logged_in"] = $isLoggedIn;
  
  $header["site_vars"] = $this->sessionModel->getSiteVars();
	
	$GLOBALS["WEB_APPLICATION_CONFIG"]["FJF_BASE_key"] = "id";
	if(($header__menus_links = $this->sessionModel->getRecords('menus_links', null, null, null, 'id, title, sub_title, description, meta_title, url')) &&
		($header__menus = $this->sessionModel->getRecords('menus', null, null, null, 'id, items'))
	){
		if(!isset($this->contentOrganizerModel)){
			include_once($GLOBALS["WEB_APPLICATION_CONFIG"]["models_path"] . "/content_organizer_model.php");
			$this->contentOrganizerModel = new ContentOrganizerModel();
		}
		foreach($header__menus as $r) $header["menus"][$r->id] = $r->items ? $this->contentOrganizerModel->updateMenuLinks(null, unserialize($r->items), $header__menus_links) : null;
	}
	$header['register_success'] = false;
	if (isset($_SESSION['register_success']) && $_SESSION['register_success'] == true){
	  $header['register_success'] = true;
    unset($_SESSION['register_success']);
	}
?>