<?php

  class PriceModel extends FJF_BASE_RICH
  {
  	static function getPennyDecimals($exchange){
  		$pennyExchanges = $GLOBALS["WEB_APPLICATION_CONFIG"]["penny_exchanges"]["exchanges"];
			$pennyDecimals = $GLOBALS["WEB_APPLICATION_CONFIG"]["penny_exchanges"]["decimals"];
			$exchanges =  array_merge($pennyExchanges, array_keys($pennyExchanges));
			$number = (in_array(strtoupper($exchange), $exchanges)) ? $pennyDecimals : null;
			return $number;
  	}
		
		static function formatPrice($price, $exchange = '', $decimals = 2){
			$pennyDecimals = self::getPennyDecimals($exchange);
			if ($pennyDecimals !== null) $decimals = $pennyDecimals;
			$price = number_format(floatval($price), $decimals, '.', ' ');
			return $price;
		}
		
		static function formatPrices($records, $decimals = 2, $priceName = 'price', $exchangeName = 'exchange'){
			if ($records){
				foreach($records as $item){
					if(isset($item->{$exchangeName}) && isset($item->{$priceName})){
						$item->{$priceName} = self::formatPrice($item->{$priceName}, $item->{$exchangeName}, $decimals);
					}
				}
			}
			return $records;
		}
	}
?>