<?php

class XteaJs{
	
	function encryptText( $_data, $_keys ) {
		$inString = $_data;
		$p1D = 0; 
		$p2D = 0;	
		$res = null; 
		$outString = '';
		$i;
	 
		$errormark = "!!!!!!!\x0d\x0d!!!!!!!";

		while ( strlen($inString) & 0x7 ) $inString .= "\x20";
		$inStringLength = strlen($inString);
	 
	 	$i = 0;
		while ( $i < $inStringLength ) {
	 
			$p1D  = $this->thirtyTwoBitIntval($this->charCodeAt($inString, $i++));
			$p1D |= $this->thirtyTwoBitIntval($this->charCodeAt($inString, $i++)) << 8;
			$p1D |= $this->thirtyTwoBitIntval($this->charCodeAt($inString, $i++)) << 16;
			$p1D |= $this->thirtyTwoBitIntval($this->charCodeAt($inString, $i++)) << 24;
	 
			$p1D &= 0xFFFFFFFF;
	 
			$p2D  = $this->thirtyTwoBitIntval($this->charCodeAt($inString, $i++));
			$p2D |= $this->thirtyTwoBitIntval($this->charCodeAt($inString, $i++)) << 8;
			$p2D |= $this->thirtyTwoBitIntval($this->charCodeAt($inString, $i++)) << 16;
			$p2D |= $this->thirtyTwoBitIntval($this->charCodeAt($inString, $i++)) << 24;
	
			$p2D &= 0xFFFFFFFF;
	 
			$res = $this->Encipher( $p1D, $p2D, $_keys ); 
	 
			$outString .= ( $res[0] ? '' + $this->DecToHex($res[1]) + $this->DecToHex($res[2]) : $errormark );
			
			$p1D = 0; $p2D = 0; $res = null;
	 
	 	}		
	
		return $outString;
	
	}
	
	function decryptText( $_data, $_keys ) {
		$inString = $_data;
		$p3H = ''; 
		$p4H = '';
		$p3D = 0;  
		$p4D = 0;
		$res = null; 
		$outString = '';
		$i; 
	
		if ( $inString=="" ) return "";
		$inStringLength = strlen($inString);
	
		$i = 0; 
	 	while ( $i < $inStringLength ) {
	 
	 		$p3H .= $inString{$i++}; // 1
			$p3H .= $inString{$i++}; // 2
	 		$p3H .= $inString{$i++}; // 3
	 		$p3H .= $inString{$i++}; // 4
			$p3H .= $inString{$i++}; // 5
	 		$p3H .= $inString{$i++}; // 6
	 		$p3H .= $inString{$i++}; // 7
			$p3H .= $inString{$i++}; // 8
	 
			$p4H .= $inString{$i++}; // 1
	 		$p4H .= $inString{$i++}; // 2
	 		$p4H .= $inString{$i++}; // 3
			$p4H .= $inString{$i++}; // 4
	 		$p4H .= $inString{$i++}; // 5
	 		$p4H .= $inString{$i++}; // 6
			$p4H .= $inString{$i++}; // 7
	 		$p4H .= $inString{$i++}; // 8
	 
	 		$p3D = hexdec($p3H);
			$p4D = hexdec($p4H);
	 
	 		$res = $thi->Decipher( $p3D, $p4D, $_keys );
	 
	 		if ( $res[0] ) {
	 
	 			$outString .= $this->fromCharCode( ( $res[1] & 0x000000FF ) );
				$outString .= $this->fromCharCode( ( $res[1] & 0x0000FF00 ) >>  8 );
	 			$outString .= $this->fromCharCode( ( $res[1] & 0x00FF0000 ) >> 16 );
	 			$outString .= $this->fromCharCode( ( $res[1] & 0xFF000000 ) >> 24 );
	 
	 			$outString .= $this->fromCharCode( ( $res[2] & 0x000000FF ) );
				$outString .= $this->fromCharCode( ( $res[2] & 0x0000FF00 ) >>  8 );
	 			$outString .= $this->fromCharCode( ( $res[2] & 0x00FF0000 ) >> 16 );
	 			$outString .= $this->fromCharCode( ( $res[2] & 0xFF000000 ) >> 24 );
	 
			}
	 		
	 		$p3H = ''; $p4H = '';
	 		$p3D = 0;  $p4D = 0;
			$res = null; 
	 
	 	}
	
		return $outString;
	
	}

	function thirtyTwoBitIntval($value)
	{                  
	    if ($value < -2147483648)
	    {
	    return -(-($value) & 0xFFFFFFFF);
	    }
	    elseif ($value > 2147483647)
	    {
	        return ($value & 0xFFFFFFFF);
	    }
	    return $value;
	}
	
	function charCodeAt($inString, $i){
		list(, $ord) = unpack('N', mb_convert_encoding($inString{$i}, 'UCS-4BE', 'UTF-8'));
		return $ord;
	}

	function fromCharCode($ord){
		return mb_convert_encoding('&#' . intval($ord) . ';', 'UTF-8', 'HTML-ENTITIES');
	}
	
	function DecToHex( $x ) {
		$x = $this->thirtyTwoBitIntval($x);
		$s = str_pad(dechex($x), 8, '0', STR_PAD_LEFT);
		echo $x . " " . $s . "\r\n";
		return $s;
	}
	
	function Encipher( $p1, $p2, $k )  {
		$temp = array();
		$sum = 0;
		$delta = 0x9E3779B9;
		$n = 32;
	
		$temp[0] = 1; //-- an error flag
	 	$temp[1] = intval($p1);
		$temp[2] = intval($p2);
	 
	 	while ( $n-- > 0 ) {
			$temp[1] = $temp[1] + ( ( $temp[2] << 4 ^ $temp[2] >> 5 ) + $temp[2] ^ $sum + $k[ ( $sum & 3 ) ] );
			$sum = $sum + $delta;
	 		$temp[2] = $temp[2] + ( ( $temp[1] << 4 ^ $temp[1] >> 5 ) + $temp[1] ^ $sum + $k[ ( $sum >> 11 & 3 ) ] );
		}
	 
	 	return $temp;
	
	} 
	 
	function Decipher( $p1, $p2, $k )  {
		$temp = array();
		$sum   = 0xC6EF3720;
		$delta = 0x9E3779B9;
		$n     = 32;
	
		$temp[0] = 1; //-- an error flag
	 	$temp[1] = intval($p1);	
		$temp[2] = intval($p2);
	 
	 	while ( $n-- > 0 ) {
			$temp[2] = $temp[2] - ( ( $temp[1] << 4 ^ $temp[1] >> 5 ) + $temp[1] ^ $sum + $k[ ( $sum >> 11 & 3 )] );
			$sum = $sum - $delta;
			$temp[1] = $temp[1] - ( ( $temp[2] << 4 ^ $temp[2] >> 5 ) + $temp[2] ^ $sum + $k[ ( $sum & 3 ) ] ); 
	 	}
	 
		return $temp;
	 
	}
	
}