<?php

	$WEB_APPLICATION_CONFIG = array();

	/** defines debug mode */
	$WEB_APPLICATION_CONFIG["debug_mode"] = true;

	/** application web path - everything that's accessible from the web  */
	$WEB_APPLICATION_CONFIG["app_web_path"] = $_SERVER['DOCUMENT_ROOT'] . "/fitch";

	/** application data path - files that are NOT accessible from the web (uploaded files, smarty configs)  */
	$WEB_APPLICATION_CONFIG["app_data_path"] = $_SERVER['DOCUMENT_ROOT'] . "/data";

	/** application library path */
	$WEB_APPLICATION_CONFIG["lib_path"] = FJF_ROOT . "/lib";

	/** path to templates */
	$WEB_APPLICATION_CONFIG["templates_path"] = $WEB_APPLICATION_CONFIG["app_web_path"] . "/templates";

	/** path to commands */
	$WEB_APPLICATION_CONFIG["commands_path"] = $WEB_APPLICATION_CONFIG["app_web_path"] . "/commands";

	/** path to models */
	$WEB_APPLICATION_CONFIG["models_path"] = $WEB_APPLICATION_CONFIG["app_web_path"] . "/models";

	/** path to includes */
	$WEB_APPLICATION_CONFIG["includes_path"] = $WEB_APPLICATION_CONFIG["app_web_path"] . "/includes";

	/** path to smarty */
	$WEB_APPLICATION_CONFIG["smarty_path"] = $WEB_APPLICATION_CONFIG["lib_path"] . "/smarty";

	/** path to smarty compile dir */
	$WEB_APPLICATION_CONFIG["smarty_compile_path"] = $WEB_APPLICATION_CONFIG["app_data_path"] . "/smarty/templates_c";

	/** path to smarty config dir */
	$WEB_APPLICATION_CONFIG["smarty_config_path"] = $WEB_APPLICATION_CONFIG["app_data_path"] . "/smarty/config";

	/** path smarty cache dir */
	$WEB_APPLICATION_CONFIG["smarty_cache_path"] = $WEB_APPLICATION_CONFIG["app_data_path"] . "/smarty/cache";

	/** path to email templates */
	$WEB_APPLICATION_CONFIG["email_templates_path"] = $WEB_APPLICATION_CONFIG["app_web_path"] . "/templates/email";

	/** email settings: from name & address */
	$WEB_APPLICATION_CONFIG["email_from_setting"] = array("name"=>"Market Prophit", "address"=>"noreply@marketprophit.com");
	$WEB_APPLICATION_CONFIG["email_user_setting"] = array("username"=>"noreply@marketprophit.com", "password"=>"noreply2013");
	
	/**
	* Trello
	*/
	$WEB_APPLICATION_CONFIG["trello"] = array(
		"board_email" => "npguser+yq8lvx6letkj1vtsmcuq@boards.trello.com",
		"media_path" => $_SERVER["DOCUMENT_ROOT"] . "/files/helpdesk_request/",
		"media_path_cut" => "/files/helpdesk_request/",
		"sendgrid_server" => "smtp.sendgrid.net",
		"sendgrid_user" => "helpdesknpg",
		"sendgrid_password" => "7jwUQK3Tyf"
	);

	/** penny exchanges settings */
	$WEB_APPLICATION_CONFIG["penny_exchanges"] = array("exchanges"=>array("OOTC" => "OTHER OTC/NBB", "PINX" => "OTC PINK MARKETPLACE", "XOTC" => "OTC BULLETIN BOARD"), "decimals" => 4);

	/** log file location */
	$WEB_APPLICATION_CONFIG["log_file"] = $WEB_APPLICATION_CONFIG["app_data_path"] . "/log.out";

	/** db connection - populated by web framework */
	$WEB_APPLICATION_CONFIG["db_connection"] = null;

	/** db error - populated by web framework */
	$WEB_APPLICATION_CONFIG["db_error"] = null;

	$WEB_APPLICATION_CONFIG["company_name"] = "Market Prophit";

	$WEB_APPLICATION_CONFIG["xignite_api_token"] = "BDAEA5FC104C4E1F8A3930C7491552EB";

	$WEB_APPLICATION_CONFIG["mailchimp"]["api_key"] = "6d85e31e77aa7f16be3445e4c9d67b63-us3";
	$WEB_APPLICATION_CONFIG["mailchimp"]["list_id"] = "8a939b7914"; // Users
	$WEB_APPLICATION_CONFIG["mailchimp"]["all_users_list_id"] = "2b1c238ed6"; // ALL USERS

	$WEB_APPLICATION_CONFIG["date_default_timezone"] = 'America/New_York';

	$WEB_APPLICATION_CONFIG["tier_levels"] = array(1 => 10, 2 => 30, 3 => null);

	$WEB_APPLICATION_CONFIG["main_server_name"] = $FITCH_SERVERS[FJF_SERVER][0];
	
	$WEB_APPLICATION_CONFIG["allow_google_access"] = true;

	/**
	* Command definitions
	* Each command needs to be inherited fromBasicCMD abstract class
	*/
	$WEB_APPLICATION_CONFIG["default_cmd"] = "homepage";

	$WEB_APPLICATION_CONFIG["404error"] = array("class"=>"Error404");
	$WEB_APPLICATION_CONFIG["homepage"] = array("class"=>"Homepage");
	$WEB_APPLICATION_CONFIG["login"] = array("class"=>"Login");
	$WEB_APPLICATION_CONFIG["logout"] = array("class"=>"Logout");
  $WEB_APPLICATION_CONFIG["register"] = array("class"=>"Register");
  $WEB_APPLICATION_CONFIG["verify"] = array("class"=>"Verify");
  $WEB_APPLICATION_CONFIG["forgot_password"] = array("class"=>"ForgotPassword");
  $WEB_APPLICATION_CONFIG["refresh_password"] = array("class"=>"RefreshPassword");
  $WEB_APPLICATION_CONFIG["dashboard"] = array("class"=>"Dashboard");
	$WEB_APPLICATION_CONFIG["page"] = array("class"=>"Page");
	$WEB_APPLICATION_CONFIG["stock"] = array("class"=>"Stock");
	$WEB_APPLICATION_CONFIG["top_ten"] = array("class"=>"TopTen");

	$WEB_APPLICATION_CONFIG["alert_dashboard"] = array("class"=>"AlertDashboard");

  $WEB_APPLICATION_CONFIG["account"] = array("class"=>"Account");
	$WEB_APPLICATION_CONFIG["account_information"] = array("class"=>"AccountInformation");
	$WEB_APPLICATION_CONFIG["account_information_edit"] = array("class"=>"AccountInformationEdit");
	$WEB_APPLICATION_CONFIG["account_information_confirmation"] = array("class"=>"AccountInformationConfirmation");
	$WEB_APPLICATION_CONFIG["account_preferences"] = array("class"=>"AccountPreferences");
	$WEB_APPLICATION_CONFIG["account_dashboard"] = array("class"=>"AccountDashboard");

	$WEB_APPLICATION_CONFIG["about"] = array("class"=>"About");
	$WEB_APPLICATION_CONFIG["about_who"] = array("class"=>"AboutWho");
	$WEB_APPLICATION_CONFIG["about_how"] = array("class"=>"AboutHow");
	$WEB_APPLICATION_CONFIG["about_research"] = array("class"=>"AboutResearch");
	$WEB_APPLICATION_CONFIG["about_testimonials"] = array("class"=>"AboutTestimonials");

	$WEB_APPLICATION_CONFIG["pricing"] = array("class"=>"Pricing");

	$WEB_APPLICATION_CONFIG["heatmaps"] = array("class"=>"Heatmaps");
	$WEB_APPLICATION_CONFIG["ajax_heatmaps"] = array("class"=>"AjaxHeatmaps");

	$WEB_APPLICATION_CONFIG["press"] = array("class"=>"Press");
  $WEB_APPLICATION_CONFIG["press_details"] = array("class"=>"PressDetails");

	$WEB_APPLICATION_CONFIG["blog"] = array("class"=>"Blog");
	$WEB_APPLICATION_CONFIG["blog_details"] = array("class"=>"BlogDetails");

	$WEB_APPLICATION_CONFIG["form_contact"] = array("class"=>"FormContact");
	$WEB_APPLICATION_CONFIG["form_feedback"] = array("class"=>"FormFeedback");
	$WEB_APPLICATION_CONFIG["form_testimonial"] = array("class"=>"FormTestimonial");

	$WEB_APPLICATION_CONFIG["users_details"] = array("class"=>"UsersDetails");
	$WEB_APPLICATION_CONFIG["users_top_ten"] = array("class"=>"UsersTopTen");
	$WEB_APPLICATION_CONFIG["users_top_ten_returns"] = array("class"=>"UsersTopTenReturns");

	$WEB_APPLICATION_CONFIG["page_limit"] = array("class"=>"PageLimit");
	$WEB_APPLICATION_CONFIG["page_locked"] = array("class"=>"PageLocked");

	$WEB_APPLICATION_CONFIG["api_get_quotes"] = array("class"=>"ApiGetQuotes");
	$WEB_APPLICATION_CONFIG["api_get_ticks"] = array("class"=>"ApiGetTicks");
	$WEB_APPLICATION_CONFIG["api_get_symbols"] = array("class"=>"ApiGetSymbols");
	$WEB_APPLICATION_CONFIG["api_get_sentiment"] = array("class"=>"ApiGetSentiment");

  $WEB_APPLICATION_CONFIG["ajax_dashboard_tweets"] = array("class"=>"AjaxDashboardTweets");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_cloud_box"] = array("class"=>"AjaxDashboardCloudBox");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_fund_box"] = array("class"=>"AjaxDashboardFundBox");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_alerts_box"] = array("class"=>"AjaxDashboardAlertsBox");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_graphs_box"] = array("class"=>"AjaxDashboardGraphsBox");
	$WEB_APPLICATION_CONFIG["ajax_dashboard_top_stats_box"] = array("class"=>"AjaxDashboardTopStatsBox");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_edit_alerts_box"] = array("class"=>"AjaxDashboardEditAlertsBox");
	$WEB_APPLICATION_CONFIG["ajax_dashboard_top_alerts_box"] = array("class"=>"AjaxDashboardTopAlertsBox");
	$WEB_APPLICATION_CONFIG["ajax_dashboard_top_edit_alerts_box"] = array("class"=>"AjaxDashboardTopEditAlertsBox");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_edit_alerts"] = array("class"=>"AjaxDashboardEditAlerts");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_prediction_alerts"] = array("class"=>"AjaxDashboardPredictionAlerts");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_summary_info"] = array("class"=>"AjaxDashboardSummaryInfo");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_alerts_info"] = array("class"=>"AjaxDashboardAlertsInfo");
  $WEB_APPLICATION_CONFIG["ajax_dashboard_graphs_info"] = array("class"=>"AjaxDashboardGraphsInfo");
	$WEB_APPLICATION_CONFIG["ajax_get_sentiment"] = array("class"=>"AjaxGetSentiment");
  $WEB_APPLICATION_CONFIG["ajax_get_word_cloud_data"] = array("class"=>"AjaxGetWordCloudData");
  $WEB_APPLICATION_CONFIG["ajax_get_tweets"] = array("class"=>"AjaxGetTweets");
  $WEB_APPLICATION_CONFIG["ajax_get_top_tickers"] = array("class"=>"AjaxGetTopTickers");
  $WEB_APPLICATION_CONFIG["ajax_get_realquote"] = array("class"=>"AjaxGetRealquote");
	$WEB_APPLICATION_CONFIG["ajax_get_dashboard_data"] = array("class"=>"AjaxGetDashboardData");
	$WEB_APPLICATION_CONFIG["ajax_get_stock_fundamentals"] = array("class"=>"AjaxGetStockFundamentals");
	$WEB_APPLICATION_CONFIG["ajax_get_top_trending"] = array("class"=>"AjaxGetTopTrending");
  $WEB_APPLICATION_CONFIG["ajax_get_top_ten"] = array("class"=>"AjaxGetTopTen");
  $WEB_APPLICATION_CONFIG["ajax_top_ten"] = array("class"=>"AjaxTopTen");

	$WEB_APPLICATION_CONFIG["ajax_chart"] = array("class"=>"AjaxChart");
	$WEB_APPLICATION_CONFIG["ajax_users_chart"] = array("class"=>"AjaxUsersChart");

	$WEB_APPLICATION_CONFIG["ajax_users_dashboard_summary_info"] = array("class"=>"AjaxUsersDashboardSummaryInfo");
  $WEB_APPLICATION_CONFIG["ajax_users_dashboard_alerts_info"] = array("class"=>"AjaxUsersDashboardAlertsInfo");
  $WEB_APPLICATION_CONFIG["ajax_users_dashboard_alerts_box"] = array("class"=>"AjaxUsersDashboardAlertsBox");
	$WEB_APPLICATION_CONFIG["ajax_users_dashboard_tweets_box"] = array("class"=>"AjaxUsersDashboardTweetsBox");
	$WEB_APPLICATION_CONFIG["ajax_users_dashboard_graphs_box"] = array("class"=>"AjaxUsersDashboardGraphsBox");
	$WEB_APPLICATION_CONFIG["ajax_users_dashboard_create_alerts_box"] = array("class"=>"AjaxUsersDashboardCreateAlertsBox");
	$WEB_APPLICATION_CONFIG["ajax_users_dashboard_stats_box"] = array("class"=>"AjaxUsersDashboardStatsBox");

	$WEB_APPLICATION_CONFIG["ajax_alert_dashboard_list"] = array("class"=>"AjaxAlertDashboardList");
	$WEB_APPLICATION_CONFIG["ajax_alert_dashboard_create"] = array("class"=>"AjaxAlertDashboardCreate");

	$WEB_APPLICATION_CONFIG["ajax_get_batch"] = array("class"=>"AjaxGetBatch");
	$WEB_APPLICATION_CONFIG["ajax_search_stock"] = array("class"=>"AjaxSearchStock");
	$WEB_APPLICATION_CONFIG["ajax_search_user"] = array("class"=>"AjaxSearchUser");

	$WEB_APPLICATION_CONFIG["ajax_users_create_alert"] = array("class"=>"AjaxUsersCreateAlert");
	$WEB_APPLICATION_CONFIG["ajax_users_prediction_alerts"] = array("class"=>"AjaxUsersPredictionAlerts");
	$WEB_APPLICATION_CONFIG["ajax_users_add"] = array("class"=>"AjaxUsersAdd");
	$WEB_APPLICATION_CONFIG["ajax_users_filter_tickers"] = array("class"=>"AjaxUsersFilterTickers");

	$WEB_APPLICATION_CONFIG["script_check_predictions"] = array("class"=>"ScriptCheckPredictions");
  $WEB_APPLICATION_CONFIG["script_check_alerts"] = array("class"=>"ScriptCheckAlerts");
  $WEB_APPLICATION_CONFIG["script_check_users_alerts"] = array("class"=>"ScriptCheckUsersAlerts");
	$WEB_APPLICATION_CONFIG["script_update_power_alerts"] = array("class"=>"ScriptUpdatePowerAlerts");
	$WEB_APPLICATION_CONFIG["script_remove_page_requests"] = array("class"=>"ScriptRemovePageRequests");
	$WEB_APPLICATION_CONFIG["script_email_import"] = array("class"=>"ScriptEmailImport");
	$WEB_APPLICATION_CONFIG["script_remove_api_requests"] = array("class"=>"ScriptRemoveApiRequests");
	$WEB_APPLICATION_CONFIG["script_update_users_payments"] = array("class"=>"ScriptUpdateUsersPayments");
	$WEB_APPLICATION_CONFIG["script_stripe_webhooks"] = array("class"=>"ScriptStripeWebhooks");
	$WEB_APPLICATION_CONFIG["script_stock_dashboard_import"] = array("class"=>"ScriptStockDashboardImport");
	$WEB_APPLICATION_CONFIG["script_create_sitemap"] = array("class"=>"ScriptCreateSitemap");

	$WEB_APPLICATION_CONFIG["highcharts_server"] = array("class"=>"HighchartsServer");

	$WEB_APPLICATION_CONFIG["connect_facebook"] = array("class"=>"ConnectFacebook");
	$WEB_APPLICATION_CONFIG["connect_twitter"] = array("class"=>"ConnectTwitter");
	$WEB_APPLICATION_CONFIG["connect_linkedin"] = array("class"=>"ConnectLinkedin");

	$WEB_APPLICATION_CONFIG["test_db_connection"] = array("class"=>"TestDbConnection");
	$WEB_APPLICATION_CONFIG["exporting_log"] = array("class"=>"ExportingLog");

	$WEB_APPLICATION_CONFIG["admin"] = array("class"=>"Admin");
  $WEB_APPLICATION_CONFIG["admin_users"] = array("class"=>"AdminUsers", "tool_id" => 1);
  $WEB_APPLICATION_CONFIG["admin_users_edit"] = array("class"=>"AdminUsersEdit", "tool_id" => 1);
	$WEB_APPLICATION_CONFIG["admin_change_password"] = array("class"=>"AdminChangePassword");
  $WEB_APPLICATION_CONFIG["admin_site_vars"] = array("class"=>"AdminSiteVars", "tool_id" => 2);
	$WEB_APPLICATION_CONFIG["admin_global_seo_controller"] = array("class"=>"AdminGlobalSeoController", "tool_id" => 3);
	$WEB_APPLICATION_CONFIG["admin_global_seo_controller_edit"] = array("class"=>"AdminGlobalSeoControllerEdit", "tool_id" => 3);
	$WEB_APPLICATION_CONFIG["admin_seo_redirect_tool"] = array("class"=>"AdminSeoRedirectTool", "tool_id" => 3);
	$WEB_APPLICATION_CONFIG["admin_seo_redirect_tool_edit"] = array("class"=>"AdminSeoRedirectToolEdit", "tool_id" => 3);
	$WEB_APPLICATION_CONFIG["admin_robots_editor"] = array("class"=>"AdminRobotsEditor", "tool_id" => 3);
	$WEB_APPLICATION_CONFIG["admin_cms_content"] = array("class"=>"AdminCmsContent", "tool_id" => 4);
	$WEB_APPLICATION_CONFIG["admin_cms_content_edit"] = array("class"=>"AdminCmsContentEdit", "tool_id" => 4);
	$WEB_APPLICATION_CONFIG["admin_cms_content_categories"] = array("class"=>"AdminCmsContentCategories", "tool_id" => 4);
	$WEB_APPLICATION_CONFIG["admin_cms_content_categories_edit"] = array("class"=>"AdminCmsContentCategoriesEdit", "tool_id" => 4);
	$WEB_APPLICATION_CONFIG["admin_cms_content_buckets"] = array("class"=>"AdminCmsContentBuckets", "tool_id" => 4);
  $WEB_APPLICATION_CONFIG["admin_cms_content_buckets_edit"] = array("class"=>"AdminCmsContentBucketsEdit", "tool_id" => 4);
  $WEB_APPLICATION_CONFIG["admin_menus"] = array("class"=>"AdminMenus","tool_id" => 5);
  $WEB_APPLICATION_CONFIG["admin_menus_edit"] = array("class"=>"AdminMenusEdit","tool_id" => 5);
  $WEB_APPLICATION_CONFIG["admin_menus_links"] = array("class"=>"AdminMenusLinks","tool_id" => 5);
  $WEB_APPLICATION_CONFIG["admin_menus_links_edit"] = array("class"=>"AdminMenusLinksEdit","tool_id" => 5);
  $WEB_APPLICATION_CONFIG["admin_press"] = array("class"=>"AdminPress","tool_id" => 6);
  $WEB_APPLICATION_CONFIG["admin_press_edit"] = array("class"=>"AdminPressEdit","tool_id" => 6);
	$WEB_APPLICATION_CONFIG["admin_press_featured"] = array("class"=>"AdminPressFeatured","tool_id" => 6);
	$WEB_APPLICATION_CONFIG["admin_blogs"] = array("class"=>"AdminBlogs", "tool_id" => 7);
	$WEB_APPLICATION_CONFIG["admin_blogs_edit"] = array("class"=>"AdminBlogsEdit", "tool_id" => 7);
	$WEB_APPLICATION_CONFIG["admin_blogs_entries"] = array("class"=>"AdminBlogsEntries", "tool_id" => 7);
	$WEB_APPLICATION_CONFIG["admin_blogs_entries_edit"] = array("class"=>"AdminBlogsEntriesEdit", "tool_id" => 7);
	$WEB_APPLICATION_CONFIG["admin_blogs_categories"] = array("class"=>"AdminBlogsCategories", "tool_id" => 7);
	$WEB_APPLICATION_CONFIG["admin_blogs_categories_edit"] = array("class"=>"AdminBlogsCategoriesEdit", "tool_id" => 7);
	$WEB_APPLICATION_CONFIG["admin_blogs_entries_categories"] = array("class"=>"AdminBlogsEntriesCategories", "tool_id" => 7);
	$WEB_APPLICATION_CONFIG["admin_blogs_entries_categories_edit"] = array("class"=>"AdminBlogsEntriesCategoriesEdit", "tool_id" => 7);

	$WEB_APPLICATION_CONFIG["admin_reports_user"] = array("class"=>"AdminReportsUser","tool_id" => 8);
	$WEB_APPLICATION_CONFIG["admin_reports_revenue"] = array("class"=>"AdminReportsRevenue","tool_id" => 8);

	$WEB_APPLICATION_CONFIG["admin_promotion_codes"] = array("class"=>"AdminPromotionCodes","tool_id" => 9);
  $WEB_APPLICATION_CONFIG["admin_promotion_codes_edit"] = array("class"=>"AdminPromotionCodesEdit","tool_id" => 9);
	
	$WEB_APPLICATION_CONFIG["admin_helpdesk_requests_edit"] = array("class" => "AdminHelpdeskRequestsEdit", "tool_id" => 10);

	$WEB_APPLICATION_CONFIG["admin_permissions"] = array("class"=>"AdminPermissions", "tool_id" => 999);

?>