<?php
if(FJF_SERVER == 'live'){
	$isAjax = !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest';
	if(!$isAjax){
		$url = strtolower($_SERVER["REQUEST_URI"]);
		$https = isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] == "on";
		$urls = array(
			"/login/",
			"/register/",
			"/top-ten/",
			"/users/top-ten/",
			"/users/top-ten-returns/",
			"/stock/",
			"/highcharts-server/",
			"/users/details/",
			"/heat-maps/",
			"/account-dashboard/",
			"/account-settings/",
			"/account-information/",
			"/account-preferences/",
			"/dashboard/",
			"/alert-dashboard/",
		);
		$useHttps = false;
		foreach($urls as $item){
			if(strpos($url, $item) === 0){
				if(!$https){
					header("HTTP/1.1 301 Moved Permanently1");
					header("Location: https://".$_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]);
				}
				$useHttps = true;
			}
		}
		if($https && !$useHttps){
			header("HTTP/1.1 301 Moved Permanently2");
		 	header("Location: http://".$_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]);
		}
	}
}
?>