{strip}
{include file="site_top.tpl"}
	<script type="text/javascript" src="https://js.stripe.com/v1/"></script>
	<script type="text/javascript">Stripe.setPublishableKey('{$parameters.stripe_key|escape}');</script>
	<link rel="stylesheet" type="text/css" href="/styles/dropkick.css" />
	<script src="/js/jquery.dropkick.js"></script>
	<script src="/js/jquery.payment.js"></script>
	<script src="/js/cmd_account_information.js?v=20151007"></script>
	<script type="text/javascript">
		var tiers = '{$parameters.tiers|@json_encode}';
	</script>
	
	{assign var=tier value=$parameters.record->tier}

	<div class="section">
		<h3 class="main-heading alt">USER ACCOUNT SETTINGS</h3>
		<div id="twocolumns">
			<div class="account">
				{include file="site_warning.tpl"}
				{include file="account_left_menu.tpl"}
				<div class="form">
					<div class="info">
						<form action="" method="post" id="account_information_form">
							<input type="hidden" name="card" />
							<div class="container">
								<div class="border-line"></div>
			      		<div class="part left">
			      			<h2 class="top"><span>ACCOUNT INFORMATION</span></h4>
									<label>EMAIL</label>
									<div class="row">
										<em>{$parameters.record->email|escape}</em>
										<a href="/account-information/edit/email/" class="edit">Edit</a>
									</div>
									<label>PASSWORD</label>
									<div class="row">
										<input type="password" class="static-pass" value="12345" />
										<a href="/account-information/edit/password/" class="edit">Edit</a>
									</div>
				      		<h2><span>PERSONAL INFORMATION</span></h4>
				          <div class="row">
				          	<label>Country</label>
				          	{if $parameters.record->country}
				          		{assign var=country value=$parameters.record->country}
				          	{elseif $parameters.record->state != ""}
				          		{assign var=country value='US'}
				          	{else}	
				          		{assign var=country value=''}
				          	{/if}
				          	<select name="country" id="country">
											<option value="" selected>Country</option>
											{foreach from=$parameters.countries item=item}
												<option value="{$item->name}" {if $country == $item->name}selected="selected"{/if}>
													{$item->name|escape}
												</option>
											{/foreach}
										</select>
				          </div>
				          <div class="row">
				          	<label>First Name</label>
				         		<input type="text" class="text" name="first_name" value="{$parameters.record->first_name|escape}" />
				          </div>
				          <div class="row">
				          	<label>Last Name</label>
				          	<input type="text" class="text" name="last_name" value="{$parameters.record->last_name|escape}" />
				          </div>
				          <div class="row">
				          	<label>Address</label>
				         		<input type="text" class="text" name="address" value="{$parameters.record->address|escape}" />
				          </div>
				          <div class="row">
				          	<input type="text" class="text" name="address2" value="{$parameters.record->address2|escape}" />
				          </div>
				          <div class="row">
				          	<label>City</label>
				          	<input type="text" class="text" name="city" value="{$parameters.record->city|escape}" />
				          </div>
				          <div class="row">
				          	<div class="box">
				          		<label id="state_label">State</label>
											{assign var=state value=$parameters.record->state}
					          	{province_drop_down field_name="canada_states" selected_province=$state|escape attr='data-billing-state-country="Canada"'}
											{state_drop_down field_name="us_states" selected_state=$state|escape attr='data-billing-state-country="US"'}
				          	</div>
				          	<div class="box">
				          		<label>Zip</label>
				          		<input type="text" class="text" placeholder="zip" name="zip" value="{$parameters.record->zip|escape}" style="width: 117px;" />
				          	</div>
				          </div>
				          <h2><span>BILLING INFORMATION</span></h4>
				          
				          <div class="row">
				            <input type="checkbox" id="use-personal-info" name="use_personal_info" value="1" />
				            <label class="inline" for="use-personal-info">Billing Information is same as Personal Information</label>
				          </div>
				          <div class="row">
				          	<label>Country</label>
				          	{if $parameters.record->country}
				          		{assign var=country value=$parameters.record->customer.country}
				          	{elseif $parameters.record->customer.state != ""}
				          		{assign var=country value='US'}
				          	{else}	
				          		{assign var=country value=''}
				          	{/if}
				          	<select name="billing[country]" id="country_ship">
											<option value="" selected>Country</option>
											{foreach from=$parameters.countries item=item}
												<option value="{$item->name}" {if $country == $item->name}selected="selected"{/if}>
													{$item->name|escape}
												</option>
											{/foreach}
										</select>
				          </div>
				          <div class="row">
				          	<label>First Name</label>
				         	 <input type="text" class="text" name="billing[first_name]" value="{$parameters.record->customer.first_name|escape}" />
				          </div>
				          <div class="row">
				          	<label>Last Name</label>
				          	<input type="text" class="text" name="billing[last_name]" value="{$parameters.record->customer.last_name|escape}" />
				          </div>
				          <div class="row">
				          	<label>Address</label>
				         		<input type="text" class="text" name="billing[address]" value="{$parameters.record->customer.address|escape}" />
				          </div>
				          <div class="row">
				          	<input type="text" class="text" name="billing[address2]" value="{$parameters.record->customer.address2|escape}" />
				          </div>
				          <div class="row">
				          	<label>City</label>
				          	<input type="text" class="text" name="billing[city]" value="{$parameters.record->customer.city|escape}" />
				          </div>
				          <div class="row">
				          	<div class="box">
				          		<label id="ship_state_label">State</label>
											{assign var=state value=$parameters.record->customer.state}
					          	{state_drop_down field_name="us_ship_states" selected_state=$state|stripslashes attr='data-shipping-state-country="US"'}
											{province_drop_down field_name="canada_ship_states" selected_province=$state|escape attr='data-shipping-state-country="Canada"'}
				          	</div>
				          	<div class="box">
				          		<label>Zip</label>
				          		<input type="text" class="text" name="billing[zip]" value="{$parameters.record->customer.zip|escape}" style="width: 117px;" />
				          	</div>
				          </div>
				          <div class="row">
				          	<label>Coupon Code</label>
				          	<input type="text" class="text" placeholder="coupon code" name="billing[coupon_code]" value="" style="width: 172px;" />
				          	<a href="javascript:void(0);" class="button-link text-button">Validate</a>
				          </div>
				          <div class="row">
				          	<label>Card Type</label>
				          	<input name="billing[cc_type]" value="visa" type="radio" id="e1" class="dismiss">
										<label class="inline" for="e1"><img src="/img/main/ico-visa.png" width="40" height="25" alt="Visa" title="Visa" /></label>
										<input name="billing[cc_type]" value="mastercard" type="radio" id="e2" class="dismiss">
										<label class="inline" for="e2"><img src="/img/main/ico-mc.png" width="40" height="25" alt="MasterCard" title="MasterCard" /></label>
										<input name="billing[cc_type]" value="discover" type="radio" id="e4" class="dismiss">
										<label class="inline" for="e4"><img src="/img/main/ico-discover.png" width="40" height="25" alt="Discover" title="Discover" /></label>
										<input name="billing[cc_type]" value="amex" type="radio" id="e5" class="dismiss">
										<label class="inline" for="e5"><img src="/img/main/ico-amexpress.png" width="40" height="25" alt="Amex" title="Amex" /></label>
				          </div>
				          <div class="row">
				          	<label>Credit Card Number</label>
				          	<input type="text" class="text" name="billing[cc_number]" value="" />
				          </div>
				          <div class="row">
				          	<div class="box">
				          		<label>Credit Card Exp Date</label>
				          		<input type="text" class="text" name="billing[cc_exp_date]" value="" style="width: 120px;margin-right: 17px;" />
				          	</div>
				          	<div class="box">
				          		<label>Credit Card CVV</label>
				          		<input type="text" class="text" name="billing[cc_cvv]" value="" style="width: 120px;" />
				          	</div>
				          </div>
			      		</div>
			      		<div class="part">
			      			<div class="order-box">
										<div class="order-header">
											Account Summary
										</div>
										<div class="order-content">
											<table>
												<tr>
													<td colspan="2">
														<span class="title">Your Selected Tier</span>
													</td>
												</tr>
												<tr>
													<td colspan="2">
														<input name="tier" value="1" type="radio" id="t1" class="dismiss"{if $parameters.record->tier == 1} checked="checked"{/if}/>
														<label for="t1">{$parameters.tiers.1.name|escape}</label>
													</td>
												</tr>
												<tr>
													<td colspan="2" class="dotted"><div></div></td>
												</tr>
												<tr>
													<td colspan="2">
														<input name="tier" value="2" type="radio" id="t2" class="dismiss"{if $parameters.record->tier == 2} checked="checked"{/if}/>
														<label for="t2">{$parameters.tiers.2.name|escape}</label>
													</td>
												</tr>
												<tr>
													<td colspan="2" class="dotted"><div></div></td>
												</tr>
												<tr>
													<td colspan="2">
														<input name="tier" value="3" type="radio" id="t3" class="dismiss"{if $parameters.record->tier == 3} checked="checked"{/if}/>
														<label for="t3">{$parameters.tiers.3.name|escape}</label>
													</td>
												</tr>
												{if $parameters.record->customer_id && $parameters.record->subscribe_id}
													<tr class="subsricption-info">
														<td colspan="2">
															<a href="javascript:void(0);" id="cancel-subsricption" class="button-link small red">Cancel Subsricption</a>
														</td>
													</tr>
												{/if}
												<tr>
													<td colspan="2" class="border"><div></div></td>
												</tr>
												<tr>
													<td colspan="2">
														<span class="title">Your Selected Pricing Plan</span>
													</td>
												</tr>
												<tr>
													<td>
														<input name="billing[payment_type]" value="monthly" type="radio" id="pt1" class="dismiss"{if $parameters.record->order->payment_type == 'monthly'} checked="checked"{/if}/>
														<label for="pt1">Monthly Price</label>
													</td>
													<td class="blue">
														<span data-order-info="monthly-price"></span>
													</td>
												</tr>
												<tr>
													<td colspan="2" class="dotted"><div></div></td>
												</tr>
												<tr>
													<td>
														<input name="billing[payment_type]" value="annual" type="radio" id="pt2" class="dismiss"{if $parameters.record->order->payment_type == 'annual'} checked="checked"{/if}/>
														<label for="pt2">Annual Price</label>
													</td>
													<td class="blue">
														<span data-order-info="annual-price"></span>
													</td>
												</tr>
												<tr class="subsricption-info order_coupon_code">
													<td colspan="2" class="border"><div></div></td>
												</tr>
												<tr class="subsricption-info order_coupon_code">
													<td colspan="2">
														<span class="title">Coupon Code</span>
													</td>
												</tr>
												<tr class="subsricption-info order_coupon_code">
													<td data-order-info="coupon_code">
														{if $parameters.record->order->coupon_code}
															{$parameters.record->order->coupon_code|escape}
														{/if}
													</td>
													<td class="blue">
														<span data-order-info="discount">
															{if $parameters.record->order->discount}
																-${$parameters.record->order->discount|number_format:2}
															{/if}
														</span>
													</td>
												</tr>
												<tr class="subsricption-info order_trial">
													<td>Free Trial</td>
													<td class="blue" data-order-info="trial">
														{if $parameters.record->order->free_trial}
															{$parameters.record->order->free_trial} week{if $parameters.record->order->free_trial > 1}s{/if}
														{/if}
													</td>
												</tr>
												<tr class="subsricption-info order_coupon_expires">
													<td colspan="2" class="border"><div></div></td>
												</tr>
												<tr class="subsricption-info order_coupon_expires">
													<td colspan="2">
														<span class="title">Coupon Code Promotion Expires</span>
													</td>
												</tr>
												<tr class="subsricption-info order_coupon_expires">
													<td colspan="2" data-order-info="coupon_expires">
														{if $parameters.record->order->coupon_expires_date && $parameters.record->order->coupon_expires_date != '0000-00-00 00:00:00'}
															{$parameters.record->order->coupon_expires_date|date_format:"%B %e, %Y"}
														{/if}
													</td>
												</tr>
												{if $parameters.record->invoice}
													<tr class="subsricption-info order_invoice">
														<td colspan="2" class="border"><div></div></td>
													</tr>
													<tr class="subsricption-info order_invoice">
														<td colspan="2">
															<span class="title">Next Scheduled Payment</span>
														</td>
													</tr>
													<tr class="subsricption-info order_invoice">
														<td>{$parameters.record->invoice.date|date_format:"%B %e, %Y"}</td>
														<td class="blue">${$parameters.record->invoice.total|number_format:2}</td>
													</tr>
												{/if}
											</table>
										</div>
									</div>
			      		</div>
			      		<div class="border-line"></div>
			      		<div class="part left" style="background: none;">
			      			<div class="row">
		          			<input class="submit" type="button" name="submit_button" value="Save" />
		          		</div>
		          	</div>
			      	</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
{include file="site_bottom.tpl"}
{/strip}