{strip}
{include file="site_top.tpl"}

	<div class="section">
		<h3 class="main-heading alt">{$parameters.header.title|escape|upper}</h3>
		<div id="twocolumns">
			<div class="account">
				{include file="site_warning.tpl"}
				{include file="account_left_menu.tpl"}
				<div class="form">
					<div class="info">
						<div class="h20"></div>
						<div class="register">
							{if $parameters.type == 'update'}
			      		<div class="wrap">
			      			<h4 class="top">
					    			This is to confirm your {$web_config.company_name} Subscription - <span class="blue">Tier {$parameters.order.change_type}</span>
					    		</h4>
				      		<h4 class="top">
				      			{if $parameters.order.old}
					    				You have {$parameters.order.change_type|lower}d from <span class="blue">{$web_config.company_name} - {$parameters.order.old.plan}</span> to <span class="blue">{$web_config.company_name} - {$parameters.order.plan}</span>. Your existing Tier: <span class="blue">{$web_config.company_name} - {$parameters.order.old.plan}</span> has been cancelled and you have subscribed to your new Tier: <span class="blue">{$web_config.company_name} - {$parameters.order.plan}</span>.
					    			{else}
					    				You have subscribed to your new Tier: <span class="blue">{$web_config.company_name} - {$parameters.order.plan}</span>.
					    			{/if}
					    		</h4>
					    		<h4 class="top">
					    			Your confirmation details are below:
					    		</h4>
				    		</div>
			      		<div class="wrap">
				      		<div class="part">
				      			{if $parameters.order.old}
					      			<h4>Cancellation Details:</h4>
					      			<p>Confirmation No: {$parameters.order.old.id}</p>
					      			<p>{$web_config.company_name} - {$parameters.order.old.plan}</p>
					      			<p>Cancellation Date: {$parameters.order.old.cancellation_date}</p>
					      			{if $parameters.order.old.cancel_subscribe}
					      				<p>Refund Amount: ${$parameters.order.old.cancel_subscribe.amount|number_format:2}</p>
					      			{/if}
					      			<div class="h50"></div>
				      			{/if}
				      			<h4>Subscription Details:</h4>
				      			<p>Confirmation No: {$parameters.order.id}</p>
				      			<p>{$web_config.company_name} - {$parameters.order.plan}</p>
										<p>Effective Date: {$parameters.order.effective_date}</p>
				      			<p>{$parameters.order.payment_type} : ${$parameters.order.price|number_format:2}</p>
				      			{if $parameters.order.coupon_expires}
				      				<p>Coupon Code Promotion Expires: {$parameters.order.coupon_expires}</p>
				      			{/if}
				      			{if $parameters.order.trial}
				      				<p>Free Trial: {$parameters.order.trial}</p>
				      			{/if}
				      			{if $parameters.order.discount}
				      				<p>Coupon Code: -${$parameters.order.discount|number_format:2}</p>
				      				<p>Total: ${$parameters.order.total|number_format:2}</p>
				      			{/if}
			      			</div>
				      		<div class="row center print-remove">
				      			<div class="h60"></div>
					        	<a href="javascript:void(0);" class="button-link" onclick="window.print();" title="Print">Print</a>
				          </div>
			      		</div>
			      	{elseif $parameters.type == 'cancel'}
				      	<div class="wrap">
				      		<h4 class="top">
					    			We are sorry to see you go! We hope you come back in the future and try {$web_config.company_name} again. Please let us know through the contact form why you chose to cancel. You can submit your comments here:
					    			&nbsp;<a class="blue" href="http://{$smarty.server.SERVER_NAME}/contact-us/" title="Submit Comments">Submit Comments</a>
					    		</h4>
				    		</div>
			      		<div class="wrap">
				      		<div class="part">
				      			<h4>Your cancellation details are below:</h4>
				      			<p>Confirmation No: {$parameters.order.old.id}</p>
				      			<p>{$web_config.company_name} - {$parameters.order.old.plan}</p>
				      			<p>Cancellation Date: {$parameters.order.old.cancellation_date}</p>
				      			{if $parameters.order.old.cancel_subscribe}
				      				<p>Refund Amount: ${$parameters.order.old.cancel_subscribe.amount|number_format:2}</p>
				      			{/if}
			      			</div>
				      		<div class="row center print-remove">
				      			<div class="h60"></div>
					        	<a href="javascript:void(0);" class="button-link" onclick="window.print();" title="Print">Print</a>
				          </div>
			      		</div>
		      		{/if}
		      	</div>
					</div>
				</div>
			</div>
		</div>
	</div>
{include file="site_bottom.tpl"}
{/strip}