{strip}
{include file="site_top_admin.tpl"}

	<link rel="stylesheet" type="text/css" href="{$WEB_APP_CONFIGURATION.STYLES_DOMAIN}/styles/tablesorter.css" />
	<script language="javascript" type="text/javascript" src="{$WEB_APP_CONFIGURATION.JS_DOMAIN}/js/jquery.tablesorter.js"></script>
	<script language="javascript" type="text/javascript">
	{literal}
		//tablesorter
		$(document).ready(function()
			{
				$("#table_sorting").tablesorter({
					headers: {0: { sorter: false}, 6: {sorter: false}, 7: {sorter: false}}
  			});
			}
		);
	{/literal}
	</script>

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.status}
					<div class="{if $parameters.has_error}box_error{else}box_success{/if}">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title">{$parameters.header.title}</div>
					<div class="box_content">

						<div class="box_links">
							<a href="/admin/blogs/entries/add/" onfocus="this.blur();">Add a new Record</a>
						</div>

						{if $parameters.records}

							<form id="{$parameters.cmd}_form" name="{$parameters.cmd}_form" action="/admin/blogs" method="post">
								<input type="hidden" name="cmd" value="{$parameters.cmd}" />

								<table id="table_sorting" class="tablesorter">
									<thead>
										<tr>
											<th>
												#
											</th>
											<th>
												Title
											</th>
											<th>
												Blog
											</th>
											<th>
												Date
											</th>
											<th>
												Is Featured
											</th>
											<th>
												Status
											</th>
											<th width="140">
												Action
											</th>
											<th width="1">&nbsp;</th>
										</tr>
									</thead>
									<tbody>
									{foreach name=records from=$parameters.records item=item}
										<tr id="row_{$smarty.foreach.records.iteration}" class="{if $smarty.foreach.records.iteration % 2}odd{else}even{/if}">
											<td>
												{$smarty.foreach.records.iteration}
											</td>
											<td>
												<b>{$item->title|stripslashes}</b>
												<br />
												<small><b>URL</b>: {$item->url_title|stripslashes}</small>
											</td>
											<td>
												{$item->blog_name|stripslashes}
											</td>
											<td>
												{$item->datetime|date_format}
											</td>
											<td>
												{if $item->is_featured}
													<span class="green">Yes</span>
												{else}
													<span class="red">No</span>
												{/if}
											</td>
											<td>
												{if $item->status}
													<span class="green">On</span>
												{else}
													<span class="red">Off</span>
												{/if}
											</td>
											<td>
												<input type="button" class="input_button" value="Preview" onclick="window.open('/blog/{$item->url_title}/', '_blank');" />
												&nbsp;
												<input type="button" class="input_button" name="button_modify_{$item->id}" value="Modify" onclick="document.location='/admin/blogs/entries/edit/{$item->id}';" />
											</td>
											<td>
												<input type="checkbox" name="delete_records[]" onfocus="this.blur();" value="{$item->id}" />
											</td>
										</tr>
									{/foreach}
									</tbody>
								</table>

								<div class="records_delete_button">
									<input type="submit" class="input_submit" id="button_delete" name="button_delete" value="Delete Selected Records" />
								</div>
							</form>

						{else}
							<br />
							<div class="box_message">
								There are no records to display.
							</div>
							<br />
							<br />
						{/if}

					</div><!-- /box_content -->
				</div><!-- /box -->

				<br />
				<div style="text-align: left;">
					<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Administration" onclick="window.location='/admin'" />
				</div>
				<br />
				<br />

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}