{strip}
{include file="site_top_admin.tpl"}

<script type="text/javascript" src="/fitch/resources/pma_calendar/calendar.js"></script>
<script type="text/javascript" src="/fitch/resources/ckeditor/ckeditor.js"></script>
<script type="text/javascript" src="/fitch/resources/ckfinder/ckfinder.js"></script>

{literal}
<script language="javascript" type="text/javascript">
	function deleteImage(id, filename) {
		str = "Are you sure you want to delete this image?";
		if (id && filename && confirm(str)) {
			var fields = {action: "delete_image", id: id, filename: filename};
			$.post('/admin/blogs/entries/edit/' + id, fields, function(data){
				if (data) {
					$(".box").before(data);
					$("#image_container").html('');
				}
			});
		}
		return true;
	}//deleteImage()
</script>
{/literal}

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.status}
					<div class="{if $parameters.has_error}box_error{else}box_success{/if}">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title">{$parameters.header.title}</div>
					<div class="box_content">

						<form id="{$parameters.cmd}_form" name="{$parameters.cmd}_form" action="" method="post" enctype="multipart/form-data">
							<input type="hidden" name="cmd" value="{$parameters.cmd}" />

							<table class="table_fields" align="center" width="810">
								<tr>
									<td class="field_label">
										Blog:<span class="red">*</span>
									</td>
									<td class="field_content">
										{if $parameters.record->blogs}
											<select name="blog_id" style="width: 400px;" onchange="$('tr.blogs').hide().filter('.blog_'+$(this).val()).show();">
												{foreach from=$parameters.record->blogs item=item}
													<option value="{$item->id}" {if $parameters.record->blog_id == $item->id}selected="selected"{/if}>{$item->name|stripslashes}</option>
												{/foreach}
											</select>
										{/if}
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Title:<span class="red">*</span>
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="title" value="{$parameters.record->title|stripslashes}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Author:<span class="red">*</span>
									</td>
									<td class="field_content">
										<select id="author_id" name="author_id">
											<option value="">Please Select</option>
											{if $parameters.authors}
												{foreach from=$parameters.authors item=item}
													<option value="{$item->id}" {if $parameters.record->author_id == $item->id}selected="selected"{/if}>{$item->name|stripslashes}</option>
												{/foreach}
											{/if}
										</select>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Subtitle:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="subtitle" value="{$parameters.record->subtitle|stripslashes}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										URL:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="url_title" value="{$parameters.record->url_title|stripslashes}" style="width: 400px;" />
									</td>
								</tr>
								{if $parameters.record->blogs}
								  {foreach from=$parameters.record->blogs item=item}
                    <tr class="blogs blog_{$item->id}" {if $parameters.record->blog_id ne $item->id}style="display:none;"{/if}>
                      <td class="field_label">
                        Blogs Category:
                      </td>
                      <td class="field_content">
                        <select class="multiselect" name="blog_category_{$item->id}_id">
                          {if $parameters.record->blog_categories}
                            {foreach from=$parameters.record->blog_categories item=category}
                              {if $category->blog_id eq $item->id}
                                <option value="{$category->id}" {if $category->id == $parameters.record->blog_category_id}selected{/if}>{$category->title|stripslashes}</option>
                              {/if}
                            {/foreach}
                          {/if}
                        </select>
                      </td>
                    </tr>
                  {/foreach}
									{foreach from=$parameters.record->blogs item=item}
										<tr class="blogs blog_{$item->id}" {if $parameters.record->blog_id ne $item->id}style="display:none;"{/if}>
											<td class="field_label">
												Categories:<span class="red"></span>
												<br />
												<span class="small">Use Shift or Ctrl keys for multiple selection</span>
											</td>
											<td class="field_content">
												<select class="multiselect" name="categories_{$item->id}_ids[]" multiple size="5">
													{if $parameters.record->categories}
														{assign var=categories_ids value=","|@explode:$parameters.record->categories_ids}
														{foreach from=$parameters.record->categories item=category}
															{if $category->blog_id eq $item->id}
																<option value="{$category->id}" {if in_array($category->id, $categories_ids)}selected{/if}>{$category->title|stripslashes}</option>
															{/if}
														{/foreach}
													{/if}
												</select>
											</td>
										</tr>
									{/foreach}
								{/if}
								<tr>
									<td class="field_label">
										Image:
									</td>
									<td class="field_content">
										{if $parameters.record->image}
											<div id="image_container">
												<img src="/images/blogs_entries/m/{$parameters.record->image}" alt="" title="" style="vertical-align: bottom;"/><br />
												<a href="javascript:void(0);" onclick="deleteImage('{$parameters.record->id}', '{$parameters.record->image}');">Remove Image</a>
												<br /><br />To leave the current image leave this field blank
											</div>
										{/if}
										<input type="file" class="input_text" id="image" name="image" style="height:23px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label" width="150">
										Summary:<span class="red">*</span>
									</td>
									<td class="field_content">
										<textarea name="summary" style="width: 400px;">{$parameters.record->summary|stripslashes}</textarea>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Description:<span class="red">*</span>
									</td>
									<td class="field_content">
										<textarea name="description" style="width:100%;height:400px;">{$parameters.record->description|stripslashes}</textarea>
										{literal}
										<script type="text/javascript">
											var editor = CKEDITOR.replace("description", {
												filebrowserBrowseUrl : '/fitch/resources/ckfinder/ckfinder.html',
												filebrowserImageBrowseUrl : '/fitch/resources/ckfinder/ckfinder.html?type=Images',
												filebrowserFlashBrowseUrl : '/fitch/resources/ckfinder/ckfinder.html?type=Flash',
												filebrowserUploadUrl : '/fitch/resources/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
												filebrowserImageUploadUrl : '/fitch/resources/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
												filebrowserFlashUploadUrl : '/fitch/resources/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
											});
										</script>
										{/literal}
									</td>
								</tr>
								{*****
								<tr>
									<td class="field_label">
										Tags:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="tags" value="{$parameters.record->tags|stripslashes|replace:",":", "}" style="width: 400px;" />
									</td>
								</tr>
								*****}
								<tr>
									<td class="field_label">
										Publish date:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="datetime" value="{$parameters.record->datetime}" style="width: 400px;" />
										&nbsp;
										<a href="javascript:openCalendar('','{$parameters.cmd}_form','datetime','datetime')" title="Calendar"><img src="/fitch/resources/pma_calendar/b_calendar.png" alt="Calendar" class="calendar"></a>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Meta Title:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="meta_title" value="{$parameters.record->meta_title|stripslashes}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Meta Description:
									</td>
									<td class="field_content">
										<textarea name="meta_description" style="width: 400px;">{$parameters.record->meta_description|stripslashes}</textarea>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Meta Keywords:
									</td>
									<td class="field_content">
										<textarea name="meta_keywords" style="width: 400px;">{$parameters.record->meta_keywords|stripslashes}</textarea>
									</td>
								</tr>
								{*
								<tr>
									<td class="field_label">
										Extra Header Tag:
									</td>
									<td class="field_content">
										<textarea id="extra_header_tag" name="extra_header_tag" style="width: 400px;">{$parameters.record->extra_header_tag|stripslashes}</textarea>
									</td>
								</tr>
								*}
								<tr>
									<td class="field_label">
										Is Featured:
									</td>
									<td class="field_content">
										<select name="is_featured">
											<option value="1" {if $parameters.record->is_featured == 1}selected="selected"{/if}>Yes</option>
											<option value="0" {if $parameters.record->is_featured == 0}selected="selected"{/if}>No</option>
										</select>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Status:
									</td>
									<td class="field_content">
										<select name="status">
											<option value="0">Off</option>
											<option value="1" {if $parameters.record->status}selected="selected"{/if}>On</option>
										</select>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Published:
									</td>
									<td class="field_content">
										{if $parameters.record->published}Yes{else}No{/if}
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<div class="line"><img src="{$WEB_APP_CONFIGURATION.IMG_DOMAIN}/img/clear.gif" width="1" height="1" alt="" title="" /></div>
									</td>
								</tr>
								<tr>
									<td class="field_label_2">&nbsp;</td>
									<td class="field_content">
										<input type="submit" class="input_submit" name="submit_publish" value="Save &amp; Publish" />
										&nbsp;
										<input type="submit" class="input_submit" name="submit_save" value="Save for later" />
										&nbsp;
										<input type="button" class="input_button" value="Cancel" onclick="window.location='/admin/blogs/entries/'" />

									</td>
								</tr>
							</table>

						</form>

					</div><!-- /box_content -->
				</div><!-- /box -->

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}