{strip}
{include file="site_top_admin.tpl"}

	<script language="javascript" type="text/javascript" src="/js/DADP.js"></script>
	<link rel="stylesheet" type="text/css" href="{$WEB_APP_CONFIGURATION.STYLES_DOMAIN}/styles/tablesorter.css" />
	<script language="javascript" type="text/javascript" src="{$WEB_APP_CONFIGURATION.JS_DOMAIN}/js/jquery.tablesorter.js"></script>
	<script language="javascript" type="text/javascript">
	{literal}
		//tablesorter
		$(document).ready(function()
			{
				$("#table_sorting").tablesorter();
			}
		);
	{/literal}
	</script>

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.status}
					<div class="box_{if $parameters.has_error}error{else}success{/if}">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title">{$parameters.header.title}</div>
					<div class="box_content">

						<div class="box_links">
							<a href="/admin/cms_content_categories/add/" onfocus="this.blur();">Add a new Record</a>
						</div>

						{if $parameters.records}

							<form id="{$parameters.cmd}_form" name="{$parameters.cmd}_form" action="" method="post">
								<input type="hidden" name="cmd" value="{$parameters.cmd}" />

								<table id="table_sorting" class="tablesorter">
									<thead>
										<tr>
											<th width="5%">
												#
											</th>
											<th>
												Name
											</th>
											<th>
												URL
											</th>
											<th width="20%">
												Status
											</th>
											<th width="10%">
												Action
											</th>
											<th width="5%">&nbsp;</th>
										</tr>
									</thead>
									<tbody>
									{foreach name=records from=$parameters.records item=item}
										<tr id="row_{$smarty.foreach.records.iteration}" class="DADP_E {if $smarty.foreach.records.iteration % 2}odd{else}even{/if}">
											<td>
												<b class="DADP_N">{$item->position}</b>
											</td>
											<td>
												{if $item->parent_id > 0}&nbsp;&nbsp;&nbsp;&nbsp;{$item->name|stripslashes}{else}<b>{$item->name|stripslashes}</b>{/if}<b>
											</td>
											<td>
												{if strpos($item->url_title, "http://") === 0 || strpos($item->url_title, "https://") === 0}
													{$item->url_title}
												{else}
													/{$item->url_title}/
												{/if}
											</td>
											<td>
												{if $item->status}
													<span class="active">Active</span>
												{else}
													<span class="inactive">Inactive</span>
												{/if}
											</td>
											<td>
												<input type="button" class="input_button" name="button_modify_{$item->id}" value="Modify" onclick="document.location='/admin/cms_content_categories/edit/{$item->id}';" />
											</td>
											<td>
												<input type="checkbox" name="delete_records[]" onfocus="this.blur();" value="{$item->id}" />
											</td>
										</tr>
									{/foreach}
									</tbody>
								</table>
								<script>DADP.init();</script>

								<div class="records_delete_button">
									<input type="submit" class="input_submit" id="button_delete" name="button_delete" value="Delete Selected Records" />
								</div>
							</form>

						{else}
							<br />
							<div class="box_message">
								There are no records to display.
							</div>
							<br />
							<br />
						{/if}

					</div><!-- /box_content -->
				</div><!-- /box -->

				<br />
				<div style="text-align: left;">
					<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Administration" onclick="window.location='/admin'" />
				</div>
				<br />
				<br />

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}