{strip}
{include file="site_top_admin.tpl"}

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.status}
					<div class="box_{if $parameters.has_error}error{else}success{/if}">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title">{$parameters.header.title}</div>
					<div class="box_content">

						<div class="box_links">
							<a href="/admin/menus/add/" onfocus="this.blur();">Add New Menu</a>
							&nbsp;|&nbsp;
							<a href="/admin/menus/links/" onfocus="this.blur();">Manage External Links</a>
						</div>

						{if $parameters.records}

							<form id="form_records" name="form_records" method="post" action="">
								<input type="hidden" name="cmd" value="{$parameters.cmd}" />
								<input type="hidden" name="id_to_delete" value="" />
							</form>

							<table class="table_records">
								<tr>
									<th width="5%">
										#
									</th>
									<th>
										Title
									</th>
									<th width="5%">
										Action
									</th>
								</tr>
								{foreach name=records from=$parameters.records item=item}
									<tr id="row_{$smarty.foreach.records.iteration}" class="{if $smarty.foreach.records.iteration % 2}odd{else}even{/if}">
										<td width="5%">
											<b>{$item->id}</b>
										</td>
										<td>
											<b>{$item->title}</b>
										</td>
										<td>
											<a href="/admin/menus/edit/{$item->id}/">
												<img src="/img/admin/actions/edit.png" width="16" height="16" alt="Edit" title="Edit" class="pngfix" />
											</a>
											{is_admin tool="all"}
											&nbsp;
											<a href="#" onclick="return deleteRecord({$item->id}, 'record');">
												<img src="/img/admin/actions/delete.png" width="16" height="16" alt="Delete" title="Delete" class="pngfix" />
											</a>
											{/is_admin}
										</td>
									</tr>
								{/foreach}
							</table>
						{else}
							<br />
							<div class="box_message">
								There are no records to display.
							</div>
							<br />
							<br />
						{/if}

					</div><!-- /box_content -->
				</div><!-- /box -->

				<br />
				<div style="text-align: left;">
					<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Administration" onclick="window.location='/admin/'" />
				</div>
				<br />
				<br />

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}