{strip}
{include file="site_top_admin.tpl"}

  <link rel="stylesheet" type="text/css" href="{$WEB_APP_CONFIGURATION.STYLES_DOMAIN}/styles/tablesorter.css" />
  <script language="javascript" type="text/javascript" src="{$WEB_APP_CONFIGURATION.JS_DOMAIN}/js/jquery.tablesorter.js"></script>
  <script language="javascript" type="text/javascript">
  {literal}
    //tablesorter
    $(document).ready(function(){$("#table_sorting").tablesorter();});
  {/literal}
  </script>

  <table class="border_collapse_wide">
    <tr>
      <td align="center">

        {if $parameters.status}
          <div class="{if $parameters.has_error}box_error{else}box_success{/if}">
            {$parameters.status}
          </div>
          <br />
        {/if}

        <div class="box">
          <div class="box_title_count">{$parameters.header.title}</div>
          <div class="box_count">
            Total: {$parameters.records_count} records
          </div>
          <div class="clear"></div>
          
          <div class="box_content">
            <div class="box_search_pagination">
              <div class="pagination" style="height: auto;">
                {if $parameters.pages}
                  {foreach from=$parameters.pages item=item}
                    <a href="{$item.url}" {if $item.active}class="active"{/if}>
                      {$item.page}
                    </a>
                  {/foreach}
                {/if}
              </div>
              <div class="clear"></div>
            </div>

            <div class="box_links">
              <a href="/admin/press/add/" onfocus="this.blur();">Add Record</a>&nbsp;|&nbsp;
              <a href="/admin/press/featured/" onfocus="this.blur();">Manage Homepage Records</a>
            </div>

            {if $parameters.records}

              <form id="form_records" name="form_records" method="post" action="">
                <input type="hidden" name="cmd" value="{$parameters.cmd}" />
                <input type="hidden" name="id_to_delete" value="" />
              </form>

              <table id="table_sorting" class="tablesorter">
                <thead>
                  <tr>
                    <th width="5%">
                      #
                    </th>
                    <th>
                     Title
                    </th>
                    <th>
                      Type
                    </th>
                    <th>
											Is Featured
										</th>
                    <th>
                      Status
                    </th>
                    <th width="10%">
                      Action
                    </th>
                  </tr>
                </thead>
                <tbody>
                {foreach name=records from=$parameters.records item=item}
                  <tr id="row_{$smarty.foreach.records.iteration}" class="{if $smarty.foreach.records.iteration % 2}odd{else}even{/if}">
                    <td>
                      {$smarty.foreach.records.iteration}
                    </td>
                    <td>
                      <b>{$item->title|stripslashes}</b><br/>
                      <small><b>URL:</b> {$item->url_title|stripslashes}</small>
                    </td>
                    <td>
                      {if $item->type}News{else}Press{/if}
                    </td>
                    <td>
											<span class="{if $item->is_featured}green">Yes{else}red">No{/if}</span>
										</td>
                    <td>
                      <span class="{if $item->status}green">On{else}red">Off{/if}</span>
                    </td>
                    <td>
                      <a href="/admin/press/edit/{$item->id}/">
                        <img src="/img/admin/actions/edit.png" width="16" height="16" alt="Edit" title="Edit" class="pngfix" />
                      </a>
                      &nbsp;
                      <a href="javascript:void(0);" onclick="return deleteRecord({$item->id});">
                        <img src="/img/admin/actions/delete.png" width="16" height="16" alt="Delete" title="Delete" class="pngfix" />
                      </a>
                    </td>
                  </tr>
                {/foreach}
                </tbody>
              </table>

            {else}
              <br />
              <div class="box_message">
                There are no records to display.
              </div>
              <br />
              <br />
            {/if}

          </div><!-- /box_content -->
        </div><!-- /box -->

        <br />
        <div style="text-align: left;">
          <input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Administration" onclick="window.location='/admin'" />
        </div>
        <br />
        <br />

      </td>
    </tr>
  </table>

{include file="site_bottom_admin.tpl"}
{/strip}