{strip}
{include file="site_top_admin.tpl"}
{literal}
<script language="javascript" type="text/javascript">
$(document).ready(function() {
	$('.datetime').datepicker({
		changeMonth: true,
		changeYear: true,
		//ampm: true,
		//timeFormat: 'hh:mm TT'
	});
});
</script>
{/literal}

	<table class="border_collapse_wide">
		<tr>
			<td align="center">

				{if $parameters.status}
					<div class="{if $parameters.has_error}box_error{else}box_success{/if}">
						{$parameters.status}
					</div>
					<br />
				{/if}

				<div class="box">
					<div class="box_title">{$parameters.header.title}</div>
					<div class="box_content">

						<form id="{$parameters.cmd}_form" name="{$parameters.cmd}_form" action="" method="post">
							<input type="hidden" name="cmd" value="{$parameters.cmd}" />

							<table class="table_fields" align="center" width="810">
								<tr>
									<td class="field_label">
										Title:<span class="red">*</span>
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="title" value="{$parameters.record->title|escape}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Code:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="code" value="{$parameters.record->code|escape}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										URL Parameter:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="url_title" value="{$parameters.record->url_title|escape}" style="width: 400px;" />
										{if $parameters.record->url_title}
											<br/><span>http://{$smarty.server.SERVER_NAME}/register/?code={$parameters.record->url_title|escape}</span>
										{/if}
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Automatic Expiration Date:
									</td>
									<td class="field_content">
										<input type="text" class="input_text datetime" name="redeem_by" value="{if $parameters.record->redeem_by && $parameters.record->redeem_by != "0000-00-00 00:00:00"}{$parameters.record->redeem_by|date_format:'%m/%d/%Y'}{/if}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Use Limit:
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="max_redemptions" value="{$parameters.record->max_redemptions|escape}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Discount:<span class="red">*</span>
									</td>
									<td class="field_content">
										<input style="vertical-align: middle;" type="text" class="input_text" name="discount" value="{$parameters.record->discount|escape}" style="width: 200px;" />
										<input style="vertical-align: middle;" type="radio" id="amount_off" name="type_off" value="amount_off"{if !$parameters.record->type_off || $parameters.record->type_off == "amount_off"} checked="checked"{/if}/> <label style="vertical-align: middle;" for="amount_off">Flat</label>
										<input style="vertical-align: middle;" type="radio" id="percent_off" name="type_off" value="percent_off"{if $parameters.record->type_off == "percent_off"} checked="checked"{/if}/> <label style="vertical-align: middle;" for="percent_off">Percentage</label>
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Tiers:<span class="red">*</span>
									</td>
									<td class="field_content">
										{if $parameters.tier_levels}
											{foreach from=$parameters.tier_levels key=key item=item}
												<input style="vertical-align: middle;" type="checkbox" id="level_{$key}" name="tiers[]" value="{$key}"{if $parameters.record->tiers && in_array($key, $parameters.record->tiers)} checked="checked"{/if}/>
												<label style="vertical-align: middle;" for="level_{$key}">Tier {$key}</label>
											{/foreach}
										{/if}
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Pricing Plan:<span class="red">*</span>
									</td>
									<td class="field_content">
										{if $parameters.payment_types}
											{foreach from=$parameters.payment_types key=key item=item}
												<input style="vertical-align: middle;" type="checkbox" id="level_{$key}" name="payment_types[]" value="{$key|escape}"{if $parameters.record->payment_types && in_array($key, $parameters.record->payment_types)} checked="checked"{/if}/>
												<label style="vertical-align: middle;" for="level_{$key}">{$key|ucfirst}</label>
											{/foreach}
										{/if}
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Free Trial (weeks):
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="free_trial" value="{$parameters.record->free_trial|escape}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Discount Duration (months):
									</td>
									<td class="field_content">
										<input type="text" class="input_text" name="duration" value="{$parameters.record->duration|escape}" style="width: 400px;" />
									</td>
								</tr>
								<tr>
									<td class="field_label">
										Status:
									</td>
									<td class="field_content">
										<select name="status">
											<option value="0">Off</option>
											<option value="1" {if $parameters.record->status}selected="selected"{/if}>On</option>
										</select>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<div class="line"><img src="{$WEB_APP_CONFIGURATION.IMG_DOMAIN}/img/clear.gif" width="1" height="1" alt="" title="" /></div>
									</td>
								</tr>
								<tr>
									<td class="field_label_2">&nbsp;</td>
									<td class="field_content">
										<input type="submit" class="input_submit" value="Save Record" />
										&nbsp;
										<input type="button" class="input_button" value="Cancel" onclick="window.location='/admin/promotion_codes/'" />
									</td>
								</tr>
							</table>

						</form>

					</div><!-- /box_content -->
				</div><!-- /box -->

			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}