{strip}
{include file="site_top_admin.tpl"}

	<link rel="stylesheet" type="text/css" href="/styles/tablesorter.css" />
	<script>
		{literal}
			$(document).ready(function(){
				customSorting('.tablesorter');
				$('.datepicker').datepicker({
					changeMonth: true,
					changeYear: true
				});
				$('select.custom_date_select').change(function(){
					showCustomDateSelect(this);
				}).each(function(){
					showCustomDateSelect(this);
				});
			});
			function showCustomDateSelect(select){
				select = $(select);
				var customDiv = $('div#custom_date_'+select.attr('name'));
				if (select.val() == 'custom') customDiv.show();
				else customDiv.hide();
			}
		{/literal}
	</script>

	<table class="border_collapse_wide">
		<tr>
			<td align="center">
				{if $parameters.has_error}
					<div class="box_error">
						{$parameters.status}
					</div>
					<br />
				{/if}
				<div class="box">
					<div class="box_title_count">{$parameters.header.title}</div>
					<div class="box_count">
						Total: {$parameters.count} records
					</div>
					<div class="clear"></div>
					<div class="box_content">
						<div class="box_search_pagination">
							<div class="search" style="width: 100%; height: auto;">
								<form id="form_search" name="form_search" method="get" action="">
									<input type="hidden" name="sort_name" value="{$parameters.filters.sort_name}" />
									<input type="hidden" name="sort_order" value="{$parameters.filters.sort_order}" />
									<table class="top">
										<tr>
											<td>
												<select name="tier[]" class="multiselect" multiple="multiple" size="5">
													<option value="" disabled="disabled">Tier Levels</option>
													<option value="0" {if in_array(0, $parameters.filters.tier)}selected="selected"{/if}>0</option>
													{if $web_config.tier_levels}
														{foreach from=$web_config.tier_levels key=key item=item}
															<option value="{$key|escape}" {if in_array($key, $parameters.filters.tier)}selected="selected"{/if}>{$key|escape}</option>
														{/foreach}
													{/if}
												</select>
											</td>
											<td  style="width: 280px;">
												<select name="register" class="custom_date_select" style="width: 264px;">
						              <option value="">Date of Registration</option>
						              {foreach name=date_period from=$parameters.date_period key=value item=option}
						                <option value="{$value}"{if $value == $parameters.filters.register} selected="selected"{/if}>{$option}</option>
						              {/foreach}
						            </select>
						            <div class="custom_fileds" style="display: none; margin-top: 5px;" id="custom_date_register">
									        <span>From:</span>&nbsp;<input type="text" class="datepicker input_text" name="custom_date[register][date_from]" value="{if $parameters.filters.custom_date.register.date_from}{$parameters.filters.custom_date.register.date_from|date_format:"%m/%d/%Y"}{/if}" style="width: 85px;"/>&nbsp;
									        <span>To:</span>&nbsp;<input type="text" class="datepicker input_text" name="custom_date[register][date_to]" value="{if $parameters.filters.custom_date.register.date_to}{$parameters.filters.custom_date.register.date_to|date_format:"%m/%d/%Y"}{/if}" style="width: 85px;"/>&nbsp;
										    </div>
										  	<div>
										  		<select name="coupon_code" class="select" style="width: 264px; margin-top: 5px;">
							              <option value="">Promotion Code</option>
							              {if $parameters.promotion_codes}
								              {foreach from=$parameters.promotion_codes item=item}
								                <option value="{$item->code|escape}"{if $item->code == $parameters.filters.coupon_code} selected="selected"{/if}>{$item->title|escape}</option>
								              {/foreach}
							              {/if}
							            </select>
										  	</div>
										  </td>
										  <td>
										  	<div>
													<input type="submit" class="input_submit" id="button_search" name="button_search" value="Search" style="width: 60px; margin: 0 5px 0 0;" />
													<input type="submit" class="input_submit" id="button_export" name="button_export" value="Export" style="width: 60px; margin: 0 5px 0 0;" />
													<input type="button" class="input_submit" name="button_list" value="List All" style="width: 60px; margin: 0 5px 0 0;" onclick="window.location = '/admin/reports/user/';" />
												</div>
										  </td>
										</tr>
									</table>
								</form>
							</div>
							<div class="pagination"  style="width: 100%;">
								{if $parameters.pages}
									{foreach from=$parameters.pages item=item}
										<a href="{$item.url}" {if $item.active}class="active"{/if}>
											{$item.page}
										</a>
									{/foreach}
								{/if}
							</div>
							<div class="clear"></div>
						</div>
						{if $parameters.records}
							<table id="table_sorting" class="tablesorter">
								<thead>
									<tr>
										<th data-sort="id">
											ID
										</th>
										<th data-sort="username">
											Username
										</th>
										<th data-sort="email">
											Email
										</th>
										<th data-sort="first_name">
											First Name
										</th>
										<th data-sort="last_name">
											Last Name
										</th>
										<th data-sort="tier">
											Tier Level
										</th>
									</tr>
								</thead>
								<tbody>
								{foreach name=users from=$parameters.records item=item}
									<tr id="row_{$smarty.foreach.users.iteration}" class="{if $smarty.foreach.users.iteration % 2}odd{else}even{/if}">
										<td>
											{$item->id}
										</td>
										<td>
											<b>{$item->username|escape}</b>
										</td>
										<td>
											{$item->email|escape}
										</td>
										<td>
											{$item->first_name|escape}
										</td>
										<td>
											{$item->last_name|escape}
										</td>
										<td>
											{$item->tier|escape}
										</td>
									</tr>
								{/foreach}
								</tbody>
							</table>
						{else}
							<br />
							<div class="box_error">
								There are no records to display.
							</div>
							<br />
							<br />
						{/if}
					</div><!-- /box_content -->
				</div><!-- /box -->
				<br />
				<div style="text-align: left;">
					<input type="button" class="input_button" id="button_cancel" name="button_cancel" value="&laquo; Back to Administration" onclick="window.location='/admin/'" />
				</div>
				<br />
				<br />
			</td>
		</tr>
	</table>

{include file="site_bottom_admin.tpl"}
{/strip}