{strip}
{include file="site_top_popup.tpl"}
<div class="alerts-box {if $parameters.params.edit != 1} small{else} big{/if}">
  <div class="heading">
    {if $parameters.header.popup.url}
      <a href="javascript:void(0);" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});" class="pop-up">pop-up</a>
    {/if}
    <h3>{if $parameters.params.edit == 1}MY {/if} STOCK ALERTS</h3>
  </div>
  {if $parameters.records}
  <div class="thead">
    <em class="type">TYPE</em>
    <em class="op">OP</em>
    <em class="state">&nbsp;</em>
    <em class="value">VALUE</em>
    <em class="time">ALERT TIMEFRAME</em>
    <em class="expires">EXPIRES</em>
    {if $parameters.params.edit == 1}
      <em class="edit">EDIT</em>
      <em class="close">DEL</em>
    {/if}
  </div>
  <div class="scrolling">
    <ul class="list">
      {foreach from=$parameters.records item=item}
        <li>
          <div class="alert{if $item->status == 2} triggered{elseif $item->status == 0} pending{elseif $item->status == 3} expired{/if}" id="alert_{$item->id}">
            <table cellpadding="0" cellspacing="0">
              <tr>
                <td class="alert-info">
                  <div class="wrap">
                    <table cellpadding="0" cellspacing="0">
                      <tr class="row alt{if $item->operation == 2} big{/if}">
                        <td class="type">
                          {if array_key_exists($item->type_id_1,$parameters.data->types)}
                            {assign var=type_1 value=$item->type_id_1} 
                            {$parameters.data->types.$type_1->title|stripslashes|upper}
                          {/if}
                        </td>
                        <td class="op">
                          {if array_key_exists($item->operation_id_1,$parameters.data->operators)}
                            {assign var=operation_1 value=$item->operation_id_1} 
                            {$parameters.data->operators.$operation_1->title|stripslashes}
                          {/if}
                        </td>
                        <td class="state">&nbsp;</td>
                        <td class="value">
                          {$item->value_1|number_format:3:".":","}
                          {if isset($type_1) && $type_1 == 6}%{/if}
                        </td>
                      </tr>
                      {if $item->operation != 2}
                        <tr class="row">
                          <td class="type">
                            {if array_key_exists($item->type_id_2,$parameters.data->types)}
                              {assign var=type_2 value=$item->type_id_2} 
                              {$parameters.data->types.$type_2->title|stripslashes|upper}
                            {/if}
                          </td>
                          <td class="op">
                            {if array_key_exists($item->operation_id_2,$parameters.data->operators)}
                              {assign var=operation_2 value=$item->operation_id_2} 
                              {$parameters.data->operators.$operation_2->title|stripslashes}
                            {/if}
                          </td>
                          <td class="state">
                            <div class="and-wrap">
                              <em class="and">{if $item->operation == 1}AND{else}OR{/if}</em>
                            </div>
                          </td>
                          <td class="value">
                            {$item->value_2|number_format:3:".":","}
                            {if isset($type_2) && $type_2 == 6}%{/if}
                          </td>
                        </tr>
                      {/if}
                    </table>
                  </div>
                </td>
                <td class="time">
                  <span>
                    {if array_key_exists($item->timeframe_id,$parameters.data->timeframes)}
                      {assign var=timeframe value=$item->timeframe_id} 
                      {$parameters.data->timeframes.$timeframe->title|stripslashes|upper}
                    {/if}
                  </span>
                </td>
                <td class="expires">
                  <span>
                  	{if $item->end_date != '0000-00-00 00:00:00'}
                    	{$item->end_date|date_format:"%m/%d/%Y<br/> %l:%M %p"}
                    {else}
                    	GTC
                    {/if}
                  </span>
                </td>
                {if $parameters.params.edit == 1}
                  <td class="edit" onclick="openEditAlertWindow(this);">
                    <span>edit</span>
                  </td>
                  <td class="cancel" onclick="openDeleteAlertWindow(this);">
                    <span>cancel</span>
                  </td>
                {/if}
              </tr>
            </table>
          </div>
        </li>
      {/foreach}
    </ul>
  </div>
  {else}
    <p class="stock-box-message">There are no records.</p>
  {/if}
</div>
{include file="site_bottom_popup.tpl"}
{/strip}