{strip}

<div class="graph-item" data-stock-id="{$smarty.get.stock_id}" data-ticker="{$parameters.stock->ticker|escape}" data-row="{$row}" data-col="{$col}" data-chart="{$record}" data-decimals="{$parameters.stock->decimals}">
	<div class="graphs-box">
		{if $record}
			{if $parameters.header.popup.type ne "window" || is_null($parameters.row) || is_null($parameters.col)}
    		<a href="javascript:void(0);" class="fl" style="margin:10px 0 0 15px;" onclick="openWindow('{$parameters.header.popup.url}&row={$row}&col={$col}',{ldelim}width:436,height:362{rdelim});"><img src="/img/main/ico-drag.png" width="18" height="16" alt="Open Window"  title="Open Window" /></a>
    	{/if}
	    <div class="graphs-switch">
	      <a href="javascript:void(0);" class="switch">
	        SWITCH GRAPHS
	      </a>
	      <div class="box scrolling">
	        <ul>
	        	{foreach from=$parameters.types key=type item=label}
		          <li{if $record eq $type} class="active"{/if}>
		          	<a href="javascript:void(0);" onclick="editStockChart($(this).closest('.graph-item'), '{$type}');">
		          		{$label}
		          	</a>
		          </li>
		        {/foreach}
	        </ul>
	      </div>
	    </div>
	    <div style="float:right;"><span class="chart-label">click and drag in the plot area to zoom in</span></div>
	    <div class="chart" id="{$smarty.get.stock_id}-{if $col == 0}1{else}2{/if}-{if $row == 0}top{else}bottom{/if}"></div>
	    <div class="options">
	      {if $record|@strstr:"real_time"}
          <a href="javascript:void(0);" total="5">5 min</a>
          &nbsp;&nbsp;
          <a href="javascript:void(0);" total="15">15 min</a>
          &nbsp;&nbsp;
          <a href="javascript:void(0);" total="60" class="active">1 hour</a>
        {elseif $parameters.intervals}
        	{foreach name=intervals from=$parameters.intervals item=interval}
						<a href="javascript:void(0);"{if $smarty.foreach.intervals.first} class="active"{/if} data-interval="{$interval.interval|escape}">
							{$interval.value|escape}
						</a>
						{if !$smarty.foreach.intervals.last}&nbsp;&nbsp;{/if}
					{/foreach}
        {/if}
      </div>
	    <script>
	    	showStockChart($('[data-stock-id="{$smarty.get.stock_id}"][data-row="{$row}"][data-col="{$col}"]'));
	    </script>
		{else}
	    <div class="blank cursor-pointer" onclick="addStockChart($(this).closest('.graph-item'));">
        <p>+ ADD CHART</p>
      </div>
			{*****if $parameters.header.popup.type eq "window"}
	      <div class="blank"></div>
	    {else}
	    	<div class="blank cursor-pointer" onclick="addStockChart($(this).closest('.graph-item'));">
        	<p>+ ADD CHART</p>
	      </div>
	    {/if******}
		{/if}
	</div>
</div>

{/strip}