{strip}
<div class="prediction">
  <h3>MAKE A PREDICTION</h3>
  <p>To finish setting your alert, please make a prediction of whether you think the price of ticker will go up or down within the highlighted time-frame.</p>
  <p><span>Note:</span> You can also make predictions for all other time-frames as well.</p>
  <form action="#" id="prediction-form" class="checkboxes">
  	<input type="hidden" name="ticker" value="{$parameters.ticker|escape}" />
  	<input type="hidden" name="source" value="{$parameters.source|escape}" />
    <fieldset>
      {if $parameters.timeframes}
        {foreach from=$parameters.timeframes item=item}
          <div class="box {if $parameters.timeframe_id == $item->id} require{/if}">
            <div class="row up">
              <input type="radio" class="dismiss" name="timeframes[{$item->id}]" value="1" />
              <label>UP</label>
            </div>
            <div class="row">
              <em {if $parameters.timeframe_id == $item->id}class="active"{/if}>{$item->title|stripslashes|upper}{if $parameters.timeframe_id == $item->id}*{/if}</em>
            </div>
            <div class="row down">
              <input type="radio" class="dismiss" name="timeframes[{$item->id}]" value="0" />
              <label>DOWN</label>
            </div>
          </div>
        {/foreach}
      {/if}  
    </fieldset>
    <input type="submit" class="submit" onclick="savePrediction(this.form);return false;" value="OK" />
    <a href="javascript:void(0);" onclick="hidePopup();" class="cancel">CANCEL</a>
  </form>
</div>
{/strip}