{strip}
{if $parameters.data->action == 'update' && $parameters.records}
	{foreach name=records from=$parameters.records item=item}
		{if $item}
      <tr>
				<td width="47">{if $item->rank}{$item->rank|number_format}{else}<span class="empty">N/A</span>{/if}</td>
				<td width="159" class="left">
					<a href="https://twitter.com/{$item->username|escape}/" target="_blank" title="@{$item->username|escape}" class="username">
						<img src="{if $item->author_logo}{$item->author_logo}{else}/img/main/bg_username_link.png{/if}" title="@{$item->username|escape}" alt="@{$item->username|escape}"/>
						@{$item->username|escape}
					</a>
				</td>
				<td width="94" class="{if $item->pnl > 0}green{elseif $item->pnl < 0}red{/if}">{$item->pnl|convert_to_percent|number_format:2}%</td>
				<td width="95">{if $item->mps}{$item->mps|number_format:3}{else}<span class="empty">N/A</span>{/if}</td>
				<td width="94">{if $item->mpr}{$item->mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
				<td width="94">{if $item->prev_mpr}{$item->prev_mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
				<td width="95">{$item->timeframe|escape|upper}</td>
				<td width="95"><a href="/users/details/{$item->username|escape}/" title="USER PAGE" class="button-link">USER PAGE</a></td>
				<td width="95"><a href="javascript:void(0);" onclick="addMarketUser('{$item->username|escape}');" title="ADD USER" class="button-link add"><span>ADD USER</span></a></td>
      </tr>
    {else}
    	<tr class="static">
				<td width="47"><span class="empty">N/A</span></td>
				<td width="159"><span class="empty">N/A</span></td>
				<td width="94"><span class="empty">N/A</span></td>
				<td width="95"><span class="empty">N/A</span></td>
				<td width="94"><span class="empty">N/A</span></td>
				<td width="94"><span class="empty">N/A</span></td>
				<td width="95"><span class="empty">N/A</span></td>
				<td width="95"><span class="empty">N/A</span></td>
				<td width="95"><span class="empty">N/A</span></td>
      </tr>
    {/if}
	{/foreach}
{else}
	{include file="site_top_popup.tpl"}
	<script language="javascript" type="text/javascript">
	  {literal}
			$(function(){
				$('.dashboard-user-stats #{/literal}{$parameters.data->type|escape}-stats-timeframe-{$parameters.stock_id|escape}{literal}').change(function(){
					var params = {
						timeframe: $(this).attr('value'),
						stock_id:{/literal}'{$parameters.stock_id|escape}'{literal},
						type:{/literal}'{$parameters.data->type|escape}'{literal},
						action:'update'
					};
					var wrap = $(this).closest('.dashboard-user-stats');
					$.get('/ajax/dashboard/top-stats-box/',params,function(data){
				  	if (data){
				  		wrap.find('table tbody').html(data);
				  	}else{
				  		wrap.find('table').hide();
				  		wrap.find('table tbody').html('');
				  	}
				  });
				});
			});
		{/literal}
	</script>
	<div class="stats-box">
		<div class="heading">
			<div class="title-wrap">
		    {if $parameters.header.popup.url}
		      <a href="javascript:void(0);" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});" class="pop-up">pop-up</a>
		    {/if}
		    <h3>{$parameters.header.title|escape}</h3>
	    </div>
	  </div>
	  <div class="dashboard-user-stats">
			<div class="filter">
				{if $parameters.data->filter_timeframes}
	    		<select name="timeframe" class="top-buttons-select" id="{$parameters.data->type|escape}-stats-timeframe-{$parameters.stock_id|escape}">
		    		{foreach from=$parameters.data->filter_timeframes item=item key=key}
		    			<option value="{$key}"{if !$key} disabled="disabled"{/if}{if $parameters.data->filter->timeframe == $key} selected="selected"{/if}>{$item|escape|upper}</option>
		    		{/foreach}
		    	</select>
	    	{/if}
			</div>
			<div class="h10"></div>
			<div class="items">
				<div class="content">
					{if $parameters.records}
						<table  cellspacing="0" cellspacing="0">
							<thead>
								<tr>
									<th class="col-0">
										<div>
											{if $parameters.data->type == 'top-user'}
												TICKER SPECIFIC RETURN RANK
											{else}
												TICKER SPECIFIC MPR
											{/if}
											<br/><span></span>
										</div>
									</th>
	    						<th class="col-1"><div>USERNAME<br/><span></span></div></th>
	    						<th class="col-2"><div>RETURN (%)<br/><span></span></div></th>
	    						<th class="col-3"><div>MPS<br/><span></span></div></th>
	    						<th class="col-4"><div>MPR<br/><span></span></div></th>
	    						<th class="col-5"><div>PREVIOUS MPR<br/><span></span></div></th>
	    						<th class="col-6"><div>FILTER TIMEFRAME</div></th>
	    						<th class="col-7"><div>USER PROFILE</div></th>
	    						<th class="col-8"><div>ADD TO USER<br />DASHBOARD</div></th>
								</tr>
							</thead>
							<tbody>
								{foreach name=records from=$parameters.records item=item}
									{if $item}
							      <tr>
											<td width="47">{if $item->rank}{$item->rank|number_format}{else}<span class="empty">N/A</span>{/if}</td>
											<td width="159" class="left">
												<a href="https://twitter.com/{$item->username|escape}/" target="_blank" title="@{$item->username|escape}" class="username">
													<img src="{if $item->author_logo}{$item->author_logo}{else}/img/main/bg_username_link.png{/if}" title="@{$item->username|escape}" alt="@{$item->username|escape}"/>
													@{$item->username|escape}
												</a>
											</td>
											<td width="94" class="{if $item->pnl > 0}green{elseif $item->pnl < 0}red{/if}">{$item->pnl|convert_to_percent|number_format:2}%</td>
											<td width="95">{if $item->mps}{$item->mps|number_format:3}{else}<span class="empty">N/A</span>{/if}</td>
											<td width="94">{if $item->mpr}{$item->mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
											<td width="94">{if $item->prev_mpr}{$item->prev_mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
											<td width="95">{$item->timeframe|escape|upper}</td>
											<td width="95"><a href="/users/details/{$item->username|escape}/" title="USER PAGE" class="button-link">USER PAGE</a></td>
											<td width="95"><a href="javascript:void(0);" onclick="addMarketUser('{$item->username|escape}');" title="ADD USER" class="button-link add"><span>ADD USER</span></a></td>
							      </tr>
							    {else}
							    	<tr class="static">
											<td width="47"><span class="empty">N/A</span></td>
											<td width="159"><span class="empty">N/A</span></td>
											<td width="94"><span class="empty">N/A</span></td>
											<td width="95"><span class="empty">N/A</span></td>
											<td width="94"><span class="empty">N/A</span></td>
											<td width="94"><span class="empty">N/A</span></td>
											<td width="95"><span class="empty">N/A</span></td>
											<td width="95"><span class="empty">N/A</span></td>
											<td width="95"><span class="empty">N/A</span></td>
							      </tr>
							    {/if}
								{/foreach}
							</tbody>
						</table>
					{else}
						<p>There are no records found.</p>
		      {/if}
				</div>
			</div>
		</div>
	</div>
	{include file="site_bottom_popup.tpl"}
{/if}
{/strip}