{strip}
{include file="site_top_popup.tpl"}
<script>
	{if $parameters.action == 'add' && $parameters.subtype == 'sectors' && $parameters.record->history}
		var callBackOpenAlertWindow = function(){ldelim}
			openCreateUsersAlertWindow({ldelim}type:'{$parameters.type}', subtype:'{$parameters.subtype}'{rdelim});
		{rdelim}
	{/if}
</script>

<div class="alerts-box">
  <div class="heading">
    <h3>{$parameters.header.title|upper}</h3>
  </div>
  <form action="#" class="edit-alert" id="add-alert-form">
  	<input type="hidden" name="alert_id" value="{$parameters.alert_id}"/>
  	<input type="hidden" name="type" value="{$parameters.type|escape}"/>
  	<input type="hidden" name="subtype" value="{$parameters.subtype|escape}"/>
  	<input type="hidden" name="username" value="{$parameters.username|escape}"/>
  	{if $parameters.ticker && !$parameters.data->tickers}
  		<input type="hidden" name="ticker" value="{$parameters.ticker|escape}"/>
  	{/if}
    <fieldset>
    	<div class="titles top">
	      <span>YOU CAN CHOOSE TO SET ALERT BASED ON 1 OR 2 CRITERIA</span>
	    </div>
    	<div class="alerts-filter{if $parameters.data->tickers || $parameters.data->sectors} filter-popup{/if}">
    		<div>
	    		<h4>{if $parameters.subtype == 'sectors'}SECTOR{else}USER{/if} FILTER CRITERIA</h4>
	    		<table cellpadding="0" cellspacing="0" class="filter-wrap">
	    			<thead>
	    				{if $parameters.data->timeframes}
	    					<th width="100"><h4>TIMEFRAME</h4></th>
	    				{/if}
	    				{if $parameters.data->topUserReturns}
	    					<th width="200"><h4>TOP USERS</h4></th>
	    				{/if}
	    				{if $parameters.data->topMpReturns}
	    					<th width="200"><h4>TOP USERS</h4></th>
	    				{/if}
	    				{if $parameters.data->tickers}
	    					<th width="130"><h4>TICKER</h4></th>
	    				{/if}
	    				{if $parameters.data->sectors}
	    					<th width="170"><h4>SECTORS</h4></th>
	    				{/if}
	    			</thead>
	    			<tbody>
	    				{if $parameters.data->timeframes}
		    				<td>
		  						<div class="bg">
			    					<select class="custom" name="filter_timeframe">
			    						{foreach from=$parameters.data->timeframes item=item key=key}
			                	<option value="{$key}"{if $parameters.record->filter_timeframe == $key} selected="selected"{/if}>{$item.value|escape|upper}</option>
			              	{/foreach}
			    					</select>
		    					</div>
		    				</td>
	    				{/if}
	    				{if $parameters.data->topUserReturns}
		    				<td>
		    					<div class="bg">
			    					<select class="custom" name="filter_top_returns">
			    						{foreach from=$parameters.data->topUserReturns item=item key=key}
			                	<option value="{$key}"{if $parameters.record->filter_top_returns == $key} selected="selected"{/if}>{$item|escape|upper}</option>
			              	{/foreach}
			    					</select>
		    					</div>
		    				</td>
	    				{/if}
	    				{if $parameters.data->topMpReturns}
		    				<td>
		    					<div class="bg">
			    					<select class="custom" name="filter_top_returns">
			    						{foreach from=$parameters.data->topMpReturns item=item key=key}
			                	<option value="{$key}"{if $parameters.record->filter_top_returns == $key} selected="selected"{/if}>{$item|escape|upper}</option>
			              	{/foreach}
			    					</select>
		    					</div>
		    				</td>
	    				{/if}
	    				{if $parameters.data->tickers}
		    				<td>
		    					<div class="bg filter-selector">
			    					<select class="custom" name="ticker">
			    						{foreach from=$parameters.data->tickers item=item key=key}
			                	<option value="{$item->ticker|stripslashes}"{if $parameters.record->ticker == $item->ticker} selected="selected"{/if}>
			                		{if $item->name}
			                			{$item->name|escape|upper}
			                		{else}
			                			{$item->ticker|stripslashes|upper}
			                		{/if}
			                	</option>
			              	{/foreach}
			    					</select>
		    					</div>
		    				</td>
	    				{/if}
	    				{if $parameters.data->sectors}
		    				<td>
		    					<div class="bg filter-selector">
			    					<select class="custom" name="sector">
			    						{foreach from=$parameters.data->sectors item=item key=key}
			                	<option value="{$item->sector|escape}" {if $parameters.record->sector == $item->sector} selected="selected"{/if}>
			                		{$item->sector|escape|upper}
			                	</option>
			              	{/foreach}
			    					</select>
		    					</div>
		    				</td>
	    				{/if}
	    			</tbody>
	    		</table>
	    		<div class="alerts-filter-tickers-box {$parameters.subtype|escape}"></div>
    		</div>
    	</div>
    	<div class="titles">
        <span class="type">TYPE</span>
        <span class="op">OP</span>
        <span class="value">VALUE</span>
      </div>
      <div class="wrap">
        <div class="row">
          <div class="bg">
            <div class="box">
              <div class="sbHolder">
              	<span class="sbSelector">
              		SENTIMENT
              		<input type="hidden" name="type_id_1" value="1"/>
              	</span>
              </div>
            </div>
            <div class="box second">
              {if $parameters.data->operators}
                <select class="custom" name="operation_id_1">
                  {foreach from=$parameters.data->operators item=item}
                    <option value="{$item->id}" {if $parameters.record->operation_id_1 == $item->id}selected="selected"{/if}>{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
            </div>
            <input type="text" class="text" name="value_1" value="{$parameters.record->value_1|number_format:3:".":""}" />
          </div>
        </div>
        <div class="row alt">
          <div class="bg">
            <div class="box">
              <select class="custom" name="operation">
                <option value="2" {if $parameters.record->operation === 2}selected="selected"{/if}>&nbsp;</option>
                {*<option value="1">AND</option>*}
                <option value="0" {if $parameters.record->operation === '0'}selected="selected"{/if}>OR</option>
              </select>
            </div>
          </div>
        </div>
        <div class="row second" style="display: {if $parameters.record->operation === '0'}block{else}none{/if};">
          <div class="bg">
            <div class="box">
            	<div class="sbHolder">
              	<span class="sbSelector">
              		SENTIMENT
              		<input type="hidden" name="type_id_2" value="1"/>
              	</span>
              </div>
            </div>
            <div class="box second">
              {if $parameters.data->operators}
                <select class="custom" name="operation_id_2">
                  {foreach from=$parameters.data->operators item=item}
                    <option value="{$item->id}" {if $parameters.record->operation_id_2 == $item->id}selected="selected"{/if}>{$item->title|stripslashes|upper}</option>
                  {/foreach}
                </select>
              {/if}
            </div>
            <input type="text" class="text" name="value_2" value="{$parameters.record->value_2|number_format:3:".":""}" />
          </div>
        </div>
      </div>
      <div class="comb small"></div>
      <div class="bg right">
        <span class="timeframe">ALERT TIMEFRAME</span>
        <div class="box">
          {if $parameters.data->alertsTimeframes}
            <select class="custom" name="timeframe_id">
              {foreach from=$parameters.data->alertsTimeframes item=item}
              	{if $item->show}
                	<option value="{$item->id}" {if $parameters.record->timeframe_id == $item->id}selected="selected"{/if}>{$item->title|stripslashes|upper}</option>
                {/if}
              {/foreach}
            </select>
          {/if}
        </div>
      </div>
      <div class="c"></div>
      <div class="alerts-power">
      	<span onclick="usersAlertPowerChange(this);">
	      	<input type="checkbox" id="alert-power" name="power" class="dismiss power-check"{if $parameters.record->power} checked="checked"{/if} value="1" />
	      	<label for="alert-power">POWER ALERT</label>
      	</span>
      </div>
    </fieldset>
    {if $parameters.action == 'add'}
    	<input type="submit" class="submit" onclick="openPredictionUsersAlertWindow(this.form);return false;" value="CREATE ALERT" />
    {/if}
	  {if $parameters.action == 'add' && $parameters.subtype == 'sectors' && $parameters.record->history}
		  <div class="line"></div>
		  <div class="heading">
		    <h3>MY {$parameters.record->title|upper}S</h3>
		  </div>
		  <div class="dashboard-user-alerts {$parameters.subtype} create-list wider">
				<div class="header">
					<div class="info">
						<div class="col col-0">SECTOR</div>
						<div class="col col-1">USERS</div>
						<div class="col col-2">FILTER<br/>TIMEFRAME</div>
						<div class="col col-3">TYPE</div>
						<div class="col col-4">OP</div>
						<div class="col col-5">VALUE</div>
						<div class="col col-6">EXPIRES</div>
						<div class="col col-7 power">POWER ALERT</div>
					</div>
					<div class="action">
						<div class="col edit">EDIT</div>
						<div class="col del">DEL</div>
					</div>
				</div>
				<div class="body scrolling">
					{foreach from=$parameters.record->history item=item}
						<div data-alert="{$item->id}" class="item{if $item->status == 2} triggered{elseif $item->status == 0} pending{elseif $item->triggered_usernames} partially{elseif $item->status == 3} expired{/if}">
							<div class="info">
								<div class="col col-0"><span>{$item->sector|escape|upper}</span></div>
								<div class="col col-1"><span>{$item->filter_top_returns|escape|upper}</span></div>
								<div class="col col-2"><span>{$item->filter_timeframe|escape|upper}</span></div>
								<div class="col col-3{if $item->operation != 2} top{/if}"><span>{$item->type_1|escape|upper}</span></div>
								<div class="col col-4{if $item->operation != 2} top{/if}"><span>{$item->operation_1|escape|upper}</span></div>
								<div class="col col-5{if $item->operation != 2} top{/if}">
									<span>
										{$item->value_1|number_format:3:".":","}
	                	{if $item->type_id_1 == 6}%{/if}
                	</span>
								</div>
								{if $item->operation != 2}
									<div class="or"><div>OR</div></div>
									<div class="col col-3 bottom"><span>{$item->type_2|escape|upper}</span></div>
									<div class="col col-4 bottom"><span>{$item->operation_2|escape|upper}</span></div>
									<div class="col col-5 bottom">
										<span>
											{$item->value_2|number_format:3:".":","}
	                  	{if $item->type_id_2 == 6}%{/if}
                  	</span>
									</div>
								{/if}
								<div class="col col-6">
									{if $item->end_date != '0000-00-00 00:00:00'}
                  	<span>{$item->end_date|date_format:"%m/%d/%y %l:%M%p"}</span>
                  {else}
                		<span>GTC</span>
                 	{/if}
                 </div>
								<div class="col col-7 power"><span{if $item->power} class="active"{/if}></span></div>
							</div>
							<div class="action">
								<div class="col edit" onclick="openEditUsersAlertWindow({ldelim}type:'{$parameters.type}', subtype:'{$parameters.subtype}', alert_id:'{$item->id}'{rdelim});"><span></span></div>
								<div class="col del" onclick="openDeleteUsersAlertWindow(this, callBackOpenAlertWindow);"><span></span></div>
							</div>
							<div class="mark"></div>
						</div>
					{/foreach}
				</div>
			</div>
    {elseif $parameters.action == 'edit' && $parameters.record->history}
		  <div class="line"></div>
		  <div class="heading">
		    <h3>{$parameters.record->title|upper} HISTORY</h3>
		  </div>
			<div class="dashboard-user-alerts {$parameters.subtype} history">
				<div class="header">
					<div class="info">
						<div class="col col-0">ACTION</div>
						<div class="col col-1">DATE</div>
						{if $parameters.subtype == 'sectors'}
							<div class="col col-2">SECTOR</div>
						{/if}
						<div class="col col-3">FILTER TIMEFRAME</div>
						<div class="col col-4">
						{if $parameters.type == 'user'}TICKER{else}USERS{/if}
						</div>
						<div class="col col-5">ALERT</div>
						<div class="col col-6 power">POWER ALERT</div>
						<div class="col col-7">EXPIRES</div>
					</div>
				</div>
				<div class="body scrolling">
					{foreach name=history from=$parameters.record->history item=item}
						<div class="item">
							<div class="info">
								<div class="col col-0">
									<span>
										{if $item->status == 0}
	                    CREATED
	                  {elseif $item->status == 1}
	                    MODIFIED
	                  {elseif $item->status == 2}
	                    TRIGGERED
	                  {elseif $item->status == 3}
	                    EXPIRED
	                  {/if}
                  </span>
								</div>
								<div class="col col-1">
									{if $item->date != '0000-00-00 00:00:00'}
                  	<span>{$item->date|date_format:"%m/%d/%y %l:%M%p"}</span>
                  {/if}
								</div>
								{if $parameters.subtype == 'sectors'}
									<div class="col col-2"><span>{$item->sector|escape|upper}</span></div>
								{/if}
								<div class="col col-3"><span>{$item->filter_timeframe|escape|upper}</span></div>
								<div class="col col-4">
									<span>
										{if $parameters.type == 'user'}
											{$item->ticker|stripslashes|upper}
										{else}
											{$item->filter_top_returns|escape|upper}
										{/if}
									</span>
								</div>
								<div class="col col-5{if $item->operation != 2} top{/if}">
									<span>
										{$item->type_1|escape|upper} {$item->operation_1|escape|upper} {$item->value_1|number_format:3:".":","}
									</span>
								</div>
								{if $item->operation != 2}
									<div class="or"><div><span>{if $item->operation == 1}AND{else}OR{/if}</span></div></div>
									<div class="col col-5 bottom">
										<span>
											{$item->type_2|escape|upper} {$item->operation_2|escape|upper} {$item->value_2|number_format:3:".":","}
										</span>
									</div>
								{/if}
								<div class="col col-6 power"><span{if $item->power} class="active"{/if}></span></div>
								<div class="col col-7">
									{if $item->end_date != '0000-00-00 00:00:00'}
                  	<span>{$item->end_date|date_format:"%m/%d/%y %l:%M%p"}</span>
                  {else}
                		<span>GTC</span>
                 	{/if}
                 </div>
						</div>
						</div>
						{if !$smarty.foreach.history.last}<div class="div"></div>{/if}
					{/foreach}
				</div>
			</div>
			<div class="button-wrapper">
    		<input type="submit" class="submit" onclick="editUsersAlert(this.form);return false;" value="SAVE CHANGES" />&nbsp;&nbsp;
        <input type="button" class="submit" onclick="hidePopup();" value="CANCEL" />
      </div>
		{/if}
	</form>
</div>
{include file="site_bottom_popup.tpl"}
{/strip}