{strip}
{include file="site_top_users_popup.tpl"}

<div class="dtbl-content-item {if $parameters.type == 'wider'}item-4{else}item-2{/if}">
	{if $parameters.header.popup.type != 'window'}
	  {if $parameters.header.popup.url}
	    <div class="dtbl-content-item-drag" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});"></div>
	  {/if}
	{/if}
	<div class="dtbl-content-item-title">{$parameters.header.title|escape}</div>
	<div class="dtbl-content-item-data">
		{if $parameters.records}
			<div class="dashboard-user-alerts {if $parameters.type == 'wider'}list wider w355{else}w285{/if}">
				<div class="header">
					<div class="info">
						<div class="col col-0">TICKER</div>
						<div class="col col-1">FILTER TIMEFRAME</div>
						<div class="col col-2">TYPE</div>
						<div class="col col-3">OP</div>
						<div class="col col-4">VALUE</div>
						<div class="col col-5">POWER ALERT</div>
						<div class="col col-6">EXPIRES</div>
					</div>
					{if $parameters.type == 'wider'}
						<div class="action">
							<div class="col edit">EDIT</div>
							<div class="col del">DEL</div>
						</div>
					{/if}
				</div>
				<div class="body scrolling">
					{foreach from=$parameters.records item=item}
						<div data-alert="{$item->id}" class="item{if $item->status == 2} triggered{elseif $item->status == 0} pending{elseif $item->triggered_usernames} partially{elseif $item->status == 3} expired{/if}">
							<div class="info">
								<div class="col col-0"><span>{$item->ticker|stripslashes|upper}</span></div>
								<div class="col col-1"><span>{$item->filter_timeframe|escape|upper}</span></div>
								<div class="col col-2{if $item->operation != 2} top{/if}"><span>{$item->type_1|escape|upper}</span></div>
								<div class="col col-3{if $item->operation != 2} top{/if}"><span>{$item->operation_1|escape|upper}</span></div>
								<div class="col col-4{if $item->operation != 2} top{/if}">
									<span>
										{$item->value_1|number_format:3:".":","}
	                  {if $item->type_id_1 == 6}%{/if}
                  </span>
								</div>
								{if $item->operation != 2}
									<div class="or"><div><span>{if $item->operation == 1}AND{else}OR{/if}</span></div></div>
									<div class="col col-2 bottom"><span>{$item->type_2|escape|upper}</span></div>
									<div class="col col-3 bottom"><span>{$item->operation_2|escape|upper}</span></div>
									<div class="col col-4 bottom">
										<span>
											{$item->value_2|number_format:3:".":","}
	                    {if $item->type_id_2 == 6}%{/if}
                    </span>
									</div>
								{/if}
								<div class="col col-5 power"><span{if $item->power} class="active"{/if}></span></div>
								<div class="col col-6">
									{if $item->end_date != '0000-00-00 00:00:00'}
                  	<span>{$item->end_date|date_format:"%m/%d/%y %l:%M%p"}</span>
                  {else}
                		<span>GTC</span>
                 	{/if}
                 </div>
							</div>
							{if $parameters.type == 'wider'}
								<div class="action">
									<div class="col edit" onclick="openEditUsersAlertWindow({ldelim}type:'user', subtype:'tickers', alert_id: '{$item->id}'{rdelim});"><span></span></div>
									<div class="col del" onclick="openDeleteUsersAlertWindow(this);"><span></span></div>
								</div>
							{/if}
							<div class="mark"></div>
						</div>
					{/foreach}
				</div>
			</div>
		{else}
	    <p class="stock-box-message">There are no records.</p>
	  {/if}
	</div>
</div>
{include file="site_bottom_users_popup.tpl"} 
{/strip}