{strip}
{include file="site_top_users_popup.tpl"}
<script>
	$(function(){ldelim}
		makeRedCheckbox('#alert-power-{$parameters.username|escape}');
		usersAlertFilterChange('#alertsBox-{$parameters.username|escape} .alerts-filter.filter-popup select:not([name="ticker"])');
	{rdelim});
</script>
<div class="dtbl-content-item item-5">
	{if $parameters.header.popup.type != 'window'}
	  {if $parameters.header.popup.url}
	    <div class="dtbl-content-item-drag" onclick="openWindow('{$parameters.header.popup.url}'{if $parameters.header.popup.params},{$parameters.header.popup.params}{/if});"></div>
	  {/if}
	{/if}
	<div class="dtbl-content-item-title">{$parameters.header.title|escape}</div>
	<div class="dtbl-content-item-data">
		<div class="c"></div>
		<div class="alerts-box" id="alertsBox-{$parameters.username|escape}">
			<form action="#" class="edit-alert" id="add-alert-form">
				<input type="hidden" name="type" value="{$parameters.type|escape}"/>
  			<input type="hidden" name="subtype" value="{$parameters.subtype|escape}"/>
  			<input type="hidden" name="username" value="{$parameters.username|escape}"/>
		    <fieldset>
		    	<div class="titles top">
			      <span>YOU CAN CHOOSE TO SET ALERT BASED ON 1 OR 2 CRITERIA</span>
			    </div>
		    	<div class="alerts-filter{if $parameters.data->tickers} filter-popup{/if}">
		    		<div>
			    		<h4>USER FILTER CRITERIA</h4>
			    		<table cellpadding="0" cellspacing="0" class="filter-wrap">
			    			<thead>
			    				{if $parameters.data->timeframes}
			    					<th width="120"><h4>TIMEFRAME</h4></th>
			    				{/if}
			    				{if $parameters.data->tickers}
			    					<th width="130"><h4>TICKER</h4></th>
			    				{/if}
			    			</thead>
			    			<tbody>
			    				{if $parameters.data->timeframes}
				    				<td>
				  						<div class="bg">
					    					<select class="custom" name="filter_timeframe">
					    						{foreach from=$parameters.data->timeframes item=item key=key}
					                	<option value="{$key}">{$item.value|escape|upper}</option>
					              	{/foreach}
					    					</select>
				    					</div>
				    				</td>
			    				{/if}
			    				{if $parameters.data->tickers}
				    				<td>
				    					<div class="bg filter-selector">
					    					<select class="custom" name="ticker">
					    						{foreach from=$parameters.data->tickers item=item key=key}
					                	<option value="{$item->ticker|escape}"{if $parameters.record->ticker == $item->ticker} selected="selected"{/if}>
					                		{if $item->name}
					                			{$item->name|escape|upper}
					                		{else}
					                			{$item->ticker|escape|upper}
					                		{/if}
					                	</option>
					              	{/foreach}
					    					</select>
				    					</div>
				    				</td>
			    				{/if}
			    			</tbody>
			    		</table>
			    		<div class="alerts-filter-tickers-box"></div>
		    		</div>
		    	</div>
		    	<div class="titles">
		        <span class="type">TYPE</span>
		        <span class="op">OP</span>
		        <span class="value">VALUE</span>
		      </div>
		      <div class="wrap">
		        <div class="row">
		          <div class="bg">
		            <div class="box">
		              <div class="sbHolder">
		              	<span class="sbSelector">
		              		SENTIMENT
		              		<input type="hidden" name="type_id_1" value="1"/>
		              	</span>
		              </div>
		            </div>
		            <div class="box second">
		              {if $parameters.data->operators}
		                <select class="custom" name="operation_id_1">
		                  {foreach from=$parameters.data->operators item=item}
		                    <option value="{$item->id}" {if $parameters.record->operation_id_1 == $item->id}selected="selected"{/if}>{$item->title|stripslashes|upper}</option>
		                  {/foreach}
		                </select>
		              {/if}
		            </div>
		            <input type="text" class="text" name="value_1" value="" />
		          </div>
		        </div>
		        <div class="row alt">
		          <div class="bg">
		            <div class="box">
		              <select class="custom" name="operation">
		                <option value="2" {if $parameters.record->operation === 2}selected="selected"{/if}>&nbsp;</option>
		                <option value="0" {if $parameters.record->operation === 0}selected="selected"{/if}>OR</option>
		              </select>
		            </div>
		          </div>
		        </div>
		        <div class="row second" style="display: {if $parameters.record->operation === 0}block{else}none{/if};">
		          <div class="bg">
		            <div class="box">
		            	<div class="sbHolder">
		              	<span class="sbSelector">
		              		SENTIMENT
		              		<input type="hidden" name="type_id_2" value="1"/>
		              	</span>
		              </div>
		            </div>
		            <div class="box second">
		              {if $parameters.data->operators}
		                <select class="custom" name="operation_id_2">
		                  {foreach from=$parameters.data->operators item=item}
		                    <option value="{$item->id}" {if $parameters.record->operation_id_2 == $item->id}selected="selected"{/if}>{$item->title|stripslashes|upper}</option>
		                  {/foreach}
		                </select>
		              {/if}
		            </div>
		            <input type="text" class="text" name="value_2" value="" />
		          </div>
		        </div>
		      </div>
		      <div class="comb small"></div>
		      <div class="bg right">
		        <span class="timeframe">ALERT TIMEFRAME</span>
		        <div class="box">
		          {if $parameters.data->alertsTimeframes}
		            <select class="custom" name="timeframe_id">
		              {foreach from=$parameters.data->alertsTimeframes item=item}
		              	{if $item->show}
		                	<option value="{$item->id}">{$item->title|stripslashes|upper}</option>
		                {/if}
		              {/foreach}
		            </select>
		          {/if}
		        </div>
		      </div>
		      <div class="c"></div>
		      <div class="alerts-power">
		      	<span onclick="usersAlertPowerChange(this);">
			      	<input type="checkbox" id="alert-power-{$parameters.username|escape}" name="power" class="dismiss power-check" value="1" />
			      	<label for="alert-power-{$parameters.username|escape}">POWER ALERT</label>
		      	</span>
		      </div>
		      <input type="submit" class="submit" onclick="openPredictionUsersAlertWindow(this.form);return false;" value="CREATE ALERT" />
		    </fieldset>
			</form>
		</div>
	</div>
</div>
{include file="site_bottom_users_popup.tpl"} 
{/strip}