{strip}
{include file="site_top.tpl"}

<link rel="stylesheet" href="/styles/anythingslider.css" type="text/css"/>
<script type="text/javascript" src="/js/jquery.tagcanvas.min.js"></script>
<script type="text/javascript" src="/js/jquery.anythingslider.min.js"></script>
<script type="text/javascript" src="/js/jquery.anythingslider.fx.min.js"></script>
<script type="text/javascript" src="/js/cmd_homepage.js?v=20141217"></script>

<div class="slider-wrap">
  <ul id="slider">
    <li>
      <img src="/img/main/tmp/1.jpg" width="960" height="564" alt="Learn More" title="Learn More">
    </li>
    <li>
      <img src="/img/main/tmp/4.jpg" width="960" height="564" alt="Learn More" title="Learn More">
    </li>
    <li>
      <img src="/img/main/tmp/5.jpg" width="960" height="564" alt="Learn More" title="Learn More">
    </li>
    <li>
      <img src="/img/main/tmp/6.jpg" width="960" height="564" alt="Learn More" title="Learn More">
    </li>
    <li>
      <img src="/img/main/tmp/7.jpg" width="960" height="564" alt="Learn More" title="Learn More">
    </li>
    <li>
      <img src="/img/main/tmp/8.jpg" width="960" height="564" alt="Learn More" title="Learn More">
    </li>
    <li>
      <img src="/img/main/tmp/10.jpg" width="960" height="564" alt="Learn More" title="Learn More">
    </li>
    <li>
      <img src="/img/main/tmp/9.jpg" width="960" height="564" alt="Learn More" title="Learn More">
    </li>
  </ul>
</div>

<div class="section">
  <div class="alt-home">
  	{include file="site_warning.tpl"}
		<div class="intro">
      <p>Extracting the <span>market signal</span> from social media noise.</br>Financial Big Data analytics for <span>every investor</span></p>
      <div class="box">
      	<div class="h5"></div>
        <a href="javascript:void(0);" onclick="openSlideshow();" title="Learn More">Learn <span>More</span></a>
      </div>
    </div>
    <div class="home-info">
    	{if !$parameters.header.is_logged_in}
				<div class="home-search">
					<p>Enter ticker or @username: </p>
					<div class="search">
						<div id="top-search-list"></div>
						<form action="#" onsubmit="return false;">
		          <fieldset>
		            <input type="text" id="top-search-key" autocomplete="off" placeholder="enter ticker or @username" class="text" />
		            <input type="button" class="submit" value="search" onclick="topSearchRun(); return false;" />
		          </fieldset>
		        </form>
	        </div>
	        <div class="c"></div>
				</div>
			{/if}
			<div class="dispaly-type">
				<h3>Currently Displaying: {if $smarty.cookies.view_mode eq "MP"}Market Prophits{else}Crowd{/if}</h3>
			</div>
			<div class="c"></div>
		</div>
    
    {include file="homepage_charts.tpl"}
    
  </div>
</div>

<div id="homepage-collumns">
	<div class="section">

	  <div class="collumns">

	    <div class="col">
	      <h3><img src="/img/main/index-white.png" width="23" height="23" alt="Top Sentiments" title="Top Sentiment" />TOP SENTIMENTS</h3>
	      <div id="top-ten-sentiments" data-view-mode="{$smarty.cookies.view_mode|escape}" data-category="{$parameters.top_sentiments.category}">
        	<div class="wrap top" style="{if !$parameters.top_sentiments.positive}display: none;{/if}{if !$parameters.top_sentiments.negative}border: none;{/if}">
	          <div class="homepage-top10-title">TOP TEN POSITIVE</div>
	          <div class="homepage-top10">
		          <table cellspacing="0" cellpadding="0" width="125">
		          	{if $parameters.top_sentiments.positive}
			          	{foreach name=top from=$parameters.top_sentiments.positive item=item}
			            	<tr>
			            		<td width="1" class="fs12">
			            			{if $smarty.foreach.top.iteration < 10}0{/if}{$smarty.foreach.top.iteration}.
			            		</td>
			            		<td class="left">
			            			<a href="/stock/{$item->TICKER}/">{$item->TICKER}</a>
			            		</td>
			            		<td class="right fs12 {if $item->AVERAGE_SENTIMENT < 0}red{elseif $item->AVERAGE_SENTIMENT > 0}green{else}blue{/if}">
			            			{if $item->AVERAGE_SENTIMENT === null}
			            				N/A
			            			{else}
			            				{$item->AVERAGE_SENTIMENT|string_format:"%.3f"}
			            			{/if}
			            		</td>
			            	</tr>
			            {/foreach}
		            {/if}
		          </table>
		         </div>
	        </div>
	        <div class="wrap bottom" {if !$parameters.top_sentiments.negative}style="display: none;"{/if}>
	          <div class="homepage-top10-title">TOP TEN NEGATIVE</div>
	          <div class="homepage-top10">
		          <table cellspacing="0" cellpadding="0" width="125">
		          	{if $parameters.top_sentiments.negative}
			          	{foreach name=top from=$parameters.top_sentiments.negative item=item}
			            	<tr>
			            		<td width="1" class="fs12">
			            			{if $smarty.foreach.top.iteration < 10}0{/if}{$smarty.foreach.top.iteration}.
			            		</td>
			            		<td class="left">
			            			<a href="/stock/{$item->TICKER}/">{$item->TICKER}</a>
			            		</td>
			            		<td class="right fs12 {if $item->AVERAGE_SENTIMENT < 0}red{elseif $item->AVERAGE_SENTIMENT > 0}green{else}blue{/if}">
			            			{if $item->AVERAGE_SENTIMENT === null}
			            				N/A
			            			{else}
			            				{$item->AVERAGE_SENTIMENT|string_format:"%.3f"}
			            			{/if}
			            		</td>
			            	</tr>
			            {/foreach}
		            {/if}
		          </table>
		         </div>
	        </div>
	      </div>
	    </div>
	    {if $parameters.top_mp}
		    <div class="col">
		      <h3><img src="/img/main/icon-market.png" width="22" height="22" alt="Top Ten Market Prophits" title="Top Ten Market Prophits" />TOP TEN MARKET PROPHITS</h3>
		      <div class="homepage-top10 mp">
			      <table cellspacing="0" cellpadding="0" width="215">
			      	<tr>
			      		<th colspan="2" class="left">TOP TEN MARKET PROPHITS</th>
			      		<th class="center">MPS</th>
			      	</tr>
			      	{foreach name=top_mp from=$parameters.top_mp item=item}
				      	<tr>
				      		<td width="1" class="fs12">
				      			{if $smarty.foreach.top_mp.iteration < 10}0{/if}{$smarty.foreach.top_mp.iteration}.
				      		</td>
				      		<td class="left">
		          			<a href="https://twitter.com/{$item->username|escape}/" target="_blank" title="@{$item->username|escape}" class="username">
											<img src="{if $item->author_logo}{$item->author_logo}{else}/img/main/bg_username_link.png{/if}" title="@{$item->username|escape}" alt="@{$item->username|escape}"/>
											@{$item->username|escape}
										</a>
		          		</td>
		          		<td width="1" class="fs12 gray center">{$item->score|number_format:3}</td>
				      	</tr>
			      	{/foreach}
			      </table>
		      </div>
		    </div>
	    {/if}

	    <div class="col" style="float:right;margin-right:0;">
	      <h3 class="cloud"><img src="/img/main/ico-cloud.png" width="37" height="25" alt="Trending Topics" title="Trending Topics" />TRENDING TOPICS</h3>
	      <div id="top_trending_topics" class="word_cloud_box"></div>
	      {if $parameters.top_trending.topics}
				  <script type="text/javascript">
				  	$(function(){ldelim}
				    	tagCloud("#top_trending_topics", {$parameters.top_trending.topics|@json_encode});
				  	{rdelim});
				  </script>
				{/if}
	    </div>

	    <div class="col" style="float:right;">
	      <h3 class="cloud"><img src="/img/main/ico-cloud.png" width="37" height="25" alt="Trending Stocks" title="Trending Stocks" />TRENDING STOCKS</h3>
	      <div id="top_trending_stocks" class="word_cloud_box"></div>
	      {if $parameters.top_trending.stocks}
				  <script type="text/javascript">
				  	$(function(){ldelim}
				    	tagCloud("#top_trending_stocks", {$parameters.top_trending.stocks|@json_encode});
				  	{rdelim});
				  </script>
				{/if}
	    </div>

	  </div>

	</div>
</div>

<div class="alt-home-info">
  <div class="section">
    <div class="box">
      <a href="/about/how-to/" title="How to use the site"><h3><img src="/img/main/alt-home-ico-1.png" width="39" height="38" alt="How to use the site" title="How to use the site" />How to use the site</h3></a>
      <p>Take a tour and learn about the powerful features of our site.</p>
    </div>
    <div class="box">
      <a href="/about/research/" title="Research"><h3><img src="/img/main/alt-home-ico-2.png" width="39" height="29" alt="Research" title="Research" />Research</h3></a>
      <p>Explore and gain greater insight into our sentiment signals.  Review the performance of our historical back-tests.</p>
    </div>
    <div class="box">
      <a href="/blog/" title="View our blog"><h3><img src="/img/main/alt-home-ico-3.png" width="31" height="34" alt="View our blog" title="View our blog" />View our blog</h3></a>
      <p>Come check out our latest insights into what our crowd-sourced signals are saying about the market.</p>
    </div>
  </div>
</div>

{include file="homepage_bottom.tpl" press=$parameters.press}

{include file="site_bottom.tpl"}
{/strip}