{strip}
{include file="site_top_html.tpl"}

<div id="wrapper">
	
  <div id="header">
    <div class="section">
      <h1 class="logo"><a href="/">Market Prophit</a></h1>
      <div class="dash{if !$parameters.header.is_logged_in} small{/if}">
        <ul>
        	{if $parameters.header.is_logged_in}
          	<li>
          		<div class="dash-wrap">
	              <a href="/alert-dashboard/" class="globe">
	                <img class="static" src="/img/main/ico-bell.png" width="16" height="18" alt="alert dashboard" title="" />
	                <img class="hover" src="/img/main/ico-bell-hover.png" width="16" height="18" alt="alert dashboard" title="" />
	              </a>
             </div>
              <em class="bubble">alert dashboard</em>
            </li>
          	<li>
          		<div class="dash-wrap">
	              <a href="/account-dashboard/" class="globe">
	                <img class="static" src="/img/main/ico-user.png" width="14" height="16" alt="user dashboard" title="" />
	                <img class="hover" src="/img/main/ico-user-hover.png" width="14" height="16" alt="user dashboard" title="" />
	              </a>
             </div>
              <em class="bubble">user dashboard</em>
            </li>
            <li>
            	<div class="dash-wrap">
	              <a href="/dashboard/" class="globe">
	                <img class="static" src="/img/main/ico-compass.png" width="17" height="19" alt="stock dashboard" title="" />
	                <img class="hover" src="/img/main/ico-compass-hover.png" width="17" height="19" alt="stock dashboard" title="" />
	              </a>
           		</div>
              <em class="bubble">stock dashboard</em>
            </li>
            <li>
            	<div class="dash-wrap">
	              <a href="/account-settings/" class="tools">
	                <img class="static" src="/img/main/ico-whell.png" width="18" height="18" alt="account settings" title="" />
	                <img class="hover" src="/img/main/ico-whell-hover.png" width="18" height="18" alt="account settings" title="" />
	              </a>
           		</div>
              <em class="bubble">account settings</em>
            </li>
            <li>
            	<div class="dash-wrap">
	              <a href="/logout/" class="power">
	                <img class="static" src="/img/main/ico-power2.png" width="17" height="15" alt="logout" title="" />
	                <img class="hover" src="/img/main/ico-power2-hover.png" width="17" height="15" alt="logout" title="" />
	              </a>
           		</div>
              <em class="bubble">logout</em>
            </li>
          {/if}
          <li class="last">
          	<div class="dash-wrap">
              <div class="displaying{if $smarty.cookies.view_mode eq "MP"} on{/if}">
              	<a href="javascript:void(0);" class="left">Crowd</a>
              	<div class="button">
              		<span></span>
              	</div>
              	<a href="javascript:void(0);" class="right">MP</a>
              </div>
           	</div>
            <em class="bubble left">display crowd</em>
            <em class="bubble right">display market prophits</em>
          </li>
        </ul>
      </div>
      <div class="wrap">
      	<div class="search">
	      	{if !(!$parameters.header.is_logged_in && $parameters.cmd == 'homepage')}
	      		<div id="top-search-list"></div>
		        <form  action="#" onsubmit="return false;">
		          <fieldset>
		            <input type="text" id="top-search-key" autocomplete="off" placeholder="enter ticker or @username" class="text" />
		            <input type="button" class="submit" value="search" onclick="topSearchRun(); return false;" />
		          </fieldset>
		        </form>
		      {/if}
        </div>
  			{if $parameters.header.is_logged_in}
  				{if !$smarty.session.user->twitter_id || !$smarty.session.user->facebook_id || !$smarty.session.user->linkedin_id}
  				  <ul class="login">
  					  <li>CONNECT WITH</li>
  					  {if !$smarty.session.user->twitter_id}
  					  	<li><a href="/connect/twitter/" class="twitter">twitter</a></li>
  					  {/if}
  					  {if !$smarty.session.user->facebook_id}
  					  	<li><a href="/connect/facebook/" class="facebook">facebook</a></li>
  					  {/if}
  					  {if !$smarty.session.user->linkedin_id}
  					  	<li><a href="/connect/linkedin/" class="linkedin">linked-in</a></li>
  					  {/if}
  					</ul>
  				{/if}
  			{else}
  		    <ul class="login">
  				  <li>LOGIN USING</li>
  				  <li><a href="/connect/twitter/" class="twitter">twitter</a></li>
  				  <li><a href="/connect/facebook/" class="facebook">facebook</a></li>
  				  <li><a href="/connect/linkedin/" class="linkedin">linked-in</a></li>
  				</ul>
  			{/if}
      </div>
    </div>
    <ul class="nav">
      <li><a href="/about/" class="about" title="about">about</a></li>
      <li class="expanded">
      	<a href="javascript:void(0);" class="top-ten" title="top ten">top ten<span></span></a>
      	<ul class="subnav">
      		<li><a href="/top-ten/" title="top 10 stocks">top 10 stocks</a></li>
      		<li><a href="/users/top-ten/" title="top 10 Market Prophits">top 10 Market Prophits</a></li>
      		<li><a href="/users/top-ten-returns/" title="top 10 ticker and sector ranks by user">top 10 ticker and sector ranks by user</a></li>
      	</ul>
      </li>
      <li><a href="/heat-maps/" class="heat" title="heat maps">heat maps</a></li>
      <li class="expanded">
      	<a href="javascript:void(0);" class="dashboard" title="dashboard">dashboard<span></span></a>
      	<ul class="subnav">
      		<li><a href="/account-dashboard/" title="user dashboard">user dashboard</a></li>
      		<li><a href="/dashboard/" title="stock dashboard">stock dashboard</a></li>
      		<li><a href="/alert-dashboard/" title="alert dashboard">alert dashboard</a></li>
      	</ul>
      </li>
      <li><a href="/contact-us/" class="contact-us" title="contact us">contact us</a></li>
      <li><a href="/news/" class="press" title="press">press</a></li>
      <li><a href="/blog/" class="blog" title="blog">blog</a></li>
      {if $parameters.header.is_logged_in}
        <li class="logged"><em>Welcome back,</br><span>{$smarty.session.user->first_name|stripslashes} {$smarty.session.user->last_name|stripslashes}</span></em></li>
      {else}
        <li><a href="/login/" class="log-in" title="login">login</a></li>
        <li><a href="/register/" class="signup" title="sign up">sign up</a></li>
      {/if}
    </ul>

    <div class="index">
      <div class="sentiment">
        <p>{if $smarty.cookies.view_mode eq "MP"}MP{else}CROWD{/if} SENTIMENT</p>
      </div>
      <div class="stripe">
        <div class="line">
          <ul class="line-data"></ul>
        </div>
      </div>
      {include file="site_top_quotes.tpl"}
    </div>

  </div>
  
  <div id="main"{if $parameters.cmd != 'homepage'} class="alter"{else}class="alter-home"{/if}>
    {if $parameters.cmd != 'homepage'}
  	  <div class="main-bg">
  	  	<div class="main-bg-img">
  				<img src="/img/main/bg{if $parameters.header.blur}-blur{/if}.jpg" alt="Blur Page" title="Blur Page" style="min-height:{if $parameters.cmd == 'homepage'}636{else}595{/if}px;" />
  			</div>
  			{if !$parameters.header.blur}
  				<div class="texture"></div>
  			{/if}
  			<div class="overlay"></div>
  	  </div>
	  {/if}
{/strip}