{strip}
{php} header("Content-type: text/html; charset=utf-8"); {/php}
{seo_controller}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
	<head>
		<title>
			{if $seo_controller.meta_title && !$seo_controller.is_main}
				{$seo_controller.meta_title}
			{elseif $parameters.header.html_meta.title}
				{$parameters.header.html_meta.title|stripslashes}
			{elseif $parameters.header.title}
				{$parameters.header.title|stripslashes}
			{else}
				{$seo_controller.meta_title}
			{/if}
		</title>
		<meta name="description" content="{if $seo_controller.meta_description && !$seo_controller.is_main}
			{$seo_controller.meta_description}
		{elseif $parameters.header.html_meta.description}
			{$parameters.header.html_meta.description}
		{elseif $parameters.header.meta_description}
			{$parameters.header.meta_description}
		{else}
			{$seo_controller.meta_description}
		{/if}" />
		<meta name="keywords" content="{if $seo_controller.meta_keywords && !$seo_controller.is_main}
			{$seo_controller.meta_keywords}
		{elseif $parameters.header.html_meta.keywords}
			{$parameters.header.html_meta.keywords}
		{elseif $parameters.header.meta_keywords}
			{$parameters.header.meta_keywords}
		{else}
			{$seo_controller.meta_keywords}
		{/if}" />
		
		{assign var=version value="20150212"}
		
		<meta property="og:image" content="http://{$smarty.server.HTTP_HOST}/img/main/social-logo.png" />
    <meta property="og:url" content="http://{$smarty.server.HTTP_HOST}{$smarty.server.REQUEST_URI}" />
    <meta property="og:title" content="{if $seo_controller.meta_title && !$seo_controller.is_main}
                    {$seo_controller.meta_title}
               {elseif $parameters.header.html_meta.title}
                    {$parameters.header.html_meta.title|stripslashes}
               {elseif $parameters.header.title != ""}
                    {$parameters.header.title|stripslashes}
               {else}
                    {$seo_controller.meta_title}
               {/if}"/>
    <meta property="og:description" content="{if $seo_controller.meta_description && !$seo_controller.is_main}
               {$seo_controller.meta_description}
          {elseif $parameters.header.html_meta.description}
               {$parameters.header.html_meta.description}
          {elseif $parameters.header.meta_description != ""}
               {$parameters.header.meta_description}
          {else}
               {$seo_controller.meta_description}
          {/if}">
		
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		
		<meta name="viewportxx" content="width=1000, maximum-scale=1.0" />
		<meta name="viewport" content="width=1200">

		<link rel="shortcut icon" type="image/x-icon" href="/img/favicon.ico?v=1" />
		<link rel="apple-touch-icon" href="/img/apple-touch-icon-precomposed.png">
		<link rel="stylesheet" type="text/css" href="/styles/common.css" />
		<link rel="stylesheet" type="text/css" href="/styles/styles.css?v={$version}" />
		<link rel="stylesheet" type="text/css" href="/styles/font-face.css"/>
		<link rel="stylesheet" type="text/css" href="/styles/print.css?v={$version}" media="print"/>

		<script type="text/javascript" src="/js/jquery-1.8.3.min.js"></script>
				
		<!--[if lt IE 10]><script type="text/javascript" src="js/PIE.js"></script><![endif]-->
    {if $parameters.cmd != 'account'}
      <script src="/js/jquery.screwdefaultbuttons.min.js"></script>
      <script src="/js/make_screw_default_buttons.js"></script>
    {/if}
    <script src="/js/jquery.icheck.js"></script>
    <script type="text/javascript" src="/js/jquery.mousewheel.js"></script>
    <script type="text/javascript" src="/js/mwheelIntent.js"></script>
    <script type="text/javascript" src="/js/jquery.jscrollpane.js?v={$version}"></script>
    <script type="text/javascript" src="/js/jquery.selectbox-0.2.js"></script>
    <script type="text/javascript" src="/js/date-functions.min.js"></script>
    
    <script type="text/javascript">
    
    	{if isset($parameters.header.utc_offset)}
    		var UTC_OFFSET = {$parameters.header.utc_offset};
    	{/if}
    	
  		var VIEW_MODE = '{$smarty.cookies.view_mode}';
  		
    </script>
	  
    <script type="text/javascript" src="/js/common.js?v={$version}"></script>
    <script type="text/javascript" src="/js/ie_common.js"></script>
    <script type="text/javascript">var switchTo5x=true;</script>
    {if $smarty.server.HTTPS == 'on'}
			<script type="text/javascript" src="https://ws.sharethis.com/button/buttons.js"></script>
		{else}
			<script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
		{/if}
		<script type="text/javascript">stLight.options({ldelim}
			publisher: "29d05769-bffb-4b3e-88e8-146e685daf92",
			doNotHash: false,
			doNotCopy: false,
			hashAddressBar: false,
			onhover: false
		{rdelim});</script>
		
		<!-- Facebook Pixel Code -->
		<script>
			!function(f,b,e,v,n,t,s){ldelim}if(f.fbq)return;n=f.fbq=function(){ldelim}n.callMethod?
			n.callMethod.apply(n,arguments):n.queue.push(arguments){rdelim};if(!f._fbq)f._fbq=n;
			n.push=n;n.loaded=!0;n.version='2.0';n.queue=[];t=b.createElement(e);t.async=!0;
			t.src=v;s=b.getElementsByTagName(e)[0];s.parentNode.insertBefore(t,s){rdelim}
			(window,document,'script','//connect.facebook.net/en_US/fbevents.js');
			
			fbq('init', '443368445870061');
			fbq('track', "PageView");
		</script>
		<noscript>
			<img height="1" width="1" style="display:none" src="https://www.facebook.com/tr?id=443368445870061&ev=PageView&noscript=1"/>
		</noscript>
		<!-- End Facebook Pixel Code -->
    
		{if $seo_controller.extra_header_tags && !$seo_controller.is_main}
			{$seo_controller.extra_header_tags}
		{elseif $parameters.header.html_meta.extra_header_tags}
			{$parameters.header.html_meta.extra_header_tags|stripslashes}
		{else}
			{$seo_controller.extra_header_tags}
		{/if}
		
		{if $parameters.header.embed_code.head}
			{$parameters.header.embed_code.head}
		{/if}
	</head>
	<body>
	  <div id="popup_background"></div>
{/strip}