{strip}
{if $type}
	{if $parameters.stock->stats.$type}
	  <table cellpadding="0" cellspacing="0" class="sorting">
	    <thead>
	      <tr>
	        <th>
	        	{if $type == 'users'}
		          TICKER<br />
		          SPECIFIC<br />
		          RETURN<br />
		          RANK
	          {else}
		          TICKER<br />
							SPECIFIC<br />
							MPR
						{/if}
	          <br /><span></span>
	        </th>
	        <th>
	          USERNAME<br /><span></span>
	        </th>
	        <th>
	          RETURN (%)<br /><span></span>
	        </th>
	        <th>
	          MPS<br /><span></span>
	        </th>
	        <th>
	          MPR<br /><span></span>
	        </th>
	        <th>
	          PREVIOUS<br />MPR<br /><span></span>
	        </th>
	        <th>
	          FILTER<br />
	          TIMEFRAME<br /><span></span>
	        </th>
	        <th class="action">
	          USER PROFILE
	        </th>
	        <th class="action">
	          ADD TO USER<br />DASHBOARD
	        </th>
	      </tr>
	    </thead>
	    <tbody>
	    	{foreach name=records from=$parameters.stock->stats.$type item=item}
	      	{if $item}
	          <tr>
							<td width="28" {if $smarty.foreach.records.first}class="top-left"{elseif $smarty.foreach.records.last}class="bottom-left"{/if}>
								{if $item->rank}{$item->rank|number_format}{else}<span class="empty">N/A</span>{/if}
							</td>
							<td width="127" class="left">
								<a href="https://twitter.com/{$item->username|escape}/" target="_blank" title="@{$item->username|escape}" class="username">
									<img src="{if $item->author_logo}{$item->author_logo}{else}/img/main/bg_username_link.png{/if}" title="@{$item->username|escape}" alt="@{$item->username|escape}"/>
									@{$item->username|escape}
								</a>
							</td>
							<td width="44" class="{if $item->pnl > 0} up{elseif $item->pnl < 0} down{/if}">{$item->pnl|convert_to_percent|number_format:2}%</td>
							<td width="39">{if $item->mps}{$item->mps|number_format:3}{else}<span class="empty">N/A</span>{/if}</td>
							<td width="39">{if $item->mpr}{$item->mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
							<td width="39">{if $item->prev_mpr}{$item->prev_mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
							<td width="56">{$item->timeframe|escape|upper}</td>
							<td width="77"><a href="/users/details/{$item->username|escape}/" title="USER PAGE" class="button-link">USER PAGE</a></td>
							<td width="78" {if $smarty.foreach.records.first}class="top-right"{elseif $smarty.foreach.records.last}class="bottom-right"{/if}>
								<a href="javascript:void(0);" onclick="addMarketUser('{$item->username|escape}');" title="ADD USER" class="button-link add">ADD USER</a>
							</td>
	          </tr>
	        {else}
	        	<tr class="static">
							<td width="28" {if $smarty.foreach.records.first}class="top-left"{elseif $smarty.foreach.records.last}class="bottom-left"{/if}>
								<span class="empty">N/A</span>
							</td>
							<td width="127"><span class="empty">N/A</span></td>
							<td width="44"><span class="empty">N/A</span></td>
							<td width="39"><span class="empty">N/A</span></td>
							<td width="39"><span class="empty">N/A</span></td>
							<td width="39"><span class="empty">N/A</span></td>
							<td width="56"><span class="empty">N/A</span></td>
							<td width="77"><span class="empty">N/A</span></td>
							<td width="78" {if $smarty.foreach.records.first}class="top-right"{elseif $smarty.foreach.records.last}class="bottom-right"{/if}>
								<span class="empty">N/A</span>
							</td>
	          </tr>
	        {/if}  
	      {/foreach}
	    </tbody>  
	  </table>
	{else}
		<p>There are no records found.</p>
	{/if}
{/if}
{/strip}