{strip}
{include file="site_top.tpl"}
	{assign var=version value="20141216"}
	{include file="site_charts_src.tpl"}
	<script src="/js/stylized_select.js" type="text/javascript"></script>
	<script language="javascript" type="text/javascript" src="/js/jquery.tablesorter.js"></script>
	<script language="javascript" type="text/javascript" src="/js/jquery.tablesorter.staticrow.min.js"></script>
	<script language="javascript" type="text/javascript" src="/js/users.js?v={$version}"></script>
	<script language="javascript" type="text/javascript">
	{literal}
		$(function(){
			initSortTable();
		  drawUsersDetailsChart('#usersChartSet');
  	});
  	function initSortTable(){
  		var table = $("table.sorting");
  		var thTable = $('th', table);
  		var wrap = table.closest('.scrolling');
  		if(wrap.prev().hasClass('sorting')){
				wrap.prev().remove();
			}
  		table.tablesorter({
				textExtraction: dataExtraction,
				widgets:['staticRow'],
				headers:{3:{sorter:false}}
			});
			var header = table.clone();
			var thHeader = $('th', header);
			thHeader.each(function(){
				var item = $(thTable.get(thHeader.index($(this))));
				$(this).css('width', item.width());
			});
			$('tbody', header).remove();
			wrap.before(header);
			thHeader.click(function(){
				var index = thHeader.index($(this));
				var item = $(thTable.get(index));
				if(item.hasClass('header')){
					item.click();
					thHeader.removeClass('headerSortDown headerSortUp');
					var className = item.attr('class');
					if(item.hasClass('headerSortDown')){
						className = className.replace("Down", "Up");
					}else if(item.hasClass('headerSortUp')){
						className = className.replace("Up", "Down");
					}else{
						className = 'headerSortDown';
					}
					$(this).addClass(className);
				}
			});
			$('thead', table).hide();
  	}
  {/literal}
	</script>
  <div class="section">
    <h3 class="main-heading alt">{$parameters.record->author|escape}</h3>
    <div id="twocolumns" class="twocolumns-dashboard">
    	<div class="users-details">
    		{include file="site_warning.tpl"}
    		<div class="header">
    			<h2>
    				<a href="https://twitter.com/{$parameters.record->username|escape}/" target="_blank" title="">
	    				<img src="{if $parameters.record->author_logo}{$parameters.record->author_logo}{else}/img/main/bg_username_link_big.png{/if}" title="@{$parameters.record->username|escape}" alt="@{$parameters.record->username|escape}"/>
	    				<span>@{$parameters.record->username|escape}</span>
    				</a>
    			</h2>
    			<div class="info">
    				<table cellpadding="0" cellspacing="0" width="100%">
    					<thead>
	              <tr>
	                <th class="first">
	                	MARKET PROPHIT SCORE
	                </th>
	                <th>
	                  MARKET PROPHIT RANK
	                </th>
	                <th class="last">
	                  PREVIOUS MP RANK
	                </th>
	               </tr>
            	</thead>
            	<tbody>
            		<tr>
            			<td class="first">{if $parameters.record->mps|@is_numeric}{$parameters.record->mps|number_format:3}{else}{$parameters.record->mps|escape}{/if}</td>
            			<td>{if $parameters.record->mpr|@is_numeric}{$parameters.record->mpr|number_format}{else}{$parameters.record->mpr|escape}{/if}</td>
            			<td class="last">{if $parameters.record->prev_mpr|@is_numeric}{$parameters.record->prev_mpr|number_format}{else}{$parameters.record->prev_mpr|escape}{/if}</td>
            		</tr>
            	</tbody>
    				</table>
    			</div>
    			<div class="c"></div>
    		</div>
    		<div class="top-buttons main">
    			<div>
			    	<div class="top-buttons-right">
			    		<div class="top-button-link">
			    			<a href="javascript:void(0);" onclick="openCreateUsersAlertWindow({ldelim}type:'user',subtype:'tickers', username: '{$parameters.record->username|escape}'{rdelim});">CREATE USER ALERT</a>
			    		</div>
			    		<div class="top-button-link">
			    			<a href="javascript:void(0);" onclick="addMarketUser('{$parameters.record->username|escape}');">ADD TO USER DASHBOARD</a>
			    		</div>
					  </div>
					  <div class="c"></div>
				  </div>
		    </div>
		    <div class="users-data">
		    	<div class="col-left">
		    		<div class="box">
		    			<div class="tweets">
								<h3>
									TWEETS
									<span class="fr small middle">TICKER<br/>MENTIONED</span>
								</h3>
								<div tweets-username="{$parameters.record->username|escape}" tweets-limit="15" tweets-mps="0" tweets-show-ticker="1">
									<ul class="list"></ul>
								</div>
							</div>
		    		</div>
		    	</div>
		    	<div class="col-right">
		    		<div class="user-top-table">
		    			<div class="top-buttons">
		      			<div>
						    	<h3>USER STATS</h3>
						    	<div class="top-buttons-right">
							    	{if $parameters.data->filter_timeframes}
							    		<form action="" method="POST">
								    		<select name="timeframe" class="top-buttons-select" onchange="ajaxFilterReloadInfo(this, '#userTable', initSortTable);">
									    		{foreach from=$parameters.data->filter_timeframes item=item key=key}
									    			<option value="{$key}"{if !$key} disabled="disabled"{/if} {if $parameters.data->filter->timeframe == $key}selected="selected"{/if}>{$item|escape|upper}</option>
									    		{/foreach}
									    	</select>
								    	</form>
							    	{/if}
								  </div>
								  <div class="c"></div>
							  </div>
					    </div>
					    <div id="userTable">
			    			{include file="users_details_table.tpl"}
			        </div>
			        <div class="h30"></div>
			        <div class="top-buttons">
		      			<div>
						    	<h3>MP SCORE AND RANK</h3>
								  <div class="c"></div>
							  </div>
					    </div>
					    <div class="box user-chart" >
					    	<div class="chart-holder">
					    		<div id="usersChartSet" data-chart-username="{$parameters.record->username|escape}"></div>
					    		{if $parameters.data->intervals}
						    		<ul class="options">
						    			{foreach from=$parameters.data->intervals item=item}
						    				<li><a href="javascript:void(0);" data-interval="{$item.interval|escape}">{$item.value|escape}</a></li>
						    			{/foreach}
						    		</ul>
						    	{/if}
					    	</div>
					    </div>
		        </div>
		    	</div>
		    	<div class="c"></div>
		    </div>
      	
      </div>
    </div>
  </div>
{include file="site_bottom.tpl"}
{/strip}