{strip}
<div class="user-table-wrap scrolling">
	{if $parameters.record->data}
		{assign var=timeframes value=$parameters.data->timeframes}
	  <table cellpadding="0" cellspacing="0" class="sorting">
	    <thead>
	      <tr>
	        <th>
	          TICKER MENTIONED<br /><span></span>
	        </th>
	        <th>
	          SECTOR<br /><span></span>
	        </th>
	        <th>
	          RETURN (%)<br /><span></span>
	        </th>
	        <th>
	          FILTER<br />
	    			TIMEFRAME<br /><span></span>
	        </th>
	        <th>
	          TICKER SPECIFIC<br />
	          RETURN RANK<br /><span></span>
	        </th>
	        <th>
	          TICKER SPECIFIC<br />
	          MPR<br /><span></span>
	        </th>
	      </tr>
	    </thead>
	    <tbody>
	    	{foreach name=records from=$parameters.record->data item=item}
	      	{if $item}
	      		{assign var=timeframe value=$item->timeframe}
	          <tr>
							<td width="74" {if $smarty.foreach.records.first}class="top-left"{elseif $smarty.foreach.records.last}class="bottom-left"{/if}>
								<a href="/stock/{$item->ticker|escape|upper}/" title="">{$item->ticker|escape|upper}</a>
							</td>
							<td width="153">{$item->sector|escape|upper}</td>
							<td width="62" rel="{$item->pnl}" class="{if $item->pnl > 0} up{elseif $item->pnl < 0} down{/if}">{$item->pnl|convert_to_percent|number_format:2}%</td>
							<td width="78" rel="{$timeframes.$timeframe.sort}">{$timeframes.$timeframe.value|escape|upper}</td>
							<td width="58">
								{if $item->return_rank}{$item->return_rank|number_format}{else}<span class="empty">N/A</span>{/if}
							</td>
							<td width="58" {if $smarty.foreach.records.first}class="top-right"{elseif $smarty.foreach.records.last}class="bottom-right"{/if}>
								{if $item->mpr}{$item->mpr|number_format}{else}<span class="empty">N/A</span>{/if}
							</td>
	          </tr>
	        {else}
	        	<tr class="static">
							<td width="74" {if $smarty.foreach.records.first}class="top-left"{elseif $smarty.foreach.records.last}class="bottom-left"{/if}>
								&nbsp;
							</td>
							<td width="153">&nbsp;</td>
							<td width="62">&nbsp;</td>
							<td width="78">&nbsp;</td>
							<td width="58">&nbsp;</td>
							<td width="58" {if $smarty.foreach.records.first}class="top-right"{elseif $smarty.foreach.records.last}class="bottom-right"{/if}>
								&nbsp;
							</td>
	          </tr>
	        {/if}  
	      {/foreach}
	    </tbody>  
	  </table>
	{else}
		<p>There are no records found.</p>
	{/if}
</div>
{/strip}