{strip}
{if $type == 'tickers'}
	{if $data}
		<table  id="{$subtype}TickersSortTable" cellpadding="0" cellspacing="0" class="sorting tickers">
		  <thead>
		    <tr>
		      <th>
		        RANK<br /><span></span>
		      </th>
		      <th>
		        TICKER<br /><span></span>
		      </th>
		      <th>
		        RETURN (%)<br /><span></span>
		      </th>
		      <th>
		        TICKER<br />
		        SPECIFIC<br />
		        {if $subtype == 'users_returns'}
		    			RETURN RANK
		    		{elseif $subtype == 'site_returns'}
		    			MPR
		    		{/if}
		        <br /><span></span>
		      </th>
		      <th>
		        USERNAME<br /><span></span>
		      </th>
		      <th>
		        MPS<br /><span></span>
		      </th>
		      <th>
		        MPR<br /><span></span>
		      </th>
		      <th>
		        PREVIOUS<br />MPR<br /><span></span>
		      </th>
		      <th>
		        FILTER<br />
		        TIMEFRAME<br /><span></span>
		      </th>
		      <th class="action">
		        USER PAGE
		      </th>
		    </tr>
		  </thead>
		  <tbody>
		  	{foreach name=records from=$data item=items key=rank}
		    	{if $items}
		    		{assign var=items_count value=$items|@count}
						{foreach name=info from=$items item=info}
							<tr data-row="row_{$rank|escape}" {if $info->empty}class="static"{/if}>
								{if $smarty.foreach.info.first}
									<td width="28" {if $items_count > 1}rowspan="{$items_count}"{/if} {if $smarty.foreach.records.first}class="top-left"{elseif $smarty.foreach.records.last}class="bottom-left"{/if}>
										{$rank|escape}
									</td>
								{/if}
								<td width="90">
									{if $info->ticker}
										<a href="/stock/{$info->ticker|escape|upper}/">{$info->ticker|escape|upper}</a>
									{else}
										<span class="empty">N/A</span>
									{/if}
								</td>
								<td width="60" class="{if $info->return_val > 0} up{elseif $info->return_val < 0} down{/if}">
									{if !$info->empty}{$info->return_val|convert_to_percent|number_format:2}%{else}<span class="empty">N/A</span>{/if}
								</td>
								<td width="66">{if !$info->empty}{$info->return_rank|escape}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="209" {if !$info->empty}class="left"{/if}>
									{if !$info->empty}
										<a href="https://twitter.com/{$info->username|escape}/" target="_blank" title="@{$info->username|escape}" class="username">
											<img src="{if $info->author_logo}{$info->author_logo}{else}/img/main/bg_username_link.png{/if}" title="@{$info->username|escape}" alt="@{$info->username|escape}"/>
											@{$info->username|escape}
										</a>
									{else}
										<span class="empty">N/A</span>
									{/if}
								</td>
								<td width="63">{if !$info->empty && $info->mps}{$info->mps|number_format:3}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="56">{if !$info->empty && $info->mpr}{$info->mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="56">{if !$info->empty && $info->prev_mpr}{$info->prev_mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="72">{if !$info->empty}{$info->timeframe|escape|upper}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="99" {if $smarty.foreach.records.first}class="top-right"{elseif $smarty.foreach.records.last}class="bottom-right"{/if}>
									{if !$info->empty}
										<a href="/users/details/{$info->username|escape}/" title="USER PAGE" class="button-link">USER PAGE</a>
									{else}
										<span class="empty">N/A</span>
									{/if}
								</td>
							</tr>
						{/foreach}
					{/if}
		    {/foreach}
		  </tbody>  
		</table>
	{else}
		<p>There are no records found.</p>
	{/if}
{elseif $type == 'sectors'}
	{if $data}
		<table id="{$subtype}SectorsSortTable" cellpadding="0" cellspacing="0" class="sorting sectors">
      <thead>
        <tr>
          <th>
            RANK<br /><span></span>
          </th>
          <th>
            SECTOR<br /><span></span>
          </th>
          <th>
            LIST OF</br>
						TICKERS</br>
						MENTIONED<br /><span></span>
          </th>
          <th>
            SECTOR<br />
            SPECIFIC<br />
            {if $subtype == 'users_returns'}
		    			RETURN RANK
		    		{elseif $subtype == 'site_returns'}
		    			MPR
		    		{/if}
            <br /><span></span>
          </th>
          <th>
            RETURN (%)<br /><span></span>
          </th>
          <th>
            USERNAME<br /><span></span>
          </th>
          <th>
            MPS<br /><span></span>
          </th>
          <th>
            MPR<br /><span></span>
          </th>
          <th>
            PREVIOUS<br />MPR<br /><span></span>
          </th>
          <th>
            FILTER<br />
            TIMEFRAME<br /><span></span>
          </th>
          <th class="action">
            USER PAGE
          </th>
        </tr>
      </thead>
      <tbody>
      	{foreach name=records from=$data item=items key=rank}
					{if $items}
        		{assign var=items_count value=$items|@count}
						{foreach name=info from=$items item=info}
							<tr data-row="row_{$rank|escape}" {if $info->empty}class="static"{/if}>
								{if $smarty.foreach.info.first}
									<td width="17" {if $items_count > 1}rowspan="{$items_count}"{/if} {if $smarty.foreach.records.first}class="top-left"{elseif $smarty.foreach.records.last}class="bottom-left"{/if}>
										{$rank|escape}
									</td>
								{/if}
								<td width="116">{if $info->sector}{$info->sector|escape|upper}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="135">{if $info->tickers}{$info->tickers}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="45">{if !$info->empty}{$info->return_rank|escape}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="46" class="{if $info->return_val > 0} up{elseif $info->return_val < 0} down{/if}">
									{if !$info->empty}{$info->return_val|convert_to_percent|number_format:2}%{else}<span class="empty">N/A</span>{/if}
								</td>
								<td width="150" {if !$info->empty}class="left"{/if}>
									{if !$info->empty}
										<a href="https://twitter.com/{$info->username|escape}/" target="_blank" title="@{$info->username|escape}" class="username">
											<img src="{if $info->author_logo}{$info->author_logo}{else}/img/main/bg_username_link.png{/if}" title="@{$info->username|escape}" alt="@{$info->username|escape}"/>
											@{$info->username|escape}
										</a>
									{else}
										<span class="empty">N/A</span>
									{/if}
								</td>
								<td width="42">{if !$info->empty && $info->mps}{$info->mps|number_format:3}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="38">{if !$info->empty && $info->mpr}{$info->mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="38">{if !$info->empty && $info->prev_mpr}{$info->prev_mpr|number_format}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="60">{if !$info->empty}{$info->timeframe|escape|upper}{else}<span class="empty">N/A</span>{/if}</td>
								<td width="99" {if $smarty.foreach.records.first}class="top-right"{elseif $smarty.foreach.records.last}class="bottom-right"{/if}>
									{if !$info->empty}
										<a href="/users/details/{$info->username|escape}/" title="USER PAGE" class="button-link">USER PAGE</a>
									{else}
										<span class="empty">N/A</span>
									{/if}
								</td>
							</tr>
						{/foreach}
					{/if}
        {/foreach}
      </tbody>  
  	</table>
 	{else}
 		<p>There are no records found.</p>
  {/if}
{/if}
{/strip}
