function toggleSelfDirected(){
	if($('#investor_type').val() == 'both'){
		$('#self_directed_wrapper').show();
	}else{
		$('#self_directed_wrapper').hide();
	}
}
function togglePassiveValue(){
	var newVal = $('#self_directed').val();
	$('#passive option').each(function(){
		if($(this).attr('value') == newVal){
			$(this).attr('selected', 'selected');
			var passiveBox = $('#passive').closest('.dk_container');
			var text = $(this).text();
			$('.dk_label', passiveBox).text(text);
			var options = $('.dk_options_inner li', passiveBox);
			options.each(function(){
				var link = $(this).find('a');
				if(link.text() == text){
					options.removeClass('dk_option_current');
					$(this).addClass('dk_option_current');
					return false;
				}
			})
			return false;
		};
	});
}
function toggleEducation(){
	var select = $('#education');
	var selectBox = select.parent().parent();
	var inputOther = $('input[type="text"]', selectBox);
	if(select.val().match(/^other/)) {
		inputOther.parent().parent().show();
	}else{
		inputOther.parent().parent().hide();
	}
}

$(function(){
	$('.account form').find('span')
	$(".account form .check-field").each(function(){
	  if(!$(this).hasClass('single')) $(this).find('span:odd').css("width", "110");
	});
	$(".account form .alt .check-field").find('span:odd').css("width", "250");
	
	if($('#is_subscribed').is(':checked')) $('#is_subscribed').val(1); else $('#is_subscribed').val(0);
	$('#account-preferences .styledCheckbox').click(function(){
		if($('#is_subscribed').is(':checked')) $('#is_subscribed').val(1); else $('#is_subscribed').val(0);
		//$('#account-preferences').submit();
	});

	toggleSelfDirected();
	togglePassiveValue();
	toggleEducation();
	
	$('input:checkbox, input:radio').iCheck({
    labelHover: false,
    cursor: true
  });
  $('#account-settings-form').find('input, select, textarea').each(function(index){
		$(this).attr('tabindex',index+1);
	});
	
	$('select').dropkick({ 
		change: function (value, label){
			var id = $(this).attr('id');
			if (id == 'investor_type'){
				toggleSelfDirected();	
			}else if(id == 'self_directed'){
				togglePassiveValue();
			}else if(id == 'education'){
				toggleEducation();	
			}
		},
		open: function(){
			var options = $(this).find('.dk_options');
			options.css({height: 'auto', overflowY: 'auto'});
			var jsp = options.data('jsp');
			if(jsp) jsp.reinitialise();
			else options.jScrollPane({enableKeyboardNavigation: false});
			options.addClass('scrolling');
		},
		scroll: function(){
			var options = $(this).find('.dk_options');
			var jsp = options.data('jsp');
			if (jsp){
				var option = $('li.dk_option_current',options);
				jsp.scrollToElement(option);
			}
		}
	});
	
});