/*Input Titles */
var inputTitleArr = [];
function inputTitle(inpt, attr){
  var attr = attr || 'title';
  var inpt = $(inpt);
  if(inpt.attr(attr) == '' || inpt.data('title')){
    checkInputTitle();
    inputTitleCss(inpt, inpt.data('title'));
    return;
  }
  inputTitleArr.push(inpt);
  var span = $('<span class="placeholder"></span>').text(inpt.attr(attr));
  if (inpt.attr('placeholder') != '') inpt.attr('placeholder', '');
  inpt.data('title', span);
  span.click(function(){
    inpt.focus();
  });
  //span.hover(function(){$(this).addClass('active');},function(){$(this).removeClass('active');});
  inputTitleCss(inpt, span);
  span.css({display: 'block'});
  inpt.after(span).focus(function(){
    checkInputTitle();
    if(!checkInputTitleInterval) checkInputTitleInterval = setInterval(checkInputTitle, 100);
  }).blur(function(){
    checkInputTitleInterval = clearInterval(checkInputTitleInterval) && false;
    checkInputTitle();
  });
  checkInputTitle();
  setTimeout(checkInputTitle, 500); 
}//inputTitle

function inputTitleCss(inpt, span){
  var css = ['display','color', 'font-family', 'font-size', 'text-align', 'line-height', 'font-weight', 'margin-top', 'margin-right', 'margin-bottom', 'margin-left', 'padding-top', 'padding-right', 'padding-bottom', 'padding-left','width', 'height'];
  if(typeof(span) !== 'undefined'){
    var top = inpt.position().top + parseInt(inpt.css("border-top-width"));
    var left = inpt.position().left + parseInt(inpt.css("border-left-width"));
    span.css({
      position: 'absolute', cursor: 'text', top: top, left: left
    });
    var textarea = inpt.is('textarea');
    for(var i = 0; i < css.length; i++){
      if(css[i] == 'line-height' && !textarea) span.css(css[i], inpt.css('height'));
      else span.css(css[i], inpt.css(css[i]));
    }
  }
}//inputTitleCss
var checkInputTitleInterval = false;
function checkInputTitle(){
  for(var i = 0; i < inputTitleArr.length; i++){
    if(inputTitleArr[i] && inputTitleArr[i].data('title')){
      if(inputTitleArr[i].val() != '' || inputTitleArr[i].is(':focus')) inputTitleArr[i].data('title').hide();
      else inputTitleArr[i].data('title').show();
    }
  }
}//checkInputTitle
function formInputsTitles(frm, attr){
  $('input[type=text],input[type=password],textarea', $(frm)).each(function(){
    if(!$(this).is('.skip'))inputTitle(this, attr);
  });
  $(window).resize(function(){
    formInputsTitles(frm, attr);
  });
}//formInputsTitles
/*END Input Titles */


$(window).load(function(){
	var ie = getInternetExplorerVersion();
	if (ie > 7 && ie < 10){
	  $('form').each(function(){
	    formInputsTitles(this, 'placeholder');
	  });
 	}
});