MouseEvents = new function(){
  // Taras Ozarko (mailto:tozarko@gmail.com)
  
	var t = this;
	t.elements = [];
	
	function contains(a,b){return document.compareDocumentPosition?a.compareDocumentPosition(b)&16:(a!==b&&(a.contains?a.contains(b):true));}
	function offset(e){var r={left:0,top:0};do{r.left+=parseInt(e.offsetLeft);r.top+=parseInt(e.offsetTop);}while(e=e.offsetParent);return r;}
	function position(e){var n=document.getElementById&&!document.all;return {left:(n?e.pageX:event.clientX),top:(n?e.pageY:event.clientY)}}
	function add(a,b){var c=eval(document[a]);document[a]=function(d){if(typeof(c)=='function')c(d);b(position(d));};}
	
	function onmouse(f, m, e){
		if(typeof(e)=='undefined') add('onmouse'+m,f);
		else{
			var isset = false, i, fo;
			for(i = 0; i < t.elements.length; i++) if(t.elements[i].element == e){
				isset = true;
				break;
			}
			if(!isset){
				i = t.elements.length;
				t.elements.push({element:e,status:false});
			}
			if(typeof(t.elements[i][m]) == 'function') fo = t.elements[i][m];
			t.elements[i][m] = function(){if(fo)fo();f(e);};
		}
	}//onmouse
	t.onmousemove = function(f, e){onmouse(f, 'move', e);}
	t.onmouseover = function(f, e){onmouse(f, 'over', e);}
	t.onmouseout = function(f, e){onmouse(f, 'out', e);}
	t.onmouseleft = function(f, e){onmouse(f, 'left', e);}
	t.onmouselefton = function(f, e){onmouse(f, 'lefton', e);}
	t.onmouseleftoff = function(f, e){onmouse(f, 'leftoff', e);}
	t.onmouseright = function(f, e){onmouse(f, 'right', e);}
	t.onmouserighton = function(f, e){onmouse(f, 'righton', e);}
	t.onmouserightoff = function(f, e){onmouse(f, 'rightoff', e);}
	
	function check(coords){
		var i, c, min, max, o = [], l = [], r = [];
		for(i in t.elements){
			o[i] = false;
			l[i] = false;
			r[i] = false;
			if(t.elements[i].element){
				min = offset(t.elements[i].element);
				max = {left: min.left+t.elements[i].element.offsetWidth, top: min.top+t.elements[i].element.offsetHeight};
				o[i] = min.left < coords.left && coords.left < max.left && min.top < coords.top && coords.top < max.top;
				l[i] = min.top < coords.top && coords.top < max.top && coords.left < min.left ? min : false;
				r[i] = min.top < coords.top && coords.top < max.top && coords.left > max.left ? max : false;
			}
		}
		var events = {over:false,out:false,move:false,left:false,lefton:false,leftoff:false,right:false,righton:false,rightoff:false};
		
		for(i in o) for(j in o) if(o[i]&&o[j]&&contains(t.elements[i].element, t.elements[j].element)) o[i] = false;
		for(i in t.elements){
			if(!t.elements[i].status) t.elements[i].status = false;
			if(t.elements[i].status != o[i]){
				t.elements[i].status = o[i];
				if(!t.elements[i].status) events.out = i;
				else if(t.elements[i].status) events.over = i;
			}
			if(t.elements[i].status) events.move = i;
		}
		
		for(i in l) for(j in l) if(events.move || events.over || l[i] && l[j] && l[i].left > l[j].left) l[i] = false;
		for(i in t.elements){
			if(!t.elements[i].left_status) t.elements[i].left_status = false;
			if(t.elements[i].left_status != l[i]){
				t.elements[i].left_status = l[i];
				if(!t.elements[i].left_status) events.leftoff = i;
				else if(t.elements[i].left_status) events.lefton = i;
			}
			if(t.elements[i].left_status) events.left = i;
		}
		
		for(i in r) for(j in r) if(events.move || events.over || events.lefton || events.left || r[i] && r[j] && r[i].left < r[j].left) r[i] = false;
		for(i in t.elements){
			if(!t.elements[i].right_status) t.elements[i].right_status = false;
			if(t.elements[i].right_status != r[i]){
				t.elements[i].right_status = r[i];
				if(!t.elements[i].right_status) events.rightoff = i;
				else if(t.elements[i].right_status) events.righton = i;
			}
			if(t.elements[i].right_status) events.right = i;
		}
		
		for(i in events) if(t.elements[events[i]]&&t.elements[events[i]].element&&t.elements[events[i]][i]) t.elements[events[i]][i](t.elements[events[i]].element);
	}//check
	
	onmouse(check, 'move');
	onmouse(check, 'down');
	onmouse(check, 'up');
}//MouseEvents