$(function(){
	$('table.sorting').each(function(i){
		initSortTable(this);	
	});
});
function initSortTable(This){
	This = $(This);
	if (This.hasClass('tickers')){
		This.tablesorter({
			textExtraction: dataExtraction,
			headers:{
				0:{sorter:false},
				3:{sorter:false},
				4:{sorter:false},
				8:{sorter:false},
				9:{sorter:false}
			}
		});
	}else if(This.hasClass('sectors')){
		This.tablesorter({
			textExtraction: dataExtraction,
			headers:{
				0:{sorter:false},
				2:{sorter:false},
				3:{sorter:false},
				5:{sorter:false},
				9:{sorter:false},
				10:{sorter:false}
			}
		});
	}
	This.bind("sortStart",function() { 
    startSortTable(this);
    $(this).trigger("update");
	}).bind("sortEnd",function() {
		endSortTable(this);
	});
}

function startSortTable(This){
	This = $(This);
	var rows = $(This).find('tr');
	rows.each(function(index){
		var row = $(this);
		if (!row.hasClass('activeSort')){
			row.addClass('activeSort');
			var dataRow =  row.attr('data-row');
			var dataRows = This.find("[data-row='"+dataRow+"']:not(.activeSort)");
			if (dataRows.length > 0){
				var count = parseInt(dataRows.length)+1;
				var rowspan = row.find("td[rowspan='"+count+"']");
				if (rowspan.length >0){
					rowspan.removeAttr( "rowspan" );
					dataRows.each(function(index){
						$(this).addClass('activeSort');
						$(this).prepend(rowspan.clone());
					});
				}
			}
			
		}
	});
	rows.removeClass('activeSort');
	return true;
}

function endSortTable(This){
	This = $(This);
	var rows = $(This).find('tr');
	rows.each(function(index){
		var row = $(this);
		if (!row.hasClass('activeSort')){
			row.addClass('activeSort');
			var dataRow =  row.attr('data-row');
			var dataRows = This.find("[data-row='"+dataRow+"']:not(.activeSort)");
			if (dataRows.length > 0){
				var count = parseInt(dataRows.length)+1;
				row.find("td:first").attr('rowspan',count);
				dataRows = dataRows.toArray().reverse();
				$.each(dataRows,function(key,item){
					$(item).addClass('activeSort');
					row.after($(item));
					$(item).find("td:first").remove();
				});
			}
		}
	});
	rows.removeClass('activeSort');
	return true;
}

function userTopFilterReloadInfo(This, type){
	var callback = function(){
		initSortTable('#'+type+'SortTable')
	};
	ajaxFilterReloadInfo(This, '#'+type+'UserTable', callback);
}
